
/*-- SEQ 0001 --*/
-- Tarefa 83054 --
ALTER TABLE TT_IOR ADD DESCON Number(12,2) ;



/*-- SEQ 0002 --*/
-- Tarefa 83033 --
ALTER TABLE TT_IOR ADD ECFVEN CHAR(3) ;


/*-- SEQ 0003 --*/
-- Tarefa 83033 -- 
ALTER TABLE TT_IOR ADD CONSTRAINT FK_IOR_DECF_ECFVEN FOREIGN KEY (CODFIL,ECFVEN) REFERENCES TD_ECF (FILECF,NUMECF);


/*-- SEQ 0004 --*/
-- Tarefa 83059 --
CREATE TABLE TT_ASS (
  NOMTAB VARCHAR2(40),
  QTDREG Number(12,2),
  ATU_EM Date,
  ASSINA VARCHAR2(256)) TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0005 --*/
-- Tarefa 83059 -- 
ALTER TABLE TT_ASS ADD CONSTRAINT PK_ASS PRIMARY KEY (NOMTAB);

/*-- SEQ 0006 --*/
-- Tarefa 83059 -- 
ALTER TABLE TT_ASS MODIFY (QTDREG CONSTRAINT NN_ASS_QTDREG NOT NULL);


/*-- SEQ 0007 --*/
-- Tarefa 83059 -- 
ALTER TABLE TT_ASS MODIFY (ATU_EM CONSTRAINT NN_ASS_ATU_EM NOT NULL);


/*-- SEQ 0008 --*/
-- Tarefa 83059 -- 
ALTER TABLE TT_ASS MODIFY (ASSINA CONSTRAINT NN_ASS_ASSINA NOT NULL);



/*-- SEQ 0009 --*/
-- Tarefa 83074 --
ALTER TABLE TT_ORC DISABLE ALL TRIGGERS;

/*-- SEQ 0010 --*/
ALTER TABLE TT_ORC ADD ORCIMP VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0011 --*/
ALTER TABLE TT_ORC ENABLE ALL TRIGGERS;

/*-- SEQ 0012 --*/
-- Tarefa 83074 -- 
ALTER TABLE TT_ORC MODIFY (ORCIMP CONSTRAINT NN_ORC_ORCIMP NOT NULL);


/*-- SEQ 0013 --*/
-- Tarefa 83074 -- 
ALTER TABLE TT_ORC ADD CONSTRAINT CK_ORC_ORCIMP CHECK (ORCIMP IN ('T','F'));


/*-- SEQ 0014 --*/
/*-- IGNORE ERRO --*/
alter table tt_cfg drop constraint fk_cfg_reimp_cf;

/*-- SEQ 0015 --*/
alter table tt_cfg add constraint fk_cfg_reimp_cf FOREIGN KEY (codnat_reimp_cf) REFERENCES td_nat(codtab);


/*-- SEQ 0016 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83220 --
SELECT * FROM NADA;


/*-- SEQ 0017 --*/
-- Tarefa 83057 --
CREATE TABLE TT_ABA (
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  DATINC Date,
  ATU_EM Date,
  CODTAN Number(5),
  CODBOM Number(5),
  CODBIC Number(5),
  DATABE Date,
  ENCINI VARCHAR2(20),
  ENCFIM VARCHAR2(20),
  FLGEST CHAR(1),
  FILIVE CHAR(3),
  SEQIVE CHAR(10),
  NUMIVE Number(5)) TABLESPACE TOTALL_DATA;

/*-- SEQ 0018 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA MODIFY (CODTAN CONSTRAINT NN_ABA_CODTAN NOT NULL);


/*-- SEQ 0019 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA MODIFY (CODBOM CONSTRAINT NN_ABA_CODBOM NOT NULL);


/*-- SEQ 0020 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA MODIFY (CODBIC CONSTRAINT NN_ABA_CODBIC NOT NULL);


/*-- SEQ 0021 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA MODIFY (DATABE CONSTRAINT NN_ABA_DATABE NOT NULL);


/*-- SEQ 0022 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA MODIFY (ENCINI CONSTRAINT NN_ABA_ENCINI NOT NULL);


/*-- SEQ 0023 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA MODIFY (ENCFIM CONSTRAINT NN_ABA_ENCFIM NOT NULL);


/*-- SEQ 0024 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA MODIFY (FLGEST CONSTRAINT NN_ABA_FLGEST NOT NULL);


/*-- SEQ 0025 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ADD CONSTRAINT PK_ABA PRIMARY KEY (CODFIL,SEQUEN);

/*-- SEQ 0026 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ADD CONSTRAINT FK_ABA_CODTAN FOREIGN KEY (CODTAN) REFERENCES TD_TAN(CODTAB);

/*-- SEQ 0027 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ADD CONSTRAINT FK_ABA_CODBOM FOREIGN KEY (CODBOM) REFERENCES TD_BOM(CODTAB);

/*-- SEQ 0028 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ADD CONSTRAINT FK_ABA_CODBIC FOREIGN KEY (CODBIC) REFERENCES TD_BIC(CODTAB);

/*-- SEQ 0029 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ADD CONSTRAINT FK_ABA_FILSEQNUMIVE FOREIGN KEY (FILIVE,SEQIVE,NUMIVE) REFERENCES TT_IVE(CODFIL,SEQUEN,NUMITE);

/*-- SEQ 0030 --*/
-- Tarefa 83057 --  
CREATE INDEX I_FK_ABA_TAN ON TT_ABA (CODTAN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0031 --*/
-- Tarefa 83057 --  
CREATE INDEX I_FK_ABA_BOM ON TT_ABA (CODBOM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0032 --*/
-- Tarefa 83057 --  
CREATE INDEX I_FK_ABA_BIC ON TT_ABA (CODBIC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0033 --*/
-- Tarefa 83057 --  
CREATE INDEX I_FK_ABA_IVE ON TT_ABA (FILIVE,SEQIVE,NUMIVE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0034 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ADD CONSTRAINT CK_ABA_FLGEST CHECK (FLGEST IN ('P','C','N','A'));

/*-- SEQ 0035 --*/
-- Tarefa 83057 --
CREATE SEQUENCE SQABA INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;


/*-- SEQ 0036 --*/
-- Tarefa 83235 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'FNRATVLECF', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'FNRATVLECF'));


/*-- SEQ 0037 --*/
-- Tarefa 83057 --  
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ABA DROP CONSTRAINT FK_ABA_CODTAN;

/*-- SEQ 0038 --*/
-- Tarefa 83057 --  
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ABA DROP CONSTRAINT FK_ABA_CODBOM;

/*-- SEQ 0039 --*/
-- Tarefa 83057 --  
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ABA DROP CONSTRAINT FK_ABA_CODBIC;

/*-- SEQ 0040 --*/
-- Tarefa 83057 --  
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ABA DROP CONSTRAINT FK_ABA_FILSEQNUMIVE;

/*-- SEQ 0041 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ADD CONSTRAINT FK_ABA_CODTAN_DTAN FOREIGN KEY (CODTAN) REFERENCES TD_TAN(CODTAB);

/*-- SEQ 0042 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ADD CONSTRAINT FK_ABA_CODBOM_DBOM FOREIGN KEY (CODBOM) REFERENCES TD_BOM(CODTAB);

/*-- SEQ 0043 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ADD CONSTRAINT FK_ABA_CODBIC_DBIC FOREIGN KEY (CODBIC) REFERENCES TD_BIC(CODTAB);

/*-- SEQ 0044 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ADD CONSTRAINT FK_ABA_FILSEQNUMIVE_IVE FOREIGN KEY (FILIVE,SEQIVE,NUMIVE) REFERENCES TT_IVE(CODFIL,SEQUEN,NUMITE);


/*-- SEQ 0045 --*/
-- Tarefa 83057 --  
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ABA DROP CONSTRAINT FK_ABA_CODTAN_DTAN;

/*-- SEQ 0046 --*/
-- Tarefa 83057 --  
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ABA DROP CONSTRAINT FK_ABA_CODBOM_DBOM;

/*-- SEQ 0047 --*/
-- Tarefa 83057 --  
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ABA DROP CONSTRAINT FK_ABA_CODBIC_DBIC;

/*-- SEQ 0048 --*/
-- Tarefa 83057 --  
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ABA DROP CONSTRAINT FK_ABA_FILSEQNUMIVE_IVE;

/*-- SEQ 0049 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83057 --  
SELECT * FROM NADA;

/*-- SEQ 0050 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83057 --  
SELECT * FROM NADA;

/*-- SEQ 0051 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83057 --  
SELECT * FROM NADA;


/*-- SEQ 0052 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DBIC_DBOM ON TD_BIC (CODBOM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0053 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DCFO_CTA ON TD_CFO (CFOCTA_FIL,CFOCTA_SEQ,CFOCTA_TIP) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0054 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DFIL_CTA ON TD_FIL (FILPAG,SEQPAG,TIPPAG,CTCPAG) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0055 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DFIL_DMUL0 ON TD_FIL (MUL_TIPENT0) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0056 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DFIL_DMUL1 ON TD_FIL (MUL_TIPENT1) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0057 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DFIL_DMUL2 ON TD_FIL (MUL_TIPENT2) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0058 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DFIL_DMUL3 ON TD_FIL (MUL_TIPENT3) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0059 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DFIL_DMUL4 ON TD_FIL (MUL_TIPENT4) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0060 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DFIL_DMUL5 ON TD_FIL (MUL_TIPENT5) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0061 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DFIL_DMUL7 ON TD_FIL (MUL_TIPENT7) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0062 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DMOD_USUCOM ON TD_MOD (FILCOM,CODCOM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0063 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DNAT_CTADEN ON TD_NAT (NATDEN_FIL,NATDEN_SEQ,NATDEN_TIP) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0064 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DNAT_CTAFOR ON TD_NAT (NATFOR_FIL,NATFOR_SEQ,NATFOR_TIP) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0065 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DRTT_CTAEST ON TD_RTT (FILCTA_EST_DRTT,SEQCTA_EST_DRTT,TIPCTA_EST_DRTT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0066 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CCC_CMS ON TT_CCC (FILCMS,SEQCMS) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0067 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_ECOM_AMEX ON TT_CFG (ECOM_AMEX) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0068 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_CC_VALE_PRESENTE ON TT_CFG (CC_VALE_PRESENTE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0069 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_CC_WOR_PROP ON TT_CFG (CC_WOR_PROP) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0070 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_DEVTRA_CFO ON TT_CFG (DEVTRA_CFO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0071 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_PORMTV ON TT_CFG (PORMTV) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0072 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_TIPLAN_INS ON TT_CFG (TIPLAN_INS) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0073 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_TIPLAN_PPR ON TT_CFG (TIPLAN_PPR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0074 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_NAT_CONSIGNACAO ON TT_CFG (NAT_CONSIGNACAO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0075 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_DEVTRA_NAT ON TT_CFG (DEVTRA_NAT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0076 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_MEIO_ESTAC ON TT_CFG (MEIO_ESTAC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0077 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_GX_SIMPAN_ENT ON TT_CFG (GX_SIMPAN_ENT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0078 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_GX_SIMPAN_PER ON TT_CFG (GX_SIMPAN_PER) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0079 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_GX_SIMPAN_SAI ON TT_CFG (GX_SIMPAN_SAI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0080 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_ECOM_MASTER ON TT_CFG (ECOM_MASTER) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0081 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_PGT_WOR_PROP ON TT_CFG (FILPGT_WOR_PROP,CODPGT_WOR_PROP) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0082 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_ECOM_VISA ON TT_CFG (ECOM_VISA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0083 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_COM_DCFE ON TT_COM (CODFCE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0084 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_COM_DTRI ON TT_COM (CODTRI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0085 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DOP_DTED ON TT_DOP (TIPTED) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0086 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_END_DPAI ON TT_END (CODPAI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0087 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_FIS_MODNOT ON TT_FIS (MODNOT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0088 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_GRA_NCM ON TT_GRA (CODNCM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0089 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_IPTXEST_DEST ON TT_IPTXEST (SIGEST) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0090 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_IPTXEXC_DEST ON TT_IPTXEXC ( SIGEST ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0091 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_IPTXEXC_NCM ON TT_IPTXEXC ( CODNCM ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0092 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_IPTXNCM_NCM ON TT_IPTXNCM ( CODNCM ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0093 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_IPT_PRO_PRO ON TT_IPTXPRO ( FILMAT,CODMAT ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0094 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_IVEXCSG_FAT ON TT_IVEXCSG ( FILFAT,SEQFAT,ITEFAT ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0095 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_IVEXCSG_REM ON TT_IVEXCSG ( FILREM,SEQREM,ITEREM ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0096 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_IVEXIPE_IPE_GRA ON TT_IVEXIPE ( FILIPE,NUMIPE,ITEIPE,FILMAT,CODMAT,CODCOR,CODTAM ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0097 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_LAC_DBOM ON TT_LAC ( CODBOM ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0098 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_LAN_PPR ON TT_LAN ( FILPPR,SEQPPR ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0099 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_ORC_CCC ON TT_ORC ( FILADI,SEQADI ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0100 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_ORC_DECF ON TT_ORC ( CODFIL,CANPRE ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0101 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_PRO_FPS ON TT_PRO ( CODFPS ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0102 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_RTT_ECF_ECFEST ON TT_RTT ( CODFIL,ECFEST ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0103 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_RTT_ECF_NUMECF ON TT_RTT ( CODFIL,NUMECF ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0104 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_RTT_USU_EST ON TT_RTT ( FILUSU_EST,CODUSU_EST ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0105 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_VENXOBS_OBS ON TT_VENXOBS ( CODOBS ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0106 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_WCFG_CC_WOR_PROP ON TW_CFG ( CC_WOR_PROP ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0107 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_WCFG ON TW_CFG ( FILPGT_WOR_PROP,CODPGT_WOR_PROP ) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0108 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_VEN_FLGNFE_DATHOR ON TT_VEN (FLGNFE, DATHOR) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0109 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0110 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0111 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0112 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0113 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0114 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0115 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0116 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0117 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0118 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0119 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0120 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0121 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0122 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0123 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0124 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0125 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0126 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0127 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0128 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0129 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0130 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;


/*-- SEQ 0131 --*/
-- Tarefa 83374 --
DROP PROCEDURE EXCLUIITEM_DAV;


/*-- SEQ 0132 --*/
-- Tarefa 83064 --
ALTER TABLE TT_ASS DROP CONSTRAINT NN_ASS_ASSINA;


/*-- SEQ 0133 --*/
-- Tarefa 83064 --
ALTER TABLE TT_ASS ADD CODUID Number ;


/*-- SEQ 0134 --*/
-- Tarefa 83064 --
ALTER TABLE TT_ASS ADD CONSTRAINT FK_ASS_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);


/*-- SEQ 0135 --*/
-- Tarefa 83073 --
ALTER TABLE TD_MED ADD ASSINA VARCHAR2(256) ;


/*-- SEQ 0136 --*/
-- Tarefa 83073 --
CREATE INDEX I_LC_DMED_ASSINA ON TD_MED (ASSINA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0137 --*/
-- Tarefa 83073 --
ALTER TABLE TD_MED ADD CODUID Number ;


/*-- SEQ 0138 --*/
-- Tarefa 83073 --
ALTER TABLE TD_MED ADD CONSTRAINT FK_DMED_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0139 --*/
-- Tarefa 83073 --
CREATE INDEX I_FK_DMED_UID ON TD_MED (CODUID) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0140 --*/
-- Tarefa 83073 --
ALTER TABLE TD_TAN ADD ASSINA VARCHAR2(256) ;


/*-- SEQ 0141 --*/
-- Tarefa 83073 --
CREATE INDEX I_LC_DTAN_ASSINA ON TD_TAN (ASSINA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0142 --*/
-- Tarefa 83073 --
ALTER TABLE TD_TAN ADD CODUID Number ;


/*-- SEQ 0143 --*/
-- Tarefa 83073 --
ALTER TABLE TD_TAN ADD CONSTRAINT FK_DTAN_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0144 --*/
-- Tarefa 83073 --
CREATE INDEX I_FK_DTAN_UID ON TD_TAN (CODUID) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0145 --*/
-- Tarefa 83073 --
ALTER TABLE TD_BOM ADD ASSINA VARCHAR2(256) ;


/*-- SEQ 0146 --*/
-- Tarefa 83073 --
CREATE INDEX I_LC_DBOM_ASSINA ON TD_BOM (ASSINA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0147 --*/
-- Tarefa 83073 --
ALTER TABLE TD_BOM ADD CODUID Number ;


/*-- SEQ 0148 --*/
-- Tarefa 83073 --
ALTER TABLE TD_BOM ADD CONSTRAINT FK_DBOM_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0149 --*/
-- Tarefa 83073 --
CREATE INDEX I_FK_DBOM_UID ON TD_BOM (CODUID) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0150 --*/
-- Tarefa 83073 --
ALTER TABLE TD_BIC ADD ASSINA VARCHAR2(256) ;


/*-- SEQ 0151 --*/
-- Tarefa 83073 --
CREATE INDEX I_LC_DBIC_ASSINA ON TD_BIC (ASSINA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0152 --*/
-- Tarefa 83073 --
ALTER TABLE TD_BIC ADD CODUID Number ;


/*-- SEQ 0153 --*/
-- Tarefa 83073 --
ALTER TABLE TD_BIC ADD CONSTRAINT FK_DBIC_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0154 --*/
-- Tarefa 83073 --
CREATE INDEX I_FK_DBIC_UID ON TD_BIC (CODUID) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0155 --*/
-- Tarefa 83073 --
ALTER TABLE TT_ABA ADD ASSINA VARCHAR2(256) ;


/*-- SEQ 0156 --*/
-- Tarefa 83073 --
CREATE INDEX I_LC_ABA_ASSINA ON TT_ABA (ASSINA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0157 --*/
-- Tarefa 83073 --
ALTER TABLE TT_ABA ADD CODUID Number ;


/*-- SEQ 0158 --*/
-- Tarefa 83073 --
ALTER TABLE TT_ABA ADD CONSTRAINT FK_ABA_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0159 --*/
-- Tarefa 83073 --
CREATE INDEX I_FK_ABA_UID ON TT_ABA (CODUID) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0160 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0161 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0162 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0163 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0164 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0165 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0166 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0167 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0168 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0169 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0170 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0171 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0172 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0173 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0174 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0175 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0176 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0177 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0178 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0179 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0180 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0181 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0182 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0183 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;


/*-- SEQ 0184 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0185 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0186 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;


/*-- SEQ 0187 --*/
-- Tarefa 83465 --
ALTER TABLE TT_ORC ADD COOORC Number(6) ;



/*-- SEQ 0188 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83455 --
SELECT * FROM NADA;

/*-- SEQ 0189 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83455 --
SELECT * FROM NADA;

/*-- SEQ 0190 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83455 --
SELECT * FROM NADA;


/*-- SEQ 0191 --*/
-- Tarefa 83064 --
ALTER TABLE TT_ASS DISABLE ALL TRIGGERS;


/*-- SEQ 0192 --*/
-- Tarefa 83064 --
DELETE FROM TT_ASS WHERE NOMTAB = 'TT_UID';

/*-- SEQ 0193 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83064 --
DROP TRIGGER TGUID_ASS;

/*-- SEQ 0194 --*/
-- Tarefa 83064 --
ALTER TABLE TT_ASS ENABLE ALL TRIGGERS;


/*-- SEQ 0195 --*/
-- Tarefa 83478 --
ALTER TABLE TT_IOR ADD NUMITE_PAF Number(5) ;








/*-- SEQ 0196 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0197 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0198 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0199 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;


/*-- SEQ 0200 --*/
-- Tarefa 83476 --
ALTER TABLE TT_CLI ADD ASSINA VARCHAR2(256) ;


/*-- SEQ 0201 --*/
-- Tarefa 83476 --
ALTER TABLE TT_CLI ADD CODUID Number ;


/*-- SEQ 0202 --*/
-- Tarefa 83476 --
CREATE INDEX I_LC_CLI_ASSINA ON TT_CLI (ASSINA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0203 --*/
-- Tarefa 83476 --
ALTER TABLE TT_CLI ADD CONSTRAINT FK_CLI_CODUID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0204 --*/
-- Tarefa 83476 --
CREATE INDEX I_FK_CLI_UID ON TT_CLI (CODUID) TABLESPACE TOTALL_INDEX;




/*-- SEQ 0205 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83478 --
SELECT * FROM NADA;


/*-- SEQ 0206 --*/
/*-- IGNORE ERRO --*/
-- Tarefa Nmero --
ALTER TABLE TT_IOR DISABLE ALL TRIGGERS;


/*-- SEQ 0207 --*/
-- Tarefa 83478 --
UPDATE TT_IOR 
   SET NUMITE_PAF = NUMITE
 WHERE NUMITE IS NULL;   
 
/*-- SEQ 0208 --*/
/*-- IGNORE ERRO --*/
-- Tarefa Nmero --
ALTER TABLE TT_IOR ENABLE ALL TRIGGERS;


/*-- SEQ 0209 --*/
-- Tarefa 83220 --
ALTER TABLE TT_ICO DISABLE ALL TRIGGERS;


/*-- SEQ 0210 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83220 --
UPDATE TT_ICO
   SET ICO_VLRFRE = (SELECT ROUND(COM.VLRFRE*TT_ICO.VLRITE/COM.VLRNOT,2)
                       FROM TT_COM COM
                      WHERE TT_ICO.CODFIL=COM.CODFIL
                        AND TT_ICO.SEQUEN=COM.SEQUEN)
 WHERE COALESCE(ICO_VLRFRE,0) = 0
   AND (CODFIL, SEQUEN) IN (SELECT COM.CODFIL, COM.SEQUEN 
                              FROM TT_COM COM 
                             WHERE COM.VLRFRE > 0 )
   AND COM_DATOPE > TO_DATE('01/07/2011','DD/MM/YYYY');
   
/*-- SEQ 0211 --*/
-- Tarefa 83220 --
ALTER TABLE TT_ICO ENABLE ALL TRIGGERS;


/*-- SEQ 0212 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83513 --
ALTER TABLE TT_SAL DROP COLUMN DATMOV CASCADE CONSTRAINT;


/*-- SEQ 0213 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83513 --
DROP TRIGGER TGRMOV_ASS;

/*-- SEQ 0214 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83513 --
DROP FUNCTION ConcatenaRMOV;

/*-- SEQ 0215 --*/
-- Tarefa 83513 --
ALTER TABLE TT_ASS DISABLE ALL TRIGGERS;


/*-- SEQ 0216 --*/
-- Tarefa 83513 --
DELETE FROM TT_ASS WHERE NOMTAB = 'TR_MOV';

/*-- SEQ 0217 --*/
-- Tarefa 83513 --
ALTER TABLE TT_ASS ENABLE ALL TRIGGERS;


/*-- SEQ 0218 --*/
-- Tarefa 83514 --
CREATE TABLE TT_EST (
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  FILMAT CHAR(3),
  CODMAT CHAR(5),
  CODCOR Number(5),
  CODTAM Number(5),
  QTDEST Number(12,4),
  CODUID Number,
  ASSINA VARCHAR2(256)) TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0219 --*/
-- Tarefa 83514 --  
ALTER TABLE TT_EST MODIFY (FILMAT CONSTRAINT NN_EST_FILMAT NOT NULL);


/*-- SEQ 0220 --*/
-- Tarefa 83514 --
ALTER TABLE TT_EST MODIFY (CODMAT CONSTRAINT NN_EST_CODMAT NOT NULL);


/*-- SEQ 0221 --*/
-- Tarefa 83514 --
ALTER TABLE TT_EST MODIFY (CODCOR CONSTRAINT NN_EST_CODCOR NOT NULL);


/*-- SEQ 0222 --*/
-- Tarefa 83514 --
ALTER TABLE TT_EST MODIFY (CODTAM CONSTRAINT NN_EST_CODTAM NOT NULL);


/*-- SEQ 0223 --*/
-- Tarefa 83514 --
ALTER TABLE TT_EST MODIFY (QTDEST CONSTRAINT NN_EST_QTDEST NOT NULL);

  
/*-- SEQ 0224 --*/
-- Tarefa 83514 --
ALTER TABLE TT_EST ADD CONSTRAINT PK_EST PRIMARY KEY (CODFIL,SEQUEN);
  
/*-- SEQ 0225 --*/
-- Tarefa 83514 --
ALTER TABLE TT_EST ADD CONSTRAINT FK_EST_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0226 --*/
-- Tarefa 83514 --
ALTER TABLE TT_EST ADD CONSTRAINT FK_EST_GRA FOREIGN KEY (FILMAT,CODMAT,CODCOR,CODTAM) REFERENCES TT_GRA (FILMAT,CODMAT,CODCOR,CODTAM);

/*-- SEQ 0227 --*/
-- Tarefa 83514 --
CREATE INDEX I_FK_EST_DFIL ON TT_EST (CODFIL) TABLESPACE TOTALL_INDEX;  

/*-- SEQ 0228 --*/
-- Tarefa 83514 --
CREATE INDEX I_FK_EST_GRA ON TT_EST (FILMAT,CODMAT,CODCOR,CODTAM) TABLESPACE TOTALL_INDEX;  

/*-- SEQ 0229 --*/
-- Tarefa 83514 --
CREATE UNIQUE INDEX I_UQ_FILIAL_GRADE ON TT_EST (CODFIL,FILMAT,CODMAT,CODCOR,CODTAM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0230 --*/
-- Tarefa 83514 --
CREATE SEQUENCE SQEST INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;


/*-- SEQ 0231 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ADD CONSTRAINT FK_ABA_DTAN FOREIGN KEY (CODTAN) REFERENCES TD_TAN(CODTAB);

/*-- SEQ 0232 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ADD CONSTRAINT FK_ABA_DBOM FOREIGN KEY (CODBOM) REFERENCES TD_BOM(CODTAB);

/*-- SEQ 0233 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ADD CONSTRAINT FK_ABA_DBIC FOREIGN KEY (CODBIC) REFERENCES TD_BIC(CODTAB);

/*-- SEQ 0234 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ADD CONSTRAINT FK_ABA_IVE FOREIGN KEY (FILIVE,SEQIVE,NUMIVE) REFERENCES TT_IVE(CODFIL,SEQUEN,NUMITE);


/*-- SEQ 0235 --*/
-- Tarefa 83552 --
ALTER TABLE TD_FIL ADD ECFEST CHAR(3) ;


/*-- SEQ 0236 --*/
-- Tarefa 83552 --
ALTER TABLE TD_FIL ADD CONSTRAINT FK_DFIL_DECF FOREIGN KEY (CODFIL, ECFEST) REFERENCES TD_ECF (FILECF, NUMECF);

/*-- SEQ 0237 --*/
-- Tarefa 83552 --
CREATE INDEX I_FK_DFIL_DECF ON TD_FIL (CODFIL, ECFEST) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0238 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
select * from nada;

/*-- SEQ 0239 --*/
CREATE OR REPLACE FUNCTION CONFERE_VERSAO_WIZARD 
RETURN VARCHAR2 IS

  vVERSIS Integer;
  BEGIN

    SELECT CASE WHEN CAST(UPPER(rpad(VERSIS,4,' ')) AS CHAR(4)) >= '5.0G' 
	            THEN 1 
                ELSE 0 
		   END
      INTO vVERSIS
      FROM TT_UID
     WHERE UPPER(NOMSiS) LIKE 'WIZARD%'
       AND SESSION_ID = USERENV('SESSIONID');
  
    IF vVERSIS = 0 THEN
     RAISE_APPLICATION_ERROR( '-20002', FORMATASTRING('Verso do Totall Wizard muito antiga. Para continuar a migrao  necessrio atualizar o programa. Verso: %' , vVERSIS));	 
    END IF;
	
	RETURN 'OK';

END CONFERE_VERSAO_WIZARD;
/

/*-- SEQ 0240 --*/
-- Tarefa 83485 --
declare
  cDummy VARCHAR2(100);
begin
  cDummy := CONFERE_VERSAO_WIZARD();
end;
/


/*-- SEQ 0241 --*/
-- Tarefa 83485 --  
DROP FUNCTION CONFERE_VERSAO_WIZARD;


/*-- SEQ 0242 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83521 --
CREATE TABLE TOTALL_PRO_IMPKIT_F AS 
  SELECT FILMAT, CODMAT
    FROM TT_PRO
   WHERE IMPKIT = 'F'
     AND NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PROIMPKIT');

/*-- SEQ 0243 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83521 --
CREATE TABLE TOTALL_IVE_IMPKIT_F AS
  SELECT CODFIL, SEQUEN, NUMITE
    FROM TT_IVE
   WHERE VEN_DATHOR >= TO_DATE('01/01/2011','DD/MM/YYYY')
     AND IMPKIT = 'F'	 
	 AND NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PROIMPKIT');	 

/*-- SEQ 0244 --*/
-- Tarefa 83521 --
ALTER TABLE TT_IVE DISABLE ALL TRIGGERS;


/*-- SEQ 0245 --*/
-- Tarefa 83521 --	 
UPDATE TT_IVE 
   SET IMPKIT = 'T'
 WHERE VEN_DATHOR >= TO_DATE('01/01/2011','DD/MM/YYYY')
   AND IMPKIT = 'F'   
   AND NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PROIMPKIT');
   
/*-- SEQ 0246 --*/
-- Tarefa 83521 --
ALTER TABLE TT_IVE ENABLE ALL TRIGGERS;

/*-- SEQ 0247 --*/
-- Tarefa 83521 --
ALTER TABLE TT_PRO DISABLE ALL TRIGGERS;
   
 
/*-- SEQ 0248 --*/
-- Tarefa 83521 --	 
UPDATE TT_PRO
   SET IMPKIT = 'T'
 WHERE IMPKIT = 'F'
   AND NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PROIMPKIT');

/*-- SEQ 0249 --*/
-- Tarefa 83521 --
ALTER TABLE TT_PRO ENABLE ALL TRIGGERS;

/*-- SEQ 0250 --*/
-- Tarefa 83521 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;
 

/*-- SEQ 0251 --*/
-- Tarefa 83521 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'PROIMPKIT', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PROIMPKIT'));
					 
/*-- SEQ 0252 --*/
-- Tarefa 83521 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0253 --*/
-- Tarefa 83615 --
ALTER TABLE TT_IMU ADD ASSINA VARCHAR2(256) ;


/*-- SEQ 0254 --*/
-- Tarefa 83615 --
ALTER TABLE TT_IMU ADD CODUID Number ;


/*-- SEQ 0255 --*/
-- Tarefa 83615 --
CREATE INDEX I_LC_IMU_ASSINA ON TT_IMU (ASSINA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0256 --*/
-- Tarefa 83615 --
ALTER TABLE TT_IMU ADD CONSTRAINT FK_IMU_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0257 --*/
-- Tarefa 83615 --
CREATE INDEX I_FK_IMU_UID ON TT_IMU (CODUID) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0258 --*/
-- Tarefa 83615 --
ALTER TABLE TD_ISS ADD ASSINA VARCHAR2(256) ;


/*-- SEQ 0259 --*/
-- Tarefa 83615 --
ALTER TABLE TD_ISS ADD CODUID Number ;


/*-- SEQ 0260 --*/
-- Tarefa 83615 --
CREATE INDEX I_LC_DISS_ASSINA ON TD_ISS (ASSINA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0261 --*/
-- Tarefa 83615 --
ALTER TABLE TD_ISS ADD CONSTRAINT FK_DISS_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0262 --*/
-- Tarefa 83615 --
CREATE INDEX I_FK_DISS_UID ON TD_ISS (CODUID) TABLESPACE TOTALL_INDEX;




/*-- SEQ 0263 --*/
ALTER TABLE TT_UID DISABLE ALL TRIGGERS;

/*-- SEQ 0264 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_UID ADD TERMIN VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0265 --*/
ALTER TABLE TT_UID ENABLE ALL TRIGGERS;

/*-- SEQ 0266 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_UID_TERMIN ON TT_UID (TERMIN, SESSION_ID) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0267 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_UID ADD CONSTRAINT CK_UID_TERMIN CHECK (TERMIN IN ('F','T'));


/*-- SEQ 0268 --*/
-- Tarefa 83654 --
ALTER TABLE TT_VEN DISABLE ALL TRIGGERS;


/*-- SEQ 0269 --*/
-- Tarefa 83654 --
UPDATE TT_VEN
   SET CHAVEA = NULL
 WHERE FLGNFE IS NOT NULL
   AND CHAVEA IS NOT NULL
   AND LENGTH(CHAVEA) <> 44;

/*-- SEQ 0270 --*/
-- Tarefa 83654 --
ALTER TABLE TT_VEN ENABLE ALL TRIGGERS;


/*-- SEQ 0271 --*/
-- Tarefa 83654 --
ALTER TABLE TT_VRT DISABLE ALL TRIGGERS;


/*-- SEQ 0272 --*/
-- Tarefa 83654 --
UPDATE TT_VRT
   SET CHAVEA = NULL
 WHERE CHAVEA IS NOT NULL
   AND LENGTH(CHAVEA) <> 44;  

/*-- SEQ 0273 --*/
-- Tarefa 83654 --
ALTER TABLE TT_VRT ENABLE ALL TRIGGERS;


/*-- SEQ 0274 --*/
-- Tarefa 83730 --
CREATE TABLE TT_GRAXDCAR (
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  DATINC Date,
  ATU_EM Date,
  TIPCAR CHAR(1),
  FILMAT CHAR(1),
  CODMAT CHAR(5),
  CODCOR Number(5),
  CODTAM Number(5),
  PROTEF VARCHAR2(6)) TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0275 --*/
-- Tarefa 83730 --
ALTER TABLE TT_GRAXDCAR ADD CONSTRAINT PK_GRAXDCAR PRIMARY KEY (CODFIL, SEQUEN);
  
/*-- SEQ 0276 --*/
-- Tarefa 83730 --
ALTER TABLE TT_GRAXDCAR ADD CONSTRAINT FK_GRAXDCAR_GRA FOREIGN KEY (FILMAT, CODMAT, CODCOR, CODTAM) REFERENCES TT_GRA (FILMAT, CODMAT, CODCOR, CODTAM);  

/*-- SEQ 0277 --*/
-- Tarefa 83730 --
CREATE INDEX I_FK_GRAXDCAR_GRA ON TT_GRAXDCAR (FILMAT, CODMAT, CODCOR, CODTAM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0278 --*/
-- Tarefa 83730 --
CREATE UNIQUE INDEX I_UQ_GRAXDCAR ON TT_GRAXDCAR (TIPCAR, FILMAT, CODMAT, CODCOR, CODTAM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0279 --*/
-- Tarefa 83730 --
ALTER TABLE TT_GRAXDCAR ADD CONSTRAINT CK_GRAC_TIPCAR CHECK (TIPCAR IN ('T','V'));

/*-- SEQ 0280 --*/
-- Tarefa 83730 --
CREATE SEQUENCE SQGRAXDCAR INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;


/*-- SEQ 0281 --*/
-- Tarefa 83539 --
ALTER TABLE TT_ICO ADD CODCSTDIF VARCHAR2(3) ;


/*-- SEQ 0282 --*/
-- Tarefa 83539 --
ALTER TABLE TT_ICO MODIFY (CODCST VARCHAR2(3));

/*-- SEQ 0283 --*/
-- Tarefa 83539 --
ALTER TABLE TW_ICO_FIS ADD CODCST VARCHAR2(3) ;


/*-- SEQ 0284 --*/
-- Tarefa 83539 --
ALTER TABLE TT_ICO DISABLE ALL TRIGGERS;


/*-- SEQ 0285 --*/
-- Tarefa 83539 --
UPDATE TT_ICO
   SET CODCSTDIF = CASE WHEN VLRICMDIF = 0 THEN '40'
		           	        			   ELSE '00' END
 WHERE CODCST = '20'
   AND REDITEDIF = 0		  
   AND CODCSTDIF IS NULL
   AND COM_DATOPE >= TO_DATE('01/01/2011','DD/MM/YYYY');

/*-- SEQ 0286 --*/
-- Tarefa 83539 --
UPDATE TT_ICO
   SET CODCSTDIF = CASE WHEN VLRICMDIF = 0 THEN '40'
							               ELSE '10' END 
 WHERE CODCST = '70' 
   AND REDITEDIF = 0		  
   AND CODCSTDIF IS NULL
   AND COM_DATOPE >= TO_DATE('01/01/2011','DD/MM/YYYY');

/*-- SEQ 0287 --*/
-- Tarefa 83539 --   
UPDATE TT_ICO
   SET CODCSTDIF = '40'
 WHERE CODCST = '00' 
   AND VLRICMDIF = 0		  
   AND CODCSTDIF IS NULL
   AND COM_DATOPE >= TO_DATE('01/01/2011','DD/MM/YYYY');

/*-- SEQ 0288 --*/
-- Tarefa 83539 --   
UPDATE TT_ICO
   SET CODCSTDIF = TRIM(CODCST)
 WHERE CODCSTDIF IS NULL
   AND COM_DATOPE >= TO_DATE('01/01/2011','DD/MM/YYYY');

/*-- SEQ 0289 --*/
-- Tarefa 83539 --
ALTER TABLE TT_ICO ENABLE ALL TRIGGERS;


/*-- SEQ 0290 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83777 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'FNCLNOSNUM', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'FNCLNOSNUM'));


/*-- SEQ 0291 --*/
-- Tarefa 83446 --
ALTER TABLE TD_BIC ADD FILLAC CHAR(3) ;


/*-- SEQ 0292 --*/
-- Tarefa 83446 --
ALTER TABLE TD_BIC ADD SEQLAC CHAR(10) ;


/*-- SEQ 0293 --*/
-- Tarefa 83446 --
ALTER TABLE TD_BIC ADD CONSTRAINT FK_DBIC_LAC FOREIGN KEY (FILLAC,SEQLAC) REFERENCES TT_LAC (CODFIL,SEQUEN);


/*-- SEQ 0294 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0295 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0296 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0297 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0298 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0299 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0300 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0301 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0302 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0303 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0304 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0305 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0306 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;
 
/*-- SEQ 0307 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0308 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0309 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0310 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0311 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0312 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0313 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0314 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0315 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0316 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0317 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0318 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0319 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0320 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0321 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0322 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0323 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0324 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0325 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0326 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0327 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0328 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0329 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0330 --*/        
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0331 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0332 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0333 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;


/*-- SEQ 0334 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83958 --
ALTER TABLE TD_FCC ADD FCCFIL CHAR(3) ;


/*-- SEQ 0335 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83958 --
ALTER TABLE TD_FCC ADD FCC_FILMAT CHAR(3) ;


/*-- SEQ 0336 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83958 --
ALTER TABLE TD_FCC ADD FCC_CODMAT CHAR(5) ;

 
/*-- SEQ 0337 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83958 --
ALTER TABLE TD_FCC ADD FCC_CODCOR Number(5) ;

 
/*-- SEQ 0338 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83958 --
ALTER TABLE TD_FCC ADD FCC_CODTAM Number(5) ;
 
 
/*-- SEQ 0339 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83958 -- 
ALTER TABLE TD_FCC ADD CONSTRAINT FK_DFCC_DFIL FOREIGN KEY (FCCFIL) REFERENCES TD_FIL (CODFIL);
 
/*-- SEQ 0340 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83958 -- 
ALTER TABLE TD_FCC ADD CONSTRAINT FK_DFCC_GRA FOREIGN KEY (FCC_FILMAT,FCC_CODMAT,FCC_CODCOR,FCC_CODTAM) REFERENCES TT_GRA (FILMAT,CODMAT,CODCOR,CODTAM);

/*-- SEQ 0341 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83958 --
ALTER TABLE TW_TAB ADD FCCFIL CHAR(3) ;


/*-- SEQ 0342 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83958 --
ALTER TABLE TW_TAB ADD FCC_FILMAT CHAR(3) ;


/*-- SEQ 0343 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83958 --
ALTER TABLE TW_TAB ADD FCC_CODMAT CHAR(5) ;

 
/*-- SEQ 0344 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83958 --
ALTER TABLE TW_TAB ADD FCC_CODCOR Number(5) ;

 
/*-- SEQ 0345 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83958 --
ALTER TABLE TW_TAB ADD FCC_CODTAM Number(5) ;
 

/*-- SEQ 0346 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83958 --
SELECT * FROM NADA;


/*-- SEQ 0347 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83947 --
ALTER TABLE TT_PRO ADD NATBCC CHAR(2) ;


/*-- SEQ 0348 --*/
-- Tarefa 83947
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0349 --*/
-- Tarefa 83947 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'NATBCC', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'NATBCC'));

/*-- SEQ 0350 --*/
-- Tarefa 83947 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0351 --*/
-- Tarefa 83958
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;
 

/*-- SEQ 0352 --*/
-- Tarefa 83958 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'FCC_FILIAL', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'FCC_FILIAL'));
					 
/*-- SEQ 0353 --*/
-- Tarefa 83958 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0354 --*/
-- Tarefa 83868
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;
 

/*-- SEQ 0355 --*/
-- Tarefa 83868 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'DIAFEC', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'DIAFEC'));
					 
/*-- SEQ 0356 --*/
-- Tarefa 83868 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;
	


/*-- SEQ 0357 --*/
-- Tarefa 83445
ALTER TABLE TT_LAC DISABLE ALL TRIGGERS;
 

/*-- SEQ 0358 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC DISABLE ALL TRIGGERS;

/*-- SEQ 0359 --*/
ALTER TABLE TT_LAC ADD TIPMAN CHAR(1) DEFAULT 'O';

/*-- SEQ 0360 --*/
ALTER TABLE TT_LAC ENABLE ALL TRIGGERS;

/*-- SEQ 0361 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ENABLE ALL TRIGGERS;

/*-- SEQ 0362 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ADD DATINC Date ;


/*-- SEQ 0363 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ADD ATU_EM Date ;


/*-- SEQ 0364 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ADD NUMLAU VARCHAR2(20) ;


/*-- SEQ 0365 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ADD CODBIC Number(5) ;


/*-- SEQ 0366 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ADD MOTAPL VARCHAR2(50) ;


/*-- SEQ 0367 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ADD CNPRES VARCHAR2(14) ;


/*-- SEQ 0368 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ADD CPFTEC VARCHAR2(11) ;


/*-- SEQ 0369 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ADD ENCINI Number(10,2) ;


/*-- SEQ 0370 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ADD ENCFIM Number(10,2) ;


/*-- SEQ 0371 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ADD FILLAC CHAR(3) ;


/*-- SEQ 0372 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ADD SEQLAC CHAR(10) ;


/*-- SEQ 0373 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ADD FILUSU CHAR(3) ;

 
/*-- SEQ 0374 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ADD CODUSU CHAR(3) ;


/*-- SEQ 0375 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC MODIFY (TIPMAN CONSTRAINT NN_LAC_TIPMAN NOT NULL);


/*-- SEQ 0376 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC MODIFY (DATINC CONSTRAINT NN_LAC_DATINC NOT NULL);


/*-- SEQ 0377 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC MODIFY (ATU_EM CONSTRAINT NN_LAC_ATU_EM NOT NULL);


/*-- SEQ 0378 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC MODIFY (CODBIC CONSTRAINT NN_LAC_CODBIC NOT NULL);


/*-- SEQ 0379 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC MODIFY (MOTAPL CONSTRAINT NN_LAC_MOTAPL NOT NULL);


/*-- SEQ 0380 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC MODIFY (CNPRES CONSTRAINT NN_LAC_CNPRES NOT NULL);


/*-- SEQ 0381 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC MODIFY (CPFTEC CONSTRAINT NN_LAC_CPFTEC NOT NULL);


/*-- SEQ 0382 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC MODIFY (ENCINI CONSTRAINT NN_LAC_ENCINI NOT NULL);


/*-- SEQ 0383 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC MODIFY (ENCFIM CONSTRAINT NN_LAC_ENCFIM NOT NULL);


/*-- SEQ 0384 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC MODIFY (FILLAC CONSTRAINT NN_LAC_FILLAC NOT NULL);


/*-- SEQ 0385 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC MODIFY (SEQLAC CONSTRAINT NN_LAC_SEQLAC NOT NULL);


/*-- SEQ 0386 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC MODIFY (FILUSU CONSTRAINT NN_LAC_FILUSU NOT NULL);


/*-- SEQ 0387 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC MODIFY (CODUSU CONSTRAINT NN_LAC_CODUSU NOT NULL);


/*-- SEQ 0388 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ADD CONSTRAINT FK_LAC_BIC FOREIGN KEY (CODBIC) REFERENCES TD_BIC (CODTAB);

/*-- SEQ 0389 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ADD CONSTRAINT FK_LAC_LAC FOREIGN KEY (FILLAC,SEQLAC) REFERENCES TT_LAC (CODFIL,SEQUEN);

/*-- SEQ 0390 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ADD CONSTRAINT FK_LAC_USU FOREIGN KEY (FILUSU,CODUSU) REFERENCES TT_USU (FILUSU,CODUSU);

/*-- SEQ 0391 --*/
-- Tarefa 83445 --
CREATE INDEX I_FK_LAC_BIC ON TT_LAC (CODBIC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0392 --*/
-- Tarefa 83445 --
CREATE INDEX I_FK_LAC_LAC ON TT_LAC (FILLAC,SEQLAC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0393 --*/
-- Tarefa 83445 --
CREATE INDEX I_FK_LAC_USU ON TT_LAC (FILUSU,CODUSU) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0394 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC DROP CONSTRAINT CK_LAC_DATAPL; 

/*-- SEQ 0395 --*/
-- Tarefa 83445 --
CREATE INDEX I_LC_LAC_DATAPL ON TT_LAC (DATAPL, CODFIL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0396 --*/        
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC DROP CONSTRAINT NN_LAC_LACATI;


/*-- SEQ 0397 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC DROP CONSTRAINT NN_LAC_CODBOM;


/*-- SEQ 0398 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ADD CONSTRAINT CK_LAC_TIPMAN CHECK (TIPMAN IN ('P','O'));

/*-- SEQ 0399 --*/
-- Tarefa 83445 --
CREATE UNIQUE INDEX I_UQ_LAC ON TT_LAC (CODFIL,NUMLAC,TIPMAN) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0400 --*/
-- Tarefa 83977 --
ALTER TABLE TT_COM ADD SITPIS CHAR(2) ;


/*-- SEQ 0401 --*/
-- Tarefa 83977 --
ALTER TABLE TT_COM ADD SITCOF CHAR(2) ;



/*-- SEQ 0402 --*/
-- Tarefa 83977 --
ALTER TABLE TT_COM ADD CODFPS VARCHAR2(2) ;


/*-- SEQ 0403 --*/
-- Tarefa 83977 --
ALTER TABLE TT_COM ADD CONSTRAINT FK_COM_DFPS_CODFPS FOREIGN KEY (CODFPS) REFERENCES TD_FPS (CODFPS);


/*-- SEQ 0404 --*/
-- Tarefa 83977 --
ALTER TABLE TT_COM ADD NATFRE CHAR(1) ;



/*-- SEQ 0405 --*/
-- Tarefa 83777 --
DELETE FROM TT_FUN
 WHERE NOMFUN = 'FNCLNOSNUM';
 
 /*-- SEQ 0406 --*/
-- Tarefa 83777 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'FNFTNOSNUM', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'FNFTNOSNUM'));


/*-- SEQ 0407 --*/
-- Tarefa 84219 --
ALTER TABLE TT_LID ADD BUILD Number(8) ;


/*-- SEQ 0408 --*/
-- Tarefa 84219 --
ALTER TABLE TT_LCF ADD BUILD Number(8) ;



/*-- SEQ 0409 --*/
-- Tarefa 84228 --
ALTER TABLE TT_CTAXFIL ADD CODEXT VARCHAR2(20) ;



/*-- SEQ 0410 --*/
-- Tarefa 84222 --
ALTER TABLE TR_ECF DISABLE ALL TRIGGERS;

/*-- SEQ 0411 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TR_ECF ADD PELAFD VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0412 --*/
ALTER TABLE TR_ECF ENABLE ALL TRIGGERS;

/*-- SEQ 0413 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84222 --
ALTER TABLE TR_ECF ADD CONSTRAINT CK_RECF_PELAFD CHECK (PELAFD IN ('T','F'));

/*-- SEQ 0414 --*/
-- Tarefa 84222
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0415 --*/
-- Tarefa 84222 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'VAL_FD', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'VAL_FD'));

/*-- SEQ 0416 --*/
-- Tarefa 84222 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0417 --*/
-- Tarefa 83824 --
ALTER TABLE TT_USU DISABLE ALL TRIGGERS;


/*-- SEQ 0418 --*/
-- Tarefa 83824 --
UPDATE TT_USU 
   SET PERMIS = SUBSTR(PERMIS,1,353)||'S'||SUBSTR(PERMIS,355,9999);
										
/*-- SEQ 0419 --*/
-- Tarefa 83824 --
ALTER TABLE TT_USU ENABLE ALL TRIGGERS;

/*-- SEQ 0420 --*/
-- Tarefa 83824 --
ALTER TABLE TT_PAP DISABLE ALL TRIGGERS;


/*-- SEQ 0421 --*/
-- Tarefa 83824 --
UPDATE TT_PAP
   SET PERMIS = SUBSTR(PERMIS,1,353)||'S'||SUBSTR(PERMIS,355,9999);
										
/*-- SEQ 0422 --*/
-- Tarefa 83824 --
ALTER TABLE TT_PAP ENABLE ALL TRIGGERS;


/*-- SEQ 0423 --*/
-- Tarefa 84239 --
ALTER TABLE TT_CFG ADD DSER_NFCOMPL CHAR(2) ;
 

/*-- SEQ 0424 --*/
-- Tarefa 84239 --  
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DSER_NFCOMPL FOREIGN KEY (DSER_NFCOMPL) REFERENCES TD_SER(CODSER);

/*-- SEQ 0425 --*/
-- Tarefa 84239 --  
CREATE INDEX I_FK_CFG_DSER_NFCOMPL ON TT_CFG (DSER_NFCOMPL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0426 --*/
-- Tarefa 84239 --
ALTER TABLE TW_CFG ADD DSER_NFCOMPL CHAR(2) ;
 


/*-- SEQ 0427 --*/
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;


/*-- SEQ 0428 --*/
UPDATE TT_CFG
   SET CHECKOUT_VERMIN = '5.2',
       CHECKOUT_RELMIN = 0;
										
/*-- SEQ 0429 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0430 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84322 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0431 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD PERCOM_FPV VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0432 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS; 

/*-- SEQ 0433 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84322 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_PERCOM_FPV CHECK (PERCOM_FPV IN ('T','F'));

/*-- SEQ 0434 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84322 --
ALTER TABLE TT_CFG MODIFY (PERCOM_FPV CONSTRAINT NN_CFG_PERCOM_FPV NOT NULL);


/*-- SEQ 0435 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84322 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0436 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD PERCOM_FPV VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0437 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS; 


/*-- SEQ 0438 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PRO ADD TIPMPB CHAR(1);

/*-- SEQ 0439 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_PRO_TIPMPB ON TT_PRO (TIPMPB) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0440 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_TIPMPB CHECK (TIPMPB IN ('C','T'));

/*-- SEQ 0441 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_MPB DROP CONSTRAINT CK_MPB_TIPCONJ;

/*-- SEQ 0442 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_MPB ADD CONSTRAINT CK_MPB_TIPCONJ CHECK (TIPCONJ IN (1,2,3,4,5,6));


/*-- SEQ 0443 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83947 --
alter table tt_ive add kitori Number(5);


/*-- SEQ 0444 --*/
-- Tarefa 84337 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0445 --*/
ALTER TABLE TT_CFG ADD BLQ_SEM_UID VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0446 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0447 --*/
-- Tarefa 84337 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_BLQ_SEM_UID CHECK (BLQ_SEM_UID IN ('T','F'));

/*-- SEQ 0448 --*/
-- Tarefa 84337 --
ALTER TABLE TT_CFG MODIFY (BLQ_SEM_UID CONSTRAINT NN_CFG_BLQ_SEM_UID NOT NULL);


/*-- SEQ 0449 --*/
-- Tarefa 84337 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0450 --*/
ALTER TABLE TW_CFG ADD BLQ_SEM_UID VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0451 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0452 --*/
-- Tarefa 84338 --
ALTER TABLE TW_ICO_FIS ADD CODORI Number(1) ;



/*-- SEQ 0453 --*/
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0454 --*/
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'MARCA_FRE', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'MARCA_FRE'));

/*-- SEQ 0455 --*/
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;



/*-- SEQ 0456 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_VEN MODIFY (MARCAS  VARCHAR2(30));


/*-- SEQ 0457 --*/
-- Tarefa 84378 --
CREATE TABLE TD_ENT (
  CODTAB Number(5),
  TIPENT CHAR(1),
  DESENT VARCHAR2(20),
  PRZENT Number(2)) TABLESPACE TOTALL_DATA;

/*-- SEQ 0458 --*/
-- Tarefa 84378 -- 
ALTER TABLE TD_ENT ADD CONSTRAINT PK_DENT PRIMARY KEY (CODTAB);

/*-- SEQ 0459 --*/
-- Tarefa 84378 -- 
ALTER TABLE TD_ENT ADD CONSTRAINT AK_DENT_TIPENT  UNIQUE (TIPENT);

/*-- SEQ 0460 --*/
-- Tarefa 84378 -- 
ALTER TABLE TD_ENT MODIFY (TIPENT CONSTRAINT NN_DENT_TIPENT NOT NULL);


/*-- SEQ 0461 --*/
-- Tarefa 84378 -- 
ALTER TABLE TD_ENT MODIFY (DESENT CONSTRAINT NN_DENT_DESENT NOT NULL);


/*-- SEQ 0462 --*/
-- Tarefa 84378 -- 
ALTER TABLE TD_ENT ADD CONSTRAINT CK_DENT_PRZENT CHECK ((PRZENT IS NULL) OR (PRZENT > 0));

/*-- SEQ 0463 --*/
-- Tarefa 84378 -- 
INSERT INTO TD_ENT (CODTAB, TIPENT, DESENT) VALUES (0,'0','Cliente Leva');

/*-- SEQ 0464 --*/
-- Tarefa 84378 -- 
INSERT INTO TD_ENT (CODTAB, TIPENT, DESENT) VALUES (1,'1','Entrega Direta');

/*-- SEQ 0465 --*/
-- Tarefa 84378 -- 
INSERT INTO TD_ENT (CODTAB, TIPENT, DESENT) VALUES (2,'2','Loja Entrega');

/*-- SEQ 0466 --*/
-- Tarefa 84378 -- 
INSERT INTO TD_ENT (CODTAB, TIPENT, DESENT) VALUES (3,'3','Retira no Depsito');

/*-- SEQ 0467 --*/
-- Tarefa 84378 -- 
INSERT INTO TD_ENT (CODTAB, TIPENT, DESENT) VALUES (4,'4','Em Outra Loja');

/*-- SEQ 0468 --*/
-- Tarefa 84378 -- 
INSERT INTO TD_ENT (CODTAB, TIPENT, DESENT) VALUES (5,'5','Entrega Futura');

/*-- SEQ 0469 --*/
-- Tarefa 84378 -- 
INSERT INTO TD_ENT (CODTAB, TIPENT, DESENT) VALUES (6,'6','Apenas Oramento');

/*-- SEQ 0470 --*/
-- Tarefa 84378 -- 
INSERT INTO TD_ENT (CODTAB, TIPENT, DESENT) VALUES (7,'7','Venda sob Encomenda');

/*-- SEQ 0471 --*/
-- Tarefa 84378 -- 
ALTER TABLE TT_IOR ADD CONSTRAINT FK_IOR_DENT_TIPENT FOREIGN KEY (TIPENT) REFERENCES TD_ENT (TIPENT);

/*-- SEQ 0472 --*/
-- Tarefa 84378 -- 
ALTER TABLE TT_ORC ADD CONSTRAINT FK_ORC_DENT_TIPENT FOREIGN KEY (TIPENT) REFERENCES TD_ENT (TIPENT);

/*-- SEQ 0473 --*/
-- Tarefa 84378 --  
CREATE INDEX I_FK_IOR_DENT_TIPENT ON TT_IOR (TIPENT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0474 --*/
-- Tarefa 84378 --  
CREATE INDEX I_FK_ORC_DENT_TIPENT ON TT_ORC (TIPENT) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0475 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
ALTER TABLE TD_FIL DISABLE ALL TRIGGERS;


/*-- SEQ 0476 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
ALTER TABLE TD_FIL MODIFY (E_MAIL VARCHAR2(254));

/*-- SEQ 0477 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
ALTER TABLE TD_FIL ENABLE ALL TRIGGERS;

/*-- SEQ 0478 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
ALTER TABLE TI_CLI DISABLE ALL TRIGGERS;


/*-- SEQ 0479 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
ALTER TABLE TI_CLI MODIFY (E_MAIL VARCHAR2(254));

/*-- SEQ 0480 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
ALTER TABLE TI_CLI ENABLE ALL TRIGGERS;

/*-- SEQ 0481 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
ALTER TABLE TT_CLI DISABLE ALL TRIGGERS;


/*-- SEQ 0482 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
ALTER TABLE TT_CLI MODIFY (E_MCON VARCHAR2(254));

/*-- SEQ 0483 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
ALTER TABLE TT_CLI ENABLE ALL TRIGGERS;

/*-- SEQ 0484 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
ALTER TABLE TT_CON DISABLE ALL TRIGGERS;


/*-- SEQ 0485 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
ALTER TABLE TT_CON MODIFY (E_MAIL VARCHAR2(254));

/*-- SEQ 0486 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
ALTER TABLE TT_CON ENABLE ALL TRIGGERS;

/*-- SEQ 0487 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
ALTER TABLE TT_INT DISABLE ALL TRIGGERS;


/*-- SEQ 0488 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
ALTER TABLE TT_INT MODIFY (E_MAIL VARCHAR2(254));

/*-- SEQ 0489 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
ALTER TABLE TT_INT ENABLE ALL TRIGGERS;

/*-- SEQ 0490 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
ALTER TABLE TT_SPC DISABLE ALL TRIGGERS;


/*-- SEQ 0491 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
ALTER TABLE TT_SPC MODIFY (E_MAIL VARCHAR2(254));

/*-- SEQ 0492 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
ALTER TABLE TT_SPC ENABLE ALL TRIGGERS;


/*-- SEQ 0493 --*/
-- Tarefa 84186
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0494 --*/
-- Tarefa 84186 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'NATBCC2', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'NATBCC2'));

/*-- SEQ 0495 --*/
-- Tarefa 84186 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0496 --*/
-- Tarefa 83540 --
ALTER TABLE TT_ICO DISABLE ALL TRIGGERS;


/*-- SEQ 0497 --*/
-- Tarefa 83540 --
ALTER TABLE TT_ICO DROP CONSTRAINT CK_ICO_CODCST;

/*-- SEQ 0498 --*/
-- Tarefa 83540 --
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_CODCST CHECK (CODCST IN ('00','10','20','30','40','41','50','51','60','70','90','101','102','103','201','202','203','300','400','500','900'));

/*-- SEQ 0499 --*/
-- Tarefa 83540 --
ALTER TABLE TT_ICO ENABLE ALL TRIGGERS;


/*-- SEQ 0500 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78786
DROP VIEW TV_FIN_RTT;



/*-- SEQ 0501 --*/
-- Tarefa 84570 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
  (SELECT 'Discos para sistema de leitura por raios laser com possibilidade de serem gravados uma nica vez',3,16,'T','85234110' 
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '85234110'));	 


/*-- SEQ 0502 --*/
-- Tarefa 84596 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0503 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD ST_NO_FRETE VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0504 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0505 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84596 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_ST_NO_FRETE CHECK (ST_NO_FRETE IN ('T','F'));

/*-- SEQ 0506 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84596 --
ALTER TABLE TT_CFG MODIFY (ST_NO_FRETE CONSTRAINT NN_CFG_ST_NO_FRETE NOT NULL);


/*-- SEQ 0507 --*/
-- Tarefa 84596 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0508 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD ST_NO_FRETE VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0509 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0510 --*/
-- Tarefa 84596 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ST_NO_FRE', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ST_NO_FRE'));


/*-- SEQ 0511 --*/
-- Tarefa 84601 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_AUT ADD FLGEST CHAR(1) ;


/*-- SEQ 0512 --*/
-- Tarefa 84601 --
ALTER TABLE TT_AUT ADD CONSTRAINT CK_AUT_FLGEST CHECK (FLGEST IN ('P','A'));


/*-- SEQ 0513 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84179 --
SELECT * FROM NADA;

/*-- SEQ 0514 --*/
-- Tarefa 84179 --
ALTER TABLE TT_END DISABLE ALL TRIGGERS;


/*-- SEQ 0515 --*/
-- Tarefa 84179 --
update tt_end
   set insest = null
 where (tt_end.filcli, tt_end.codcli) in
       (select cli.filcli, cli.codcli
          from tt_cli cli inner join tt_end ende on ende.filcli = cli.filcli
                                                and ende.codcli = cli.codcli
         where cli.flgtip = '0'
		   and cli.tipdoc <> 'IE'
           and cli.insest = ende.insest)
   and tt_end.insest is not null;
   
/*-- SEQ 0516 --*/
-- Tarefa 84179 --  
ALTER TABLE TT_END ENABLE ALL TRIGGERS;


/*-- SEQ 0517 --*/
-- Tarefa 84635 --
ALTER TABLE TT_USU DISABLE ALL TRIGGERS;


/*-- SEQ 0518 --*/
-- Tarefa 84635 --
UPDATE TT_USU 
   SET PERMIS = SUBSTR(PERMIS,1,355)||SUBSTR(PERMIS,279,1)||SUBSTR(PERMIS,357,9999);
										
/*-- SEQ 0519 --*/
-- Tarefa 84635 --
ALTER TABLE TT_USU ENABLE ALL TRIGGERS;

/*-- SEQ 0520 --*/
-- Tarefa 84635 --
ALTER TABLE TT_PAP DISABLE ALL TRIGGERS;


/*-- SEQ 0521 --*/
-- Tarefa 84635 --
UPDATE TT_PAP
   SET PERMIS = SUBSTR(PERMIS,1,355)||SUBSTR(PERMIS,279,1)||SUBSTR(PERMIS,357,9999);
										
/*-- SEQ 0522 --*/
-- Tarefa 84635 --
ALTER TABLE TT_PAP ENABLE ALL TRIGGERS;


/*-- SEQ 0523 --*/
-- Tarefa 84637 --
ALTER TABLE TT_GRAXDCAR MODIFY (TIPCAR CONSTRAINT NN_GRAXDCAR_TIPCAR NOT NULL);


/*-- SEQ 0524 --*/
-- Tarefa 84637 --
ALTER TABLE TT_GRAXDCAR MODIFY (FILMAT CONSTRAINT NN_GRAXDCAR_FILMAT NOT NULL);


/*-- SEQ 0525 --*/
-- Tarefa 84637 --
ALTER TABLE TT_GRAXDCAR MODIFY (CODMAT CONSTRAINT NN_GRAXDCAR_CODMAT NOT NULL);


/*-- SEQ 0526 --*/
-- Tarefa 84637 --
ALTER TABLE TT_GRAXDCAR MODIFY (CODCOR CONSTRAINT NN_GRAXDCAR_CODCOR NOT NULL);


/*-- SEQ 0527 --*/
-- Tarefa 84637 --
ALTER TABLE TT_GRAXDCAR MODIFY (CODTAM CONSTRAINT NN_GRAXDCAR_CODTAM NOT NULL);


/*-- SEQ 0528 --*/
-- Tarefa 84637 --
ALTER TABLE TT_GRAXDCAR MODIFY (PROTEF CONSTRAINT NN_GRAXDCAR_PROTEF NOT NULL);



/*-- SEQ 0529 --*/
-- Tarefa 84636 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'PRODCART', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PRODCART'));
                     
/*-- SEQ 0530 --*/
-- Tarefa 84636 --        
ALTER TABLE TT_GRAXDCAR MODIFY FILMAT CHAR(3);


/*-- SEQ 0531 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84636 --
SELECT * FROM NADA;


/*-- SEQ 0532 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84801 --
ALTER TABLE TT_CLI ADD FILEND CHAR(3) ;


/*-- SEQ 0533 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84801 --
ALTER TABLE TT_CLI ADD NUMEND Number(4) ;


/*-- SEQ 0534 --*/
-- Tarefa 84801 --
CREATE TABLE TEMP_PRI_END AS
SELECT FILCLI, CODCLI, MIN(CODFIL||NUMEND) AS CHVEND
  FROM TT_END ENDE
 WHERE SIGNAT >= 0  
 GROUP BY FILCLI, CODCLI;
 
/*-- SEQ 0535 --*/
-- Tarefa 84801 --
CREATE INDEX I_LC_TEMP_PRI_END ON TEMP_PRI_END (FILCLI, CODCLI) TABLESPACE TOTALL_INDEX; 
 
/*-- SEQ 0536 --*/
-- Tarefa 84801 --
ALTER TABLE TT_CLI DISABLE ALL TRIGGERS;

 
/*-- SEQ 0537 --*/
-- Tarefa 84801 --
UPDATE TT_CLI CLI
   SET FILEND = (SELECT SUBSTR(TMP.CHVEND,1,3)
                   FROM TEMP_PRI_END TMP
                  WHERE TMP.FILCLI = CLI.FILCLI
                    AND TMP.CODCLI = CLI.CODCLI),
       NUMEND = (SELECT TO_NUMBER(SUBSTR(TMP.CHVEND,4,4))
                   FROM TEMP_PRI_END TMP
                  WHERE TMP.FILCLI = CLI.FILCLI
                    AND TMP.CODCLI = CLI.CODCLI)
 WHERE FILEND IS NULL;                       

/*-- SEQ 0538 --*/
-- Tarefa 84801 --
ALTER TABLE TT_CLI ENABLE ALL TRIGGERS;                    

/*-- SEQ 0539 --*/
-- Tarefa 84801 --
DROP TABLE TEMP_PRI_END;

/*-- SEQ 0540 --*/
-- Tarefa 84801 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ENDCLI', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ENDCLI'));


/*-- SEQ 0541 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84403 --
ALTER TABLE TI_ICO ADD BASIPI Number(12,2) ;



/*-- SEQ 0542 --*/
-- Tarefa 84376 --
ALTER TABLE TT_USU DISABLE ALL TRIGGERS;


/*-- SEQ 0543 --*/
-- Tarefa 84376 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,354)||SUBSTR(PERMIS,194,1)||SUBSTR(PERMIS,356,9999);

/*-- SEQ 0544 --*/
-- Tarefa 84376 --
ALTER TABLE TT_USU ENABLE ALL TRIGGERS;

/*-- SEQ 0545 --*/
-- Tarefa 84376 --
ALTER TABLE TT_PAP DISABLE ALL TRIGGERS;


/*-- SEQ 0546 --*/
-- Tarefa 84376 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,354)||SUBSTR(PERMIS,194,1)||SUBSTR(PERMIS,356,9999);

/*-- SEQ 0547 --*/
-- Tarefa 84376 --
ALTER TABLE TT_PAP ENABLE ALL TRIGGERS;


/*-- SEQ 0548 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84668 --
ALTER TABLE TL_SUP DROP CONSTRAINT FK_LSUP_SUP;


/*-- SEQ 0549 --*/
-- Tarefa 83644 --
ALTER TABLE TL_CFG DISABLE ALL TRIGGERS;


/*-- SEQ 0550 --*/
-- Tarefa 83644 --
DELETE FROM TL_CFG 
 WHERE TABELA = 'TT_CFG'
   AND COLUNA = 'gx_simpan_env';

/*-- SEQ 0551 --*/
-- Tarefa 83644 --
ALTER TABLE TL_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0552 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
CREATE TABLE GX_CFG (
  GX_CFGId                  Number(10),
  GX_CFGSimPanBaseURL       VARCHAR2(40),
  GX_CFGSimPanHost          VARCHAR2(40),
  GX_CFGSimPanPort          Number(10),
  GX_CFGTotallCreditBaseURL VARCHAR2(40),
  GX_CFGTotallCreditHost    VARCHAR2(40),
  GX_CFGTotallCreditPort    Number(10),
  GX_CFGTotallCargaBaseURL  CHAR(50),
  GX_CFGTotallCargaHost     VARCHAR2(40),
  GX_CFGTotallCargaPort     Number(10),
  GX_CFGLog                 Number(1)) 
  TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0553 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_CFG ADD CONSTRAINT PK_GX_CFG PRIMARY KEY (GX_CFGId);

/*-- SEQ 0554 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_CFG MODIFY (GX_CFGLog CONSTRAINT NN_GX_CFGLog NOT NULL);


/*-- SEQ 0555 --*/
-- Tarefa 84638 --
INSERT INTO GX_CFG
(GX_CFGId, 
 GX_CFGSimPanBaseURL, 
 GX_CFGSimPanHost, 
 GX_CFGSimPanPort, 
 GX_CFGTotallCreditBaseURL, 
 GX_CFGTotallCreditHost, 
 GX_CFGTotallCreditPort, 
 GX_CFGTotallCargaBaseURL, 
 GX_CFGTotallCargaHost, 
 GX_CFGTotallCargaPort, 
 GX_CFGLog)
SELECT 1, 
       null, 
       null, 
       null, 
       null, 
       null, 
       null, 
       null, 
       null, 
       null, 
       0  FROM DUAL
 WHERE NOT EXISTS (SELECT 1 AS OK
                     FROM GX_CFG
                    WHERE GX_CFGId = 1);

/*-- SEQ 0556 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
/*-- IGNORE ERRO --*/
ALTER TABLE GX_CFG ADD GX_CFGNfeAtu Date ;
 

/*-- SEQ 0557 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
/*-- IGNORE ERRO --*/
ALTER TABLE GX_CFG ADD GX_CFGNfeLog Number(1) ;
 
       
/*-- SEQ 0558 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_CFG DISABLE ALL TRIGGERS;
       
       
/*-- SEQ 0559 --*/
-- Tarefa 84638 --
UPDATE GX_CFG
   SET GX_CFGNfeAtu = TO_DATE('31/12/2011 00:00:00','DD/MM/YYYY HH24:MI:SS')
 WHERE GX_CFGId = 1
   AND GX_CFGNfeAtu IS NULL;
       
/*-- SEQ 0560 --*/
-- Tarefa 84638 --
UPDATE GX_CFG
   SET GX_CFGNfeLog = 0 WHERE GX_CFGId = 1
   AND GX_CFGNfeLog IS NULL;

/*-- SEQ 0561 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0562 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_CFG MODIFY (GX_CFGNfeAtu CONSTRAINT NN_GX_CFGNfeAtu NOT NULL);


/*-- SEQ 0563 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_CFG MODIFY (GX_CFGNfeLog CONSTRAINT NN_GX_CFGNfeLog NOT NULL);


/*-- SEQ 0564 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
CREATE TABLE GX_LOG (
  GX_LogId        Number(10),
  GX_LogDescricao VARCHAR2(4000),
  GX_LogData      Date,
  GX_LogErro      Number(1))
  TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0565 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
CREATE SEQUENCE GX_LogId INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;
  
/*-- SEQ 0566 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_LOG ADD CONSTRAINT PK_GX_LogId PRIMARY KEY (GX_LogId);

/*-- SEQ 0567 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_LOG MODIFY (GX_LogDescricao CONSTRAINT NN_GX_LogDescricao NOT NULL);


/*-- SEQ 0568 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_LOG MODIFY (GX_LogData CONSTRAINT NN_GX_LogData NOT NULL);


/*-- SEQ 0569 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_LOG MODIFY (GX_LogErro CONSTRAINT NN_GX_LogErro NOT NULL);



/*-- SEQ 0570 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
SELECT * FROM NADA;


/*-- SEQ 0571 --*/
-- Tarefa 84700 --
ALTER TABLE TT_SAL DISABLE ALL TRIGGERS;


/*-- SEQ 0572 --*/
-- Tarefa 84700 --
ALTER TABLE TT_ICO DISABLE ALL TRIGGERS;


/*-- SEQ 0573 --*/
-- Tarefa 84700 --
ALTER TABLE TW_ICO_FIS DISABLE ALL TRIGGERS;


/*-- SEQ 0574 --*/
-- Tarefa 84700 --
ALTER TABLE TT_SAL MODIFY (PRECMP Number(14,4));

/*-- SEQ 0575 --*/
-- Tarefa 84700 --
ALTER TABLE TT_SAL MODIFY (REPCMP Number(14,4));

/*-- SEQ 0576 --*/
-- Tarefa 84700 --
ALTER TABLE TT_ICO MODIFY (CUSREP Number(14,4));

/*-- SEQ 0577 --*/
-- Tarefa 84700 --
ALTER TABLE TW_ICO_FIS MODIFY (CUSREP Number(14,4));

/*-- SEQ 0578 --*/
-- Tarefa 84700 --
ALTER TABLE TT_SAL ENABLE ALL TRIGGERS;

/*-- SEQ 0579 --*/
-- Tarefa 84700 --
ALTER TABLE TT_ICO ENABLE ALL TRIGGERS;

/*-- SEQ 0580 --*/
-- Tarefa 84700 --
ALTER TABLE TW_ICO_FIS ENABLE ALL TRIGGERS;


/*-- SEQ 0581 --*/
-- Tarefa 85042 --
ALTER TABLE TT_ICO MODIFY (VALCON Number(14,4));


/*-- SEQ 0582 --*/
-- Tarefa 83344 --
ALTER TABLE TL_VEN DISABLE ALL TRIGGERS;


/*-- SEQ 0583 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83344 --
CREATE INDEX I_LVEN_MSGLOG ON TL_VEN (MSGLOG) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0584 --*/
-- Tarefa 83344 --
DELETE 
  FROM TL_VEN
 WHERE MSGLOG LIKE 'Estado: de I%';

/*-- SEQ 0585 --*/
-- Tarefa 83344 --
DROP INDEX I_LVEN_MSGLOG;
					  
/*-- SEQ 0586 --*/
-- Tarefa 83344 --
ALTER TABLE TL_VEN ENABLE ALL TRIGGERS;



/*-- SEQ 0587 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85164 --
ALTER TABLE TI_CLI ADD ISENTO VARCHAR2(1) ;



/*-- SEQ 0588 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82965 --
ALTER TABLE TL_CFG DISABLE ALL TRIGGERS;


/*-- SEQ 0589 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82965 --
ALTER TABLE TL_CFG ADD OPERAD CHAR(1) ;


/*-- SEQ 0590 --*/
-- Tarefa 82965 --
UPDATE TL_CFG
   SET OPERAD = 'A'
 WHERE COLUNA = '--Alteracao--';
 
/*-- SEQ 0591 --*/
-- Tarefa 82965 --
UPDATE TL_CFG
   SET OPERAD = 'E'
 WHERE COLUNA = '--Exclusao--';

/*-- SEQ 0592 --*/
-- Tarefa 82965 --
UPDATE TL_CFG
   SET OPERAD = 'I'
 WHERE COLUNA = '--Inclusao--';
 
/*-- SEQ 0593 --*/
-- Tarefa 82965 --
UPDATE TL_CFG
   SET OPERAD = 'A'
 WHERE COLUNA <> '--Inclusao--'
   AND COLUNA <> '--Exclusao--'
   AND COLUNA <> '--Alteracao--';

/*-- SEQ 0594 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82965 --
ALTER TABLE TL_CFG ADD CONSTRAINT CK_CFG_OPERAD CHECK (OPERAD IN ('A','E','I'));

/*-- SEQ 0595 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82965 --
ALTER TABLE TL_CFG MODIFY (OPERAD CONSTRAINT NN_CFG_OPERAD NOT NULL);


/*-- SEQ 0596 --*/
-- Tarefa 82965 --
ALTER TABLE TL_CFG ENABLE ALL TRIGGERS; 


/*-- SEQ 0597 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84500 --
ALTER TABLE TT_GRA MODIFY (CUSFRE Number(14,4));


/*-- SEQ 0598 --*/
-- Tarefa 85136 --
ALTER TABLE TT_UID DISABLE ALL TRIGGERS;

/*-- SEQ 0599 --*/
ALTER TABLE TT_UID ADD ASSINS VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0600 --*/
ALTER TABLE TT_UID ENABLE ALL TRIGGERS;

/*-- SEQ 0601 --*/
-- Tarefa 85136 --  
ALTER TABLE TT_UID MODIFY (ASSINS CONSTRAINT NN_UID_ASSINS NOT NULL);


/*-- SEQ 0602 --*/
-- Tarefa 85136 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ASSINS', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ASSINS'));
                     
CREATE TABLE TM_ASS (
  MASSID Number(10),
  TABELA VARCHAR2(6),
  FLGEST CHAR(1),
  CODUID Number,
  ASSINA VARCHAR2(256)
) TABLESPACE TOTALL_DATA;

/*-- SEQ 0603 --*/
-- Tarefa 85136 --  
ALTER TABLE TM_ASS MODIFY (TABELA CONSTRAINT NN_MASS_TABELA NOT NULL);


/*-- SEQ 0604 --*/
-- Tarefa 85136 --  
ALTER TABLE TM_ASS MODIFY (FLGEST CONSTRAINT NN_MASS_FLGEST NOT NULL);


/*-- SEQ 0605 --*/
-- Tarefa 85136 --  
ALTER TABLE TM_ASS ADD CONSTRAINT PK_MASS PRIMARY KEY (MASSID);

/*-- SEQ 0606 --*/
-- Tarefa 85136 --
CREATE SEQUENCE SQMASS INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0607 --*/
-- Tarefa 85136 --
ALTER TABLE TM_ASS MODIFY (FLGEST DEFAULT 'N');


/*-- SEQ 0608 --*/
-- Tarefa 85139 --
CREATE TABLE TT_CEE (
	CODFIL CHAR(3),
	SEQUEN CHAR(10),
	DATINC Date,
	INDEMI CHAR(1),
	TEXTOC VARCHAR2(1000),
	DATREG Date,
	PROTOC Number(15),
	FILVEN CHAR(3),
	SEQVEN CHAR(10)
	);

/*-- SEQ 0609 --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE MODIFY (INDEMI CONSTRAINT NN_CEE_INDEMI NOT NULL);


/*-- SEQ 0610 --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE MODIFY (DATINC CONSTRAINT NN_CEE_DATINC NOT NULL);


/*-- SEQ 0611 --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE MODIFY (TEXTOC CONSTRAINT NN_CEE_TEXTOC NOT NULL);


/*-- SEQ 0612 --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE MODIFY (DATREG CONSTRAINT NN_CEE_DATREG NOT NULL);


/*-- SEQ 0613 --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE MODIFY (PROTOC CONSTRAINT NN_CEE_PROTOC NOT NULL);


/*-- SEQ 0614 --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE MODIFY (FILVEN CONSTRAINT NN_CEE_FILVEN NOT NULL);


/*-- SEQ 0615 --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE MODIFY (SEQVEN CONSTRAINT NN_CEE_SEQVEN NOT NULL);


/*-- SEQ 0616 --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE ADD CONSTRAINT PK_CEE PRIMARY KEY (CODFIL,SEQUEN);
	
/*-- SEQ 0617 --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE ADD CONSTRAINT FK_CEE_FILVENSEQVEN FOREIGN KEY (FILVEN,SEQVEN) REFERENCES TT_VEN(CODFIL,SEQUEN);

/*-- SEQ 0618 --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE ADD CONSTRAINT CK_CEE_INDEMI CHECK (INDEMI IN ('S','R'));

/*-- SEQ 0619 --*/
-- Tarefa 85139 --
CREATE INDEX I_FK_CEE_VEN ON TT_CEE (FILVEN,SEQVEN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0620 --*/
-- Tarefa 85139 --
CREATE SEQUENCE SQCEE INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0621 --*/
-- Tarefa 85139 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'CEE', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'CEE'));


/*-- SEQ 0622 --*/
-- Tarefa 85235 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
    (SELECT '-De outras matrias',4,12,'T','640690' 
       FROM DUAL
      WHERE NOT EXISTS (SELECT 1 AS OK
                          FROM TT_NCM
                         WHERE CODNCM = '640690'));	 
/*-- SEQ 0623 --*/
-- Tarefa 85235 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
    (SELECT '--Partes de calados Palmilhas',4,12,'T','64069020' 
       FROM DUAL
      WHERE NOT EXISTS (SELECT 1 AS OK
                          FROM TT_NCM
                         WHERE CODNCM = '64069020'));	 
	 


/*-- SEQ 0624 --*/
-- Tarefa 85425 -- 
ALTER TABLE TD_ENT DISABLE ALL TRIGGERS;


/*-- SEQ 0625 --*/
-- Tarefa 85425 -- 
UPDATE TD_ENT
   SET DESENT = 'Em Outra Loja'
 WHERE CODTAB = 4;
 
/*-- SEQ 0626 --*/
-- Tarefa 85425 -- 
ALTER TABLE TD_ENT ENABLE ALL TRIGGERS;


/*-- SEQ 0627 --*/
-- Tarefa 85329 --
ALTER TABLE TT_ORC DISABLE ALL TRIGGERS;


/*-- SEQ 0628 --*/
-- Tarefa 85329 --
UPDATE TT_ORC ORC
   SET VLRTOT = NVLZ((SELECT SUM(IOR.VLRPGT)
                   FROM TT_IOR IOR
                  WHERE IOR.CODFIL = ORC.CODFIL
                    AND IOR.TIPPED = ORC.TIPPED
                    AND IOR.NUMPED = ORC.NUMPED
                    AND IOR.FLGEST <> 'C'),0.01)
 WHERE ORC.VLRTOT = 0;
 
/*-- SEQ 0629 --*/
-- Tarefa 85329 --
ALTER TABLE TT_ORC ENABLE ALL TRIGGERS;

/*-- SEQ 0630 --*/
-- Tarefa 85329 -- 
ALTER TABLE TT_ORC ADD CONSTRAINT CK_ORC_VLRTOT CHECK (VLRTOT <> 0 OR FLGEST = 'C');


/*-- SEQ 0631 --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE DROP CONSTRAINT FK_CEE_FILVENSEQVEN;

/*-- SEQ 0632 --*/
-- Tarefa 85139 --
DROP INDEX I_FK_CEE_VEN;

/*-- SEQ 0633 --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE ADD CONSTRAINT FK_CEE_VEN FOREIGN KEY (FILVEN,SEQVEN) REFERENCES TT_VEN(CODFIL,SEQUEN);

/*-- SEQ 0634 --*/
-- Tarefa 85139 --
CREATE INDEX I_FK_CEE_VEN ON TT_CEE (FILVEN,SEQVEN) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0635 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85486 --
SELECT * FROM NADA;

/*-- SEQ 0636 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85486 --
SELECT * FROM NADA;
 
/*-- SEQ 0637 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85486 --
SELECT * FROM NADA;

/*-- SEQ 0638 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85486 -- 
SELECT * FROM NADA;


/*-- SEQ 0639 --*/
-- Tarefa 85467 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,356)||'N'||SUBSTR(PERMIS,358,9999);


/*-- SEQ 0640 --*/
-- Tarefa 85526 --
ALTER TABLE TT_NCM DISABLE ALL TRIGGERS;


/*-- SEQ 0641 --*/
-- Tarefa 85526 --
INSERT INTO TT_NCM
(NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)
(SELECT '--FIO TEXTURIZADO DE OUTS.FILAMENTOS SINTETICOS',4,12,'T','54023990'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '54023990'));
                     
/*-- SEQ 0642 --*/
-- Tarefa 85526 --
INSERT INTO TT_NCM
(NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)
(SELECT '--FIO DE OUTS.POLIESTERES,SIMPLES,TORCAO<=50VOLTAS/METRO',4,11,'T','54024300'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '54023990'));

/*-- SEQ 0643 --*/
-- Tarefa 85526 --
INSERT INTO TT_NCM
(NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)
(SELECT '--TAILLEURS" DE MALHA DE ALGODAO',4,11,'T','61041200'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '54023990'));


/*-- SEQ 0644 --*/
-- Tarefa 85526 --
ALTER TABLE TT_NCM DISABLE ALL TRIGGERS;



/*-- SEQ 0645 --*/
-- Tarefa 85615 --
ALTER TABLE TD_CFO DISABLE ALL TRIGGERS;


/*-- SEQ 0646 --*/
-- Tarefa 85615 --
INSERT INTO TD_CFO
(CODTAB, DESCFO, CFOATI, CODCFO)
(SELECT (SELECT MAX(DCFO.CODTAB)+1 FROM TD_CFO DCFO), 
        'Sada Transf. Subst. Tribu.',
        'T',
        '540900'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_CFO
                     WHERE CODCFO = '540900'));

/*-- SEQ 0647 --*/
-- Tarefa 85615 --
INSERT INTO TD_CFO
(CODTAB, DESCFO, CFOATI, CODCFO)
(SELECT (SELECT MAX(DCFO.CODTAB)+1 FROM TD_CFO DCFO), 
        'Sada via Transferencia',
        'T',
        '515200'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_CFO
                     WHERE CODCFO = '515200'));

/*-- SEQ 0648 --*/
-- Tarefa 85615 --
INSERT INTO TD_CFO
(CODTAB, DESCFO, CFOATI, CODCFO)
(SELECT (SELECT MAX(DCFO.CODTAB)+1 FROM TD_CFO DCFO), 
        'Sada Transf ST Fora do Estado',
        'T',
        '640900'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_CFO
                     WHERE CODCFO = '640900'));

/*-- SEQ 0649 --*/
-- Tarefa 85615 --
INSERT INTO TD_CFO
(CODTAB, DESCFO, CFOATI, CODCFO)
(SELECT (SELECT MAX(DCFO.CODTAB)+1 FROM TD_CFO DCFO), 
        'Sada Transf. Fora do Estado',
        'T',
        '615200'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_CFO
                     WHERE CODCFO = '615200'));

/*-- SEQ 0650 --*/
-- Tarefa 85615 --
INSERT INTO TD_CFO
(CODTAB, DESCFO, CFOATI, CODCFO)
(SELECT (SELECT MAX(DCFO.CODTAB)+1 FROM TD_CFO DCFO), 
        'Entrada Transf. Subst. Tribu.',
        'T',
        '140900'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_CFO
                     WHERE CODCFO = '140900'));

/*-- SEQ 0651 --*/
-- Tarefa 85615 --
INSERT INTO TD_CFO
(CODTAB, DESCFO, CFOATI, CODCFO)
(SELECT (SELECT MAX(DCFO.CODTAB)+1 FROM TD_CFO DCFO), 
        'Entrada via Transferencia',
        'T',
        '115200'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_CFO
                     WHERE CODCFO = '115200'));

/*-- SEQ 0652 --*/
-- Tarefa 85615 --
INSERT INTO TD_CFO
(CODTAB, DESCFO, CFOATI, CODCFO)
(SELECT (SELECT MAX(DCFO.CODTAB)+1 FROM TD_CFO DCFO), 
        'Entrada Transf ST F/Estado',
        'T',
        '240900'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_CFO
                     WHERE CODCFO = '240900'));

/*-- SEQ 0653 --*/
-- Tarefa 85615 --
INSERT INTO TD_CFO
(CODTAB, DESCFO, CFOATI, CODCFO)
(SELECT (SELECT MAX(DCFO.CODTAB)+1 FROM TD_CFO DCFO), 
        'Entrada Transf Fora do Estado',
        'T',
        '215200'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_CFO
                     WHERE CODCFO = '215200'));

/*-- SEQ 0654 --*/
-- Tarefa 85615 --
ALTER TABLE TD_CFO ENABLE ALL TRIGGERS;


/*-- SEQ 0655 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85666 --
ALTER TABLE TT_GRAXDCAR DROP CONSTRAINT CK_GRAC_TIPCAR;

/*-- SEQ 0656 --*/
-- Tarefa 85666 --
ALTER TABLE TT_GRAXDCAR ADD CONSTRAINT CK_GRAC_TIPCAR CHECK (TIPCAR IN ('T','V','R','S','G','N','P','C','L','D','F','M','E'));



/*-- SEQ 0657 --*/
-- Tarefa 85729 --
ALTER TABLE TT_ORC DISABLE ALL TRIGGERS;


/*-- SEQ 0658 --*/
-- Tarefa 85729 --
UPDATE TT_ORC ORC
   SET FLGEST = 'C'
 WHERE NOT EXISTS (SELECT 1 AS OK
                     FROM TT_IOR IOR
                    WHERE IOR.CODFIL = ORC.CODFIL
                      AND IOR.TIPPED = ORC.TIPPED
                      AND IOR.NUMPED = ORC.NUMPED
                      AND IOR.FLGEST <> 'C');
 
/*-- SEQ 0659 --*/
-- Tarefa 85729 --
ALTER TABLE TT_ORC ENABLE ALL TRIGGERS;


/*-- SEQ 0660 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85763 --
DROP FUNCTION TGEST_ASS() CASCADE;


/*-- SEQ 0661 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85370 --
CREATE TABLE TW_SAL (
  USERID Number,
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  FILMAT CHAR(3),
  CODMAT CHAR(5),
  CODCOR Number(5),
  CODTAM Number(5),
  CODMUL Number(5),
  VLR_CM_UNI Number(16,4), 
  VLRCMG_UNI Number(16,4), 
  CUSREP Number(12,4), 
  SALDO  Number(12,4)
  ) TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0662 --*/
-- Tarefa 85370 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'LOCK_SAL', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'LOCK_SAL'));


/*-- SEQ 0663 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84617 --
UPDATE TT_AUT 
   SET FLGEST = 'A'
 WHERE FLGEST IS NULL;


/*-- SEQ 0664 --*/
-- Tarefa 85943 -- 
ALTER TABLE TI_SAL DISABLE ALL TRIGGERS;


/*-- SEQ 0665 --*/
-- Tarefa 85943 -- 
UPDATE TI_SAL
   SET STATUS = 0, MOTREJ = NULL, DATIMP = NULL
 WHERE STATUS IS NULL;

/*-- SEQ 0666 --*/
-- Tarefa 85943 --  
ALTER TABLE TI_SAL ENABLE ALL TRIGGERS;

/*-- SEQ 0667 --*/
-- Tarefa 85943 -- 
ALTER TABLE TI_SAL MODIFY (STATUS DEFAULT '0');

/*-- SEQ 0668 --*/
-- Tarefa 85943 -- 
/*-- IGNORE ERRO --*/
ALTER TABLE TI_SAL MODIFY (STATUS CONSTRAINT NN_ISAL_STATUS NOT NULL);




/*-- SEQ 0669 --*/
-- Tarefa 85957 --
ALTER TABLE TT_CLI DISABLE ALL TRIGGERS;


/*-- SEQ 0670 --*/
-- Tarefa 85957 --
UPDATE TT_CLI 
   SET CELCON = '9'||CELCON
 WHERE DDCCON = '11'
   AND CELCON IS NOT NULL
   AND LENGTH(CELCON) = 8;
      
 
/*-- SEQ 0671 --*/
-- Tarefa 85957 --
ALTER TABLE TT_CLI ENABLE ALL TRIGGERS;

/*-- SEQ 0672 --*/
-- Tarefa 85957 --
ALTER TABLE TT_SPC DISABLE ALL TRIGGERS;


/*-- SEQ 0673 --*/
-- Tarefa 85957 --
ALTER TABLE TT_SPC MODIFY (NUMCEL VARCHAR2(10));

/*-- SEQ 0674 --*/
-- Tarefa 85957 --
UPDATE TT_SPC 
   SET NUMCEL = '9'||NUMCEL
 WHERE DDDCEL = '11'
   AND NUMCEL IS NOT NULL 
   AND LENGTH(NUMCEL) = 8;
   
 
/*-- SEQ 0675 --*/
-- Tarefa 85957 --
ALTER TABLE TT_SPC ENABLE ALL TRIGGERS;

/*-- SEQ 0676 --*/
-- Tarefa 85957 --
ALTER TABLE TT_CON DISABLE ALL TRIGGERS;


/*-- SEQ 0677 --*/
-- Tarefa 85957 --
UPDATE TT_CON 
   SET CELCON = '9'||CELCON
 WHERE DDDCEL = '11'
   AND CELCON IS NOT NULL
   AND LENGTH(CELCON) = 8;
   
 
/*-- SEQ 0678 --*/
-- Tarefa 85957 --
ALTER TABLE TT_CON ENABLE ALL TRIGGERS;


/*-- SEQ 0679 --*/
-- Tarefa 85679 --
ALTER TABLE TI_PRO ADD ORIPRO CHAR(1) ;


/*-- SEQ 0680 --*/
-- Tarefa 85679 --
ALTER TABLE TI_PRO ADD NATBCC CHAR(2) ;


/*-- SEQ 0681 --*/
-- Tarefa 85679 --
ALTER TABLE TI_PRO ADD MVAVEN Number(12,2) ;


/*-- SEQ 0682 --*/
-- Tarefa 85679 --
ALTER TABLE TI_PRO ADD MVAC07 Number(12,2) ;


/*-- SEQ 0683 --*/
-- Tarefa 85679 --
ALTER TABLE TI_PRO ADD MVAC12 Number(12,2) ;


/*-- SEQ 0684 --*/
-- Tarefa 85679 --
ALTER TABLE TI_PRO ADD CONSTRAINT CK_IPRO_ORIPRO CHECK (ORIPRO IN ('0','1','2'));

/*-- SEQ 0685 --*/
-- Tarefa 85679 --
ALTER TABLE TI_PRO ADD CONSTRAINT CK_IPRO_NATBCC CHECK (NATBCC IN ('01','01','02','03','04','05','06','07','08','09','10','11','12','13','14','15','16','17','18'));


/*-- SEQ 0686 --*/
-- Tarefa 81294 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'CBX_END_CD', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'CBX_END_CD'));


/*-- SEQ 0687 --*/
-- Tarefa 86307 --
ALTER TABLE TT_UID DROP CONSTRAINT CK_UID_CODEMP;
 
/*-- SEQ 0688 --*/
-- Tarefa 86307 --
ALTER TABLE TT_ORC DROP CONSTRAINT CK_ORC_CODEMP;
 
/*-- SEQ 0689 --*/
-- Tarefa 86307 --
ALTER TABLE TT_UID ADD CONSTRAINT CK_UID_CODEMP CHECK (CODEMP >= 0);
 
/*-- SEQ 0690 --*/
-- Tarefa 86307 --
ALTER TABLE TT_ORC ADD CONSTRAINT CK_ORC_CODEMP CHECK (CODEMP >= 0);


/*-- SEQ 0691 --*/
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'CUSFIL_TRA', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'CUSFIL_TRA'));


/*-- SEQ 0692 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86567 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
    (SELECT 'Outros - Achocolatados, assim entendidos os produtos  base de chocolate, em p ou em grnulos, destinados  mistura com gua ou leite',
            3,4,'T','18069001' 
       FROM DUAL
      WHERE NOT EXISTS (SELECT 1 AS OK
                          FROM TT_NCM
                         WHERE CODNCM = '18069001'));	 
                         
/*-- SEQ 0693 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86567 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
    (SELECT ' Cogumelos e trufas, preparados ou conservados, exceto em vinagre ou em cido actico',
            3,4,'T','20030000' 
       FROM DUAL
      WHERE NOT EXISTS (SELECT 1 AS OK
                          FROM TT_NCM
                         WHERE CODNCM = '20030000'));	

/*-- SEQ 0694 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86567 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
    (SELECT 'Doces, geleias, marmelades, purs e pastas de frutas, obtidos por cozimento, com ou sem adio de acar ou de outros edulcorantes',
            3,4,'T','20070000' 
       FROM DUAL
      WHERE NOT EXISTS (SELECT 1 AS OK
                          FROM TT_NCM
                         WHERE CODNCM = '20070000'));
                         
/*-- SEQ 0695 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86567 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
    (SELECT 'Outros produtos hortcolas preparados ou conservados, exceto em vinagre ou em cido actico, no congelados, com exceo dos produtos da posio 20.06',
            3,4,'T','20050000' 
       FROM DUAL
      WHERE NOT EXISTS (SELECT 1 AS OK
                          FROM TT_NCM
                         WHERE CODNCM = '20050000'));
                         
/*-- SEQ 0696 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86567 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
    (SELECT 'Caviar',
            3,4,'T','16043100' 
       FROM DUAL
      WHERE NOT EXISTS (SELECT 1 AS OK
                          FROM TT_NCM
                         WHERE CODNCM = '16043100'));


/*-- SEQ 0697 --*/
-- Tarefa 82005 --
ALTER TABLE TT_IDF DISABLE ALL TRIGGERS;


/*-- SEQ 0698 --*/
-- Tarefa 82005 --
UPDATE TT_IDF
   SET VERSEG = 2.8;
   
/*-- SEQ 0699 --*/
-- Tarefa 82005 --
ALTER TABLE TT_IDF ENABLE ALL TRIGGERS;   


/*-- SEQ 0700 --*/
-- Tarefa 85955 --
ALTER TABLE TW_CLI ADD DDDCEL CHAR(2) ;


/*-- SEQ 0701 --*/
-- Tarefa 85955 --
ALTER TABLE TW_CLI ADD NUMCEL VARCHAR2(8) ;



/*-- SEQ 0702 --*/
-- Tarefa 86573 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0703 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD GRAVALOG  Number(1) DEFAULT '0';

/*-- SEQ 0704 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0705 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86573 --
ALTER TABLE TT_CFG MODIFY (GRAVALOG CONSTRAINT NN_CFG_GRAVALOG NOT NULL);


/*-- SEQ 0706 --*/
-- Tarefa 86573 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0707 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD GRAVALOG Number(1) DEFAULT '0';

/*-- SEQ 0708 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0709 --*/
-- Tarefa 86573 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD TOTALLECBASE VARCHAR2(40) ;


/*-- SEQ 0710 --*/
-- Tarefa 86573 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD TOTALLECBASE VARCHAR2(40) ;


/*-- SEQ 0711 --*/
-- Tarefa 86573 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD TOTALLECHOST VARCHAR2(40) ;


/*-- SEQ 0712 --*/
-- Tarefa 86573 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD TOTALLECHOST VARCHAR2(40) ;


/*-- SEQ 0713 --*/
-- Tarefa 86573 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD TOTALLECPORT VARCHAR2(10) ;


/*-- SEQ 0714 --*/
-- Tarefa 86573 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD TOTALLECPORT VARCHAR2(10) ;



/*-- SEQ 0715 --*/
-- Tarefa 86320 --
ALTER TABLE TL_FIN DROP CONSTRAINT CK_LFIN_MOTINC;

/*-- SEQ 0716 --*/
-- Tarefa 86320 --
ALTER TABLE TL_FIN ADD CONSTRAINT CK_LFIN_MOTINC CHECK (MOTINC IN ('+','D','L','V','F','C'));


/*-- SEQ 0717 --*/
-- Tarefa 85610 --
ALTER TABLE TD_CTA DISABLE ALL TRIGGERS;


/*-- SEQ 0718 --*/
-- Tarefa 85610 --
/*-- SEQ 0719 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta_ven_canc 
RETURN VARCHAR2 IS
  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
  iEXISTE INTEGER;  
BEGIN
 
  SELECT COUNT(*)
    INTO iEXISTE
    FROM TD_CTA
   WHERE CFGCOL = 'VENDAS_CANCELADAS';

  IF iEXISTE = 0 THEN 
      -- Cria novas contas financeiras para usos fixos
      SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
      cSEQFIN := ProximaConta(cCODFIL,'Vendas Canceladas','G','O','G'); 
      
      -- Descobre o proximo CODTAB da TD_CTA
      SELECT MAX(CODTAB)+1 INTO cCODTAB
        FROM TD_CTA;   
      
      -- Insere as novas contas na tabela 
      INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
      (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, 'VENDAS_CANCELADAS' AS CFGCOL, 'O' AS USOCTA
       FROM TT_CTA
       WHERE CODFIL = cCODFIL
         AND SEQUEN = cSEQFIN);
  END IF;
  
  RETURN 'OK';
END temp_cria_conta_ven_canc;
/

/*-- SEQ 0720 --*/
-- Tarefa 85610 --
declare
  cDummy VARCHAR2(100);
begin
  cDummy := temp_cria_conta_ven_canc();
end;
/
;

/*-- SEQ 0721 --*/
-- Tarefa 85610 --
DROP FUNCTION temp_cria_conta_ven_canc;

/*-- SEQ 0722 --*/
-- Tarefa 85610 --
ALTER TABLE TD_CTA ENABLE ALL TRIGGERS;


/*-- SEQ 0723 --*/
-- Tarefa 86791 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD MVACOM Number(14,4) ;


/*-- SEQ 0724 --*/
-- Tarefa 86791 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD ALTURA Number(10,2) ;


/*-- SEQ 0725 --*/
-- Tarefa 86791 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD PROFUN Number(10,2) ;


/*-- SEQ 0726 --*/
-- Tarefa 86791 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD LARGUR Number(10,2) ;


/*-- SEQ 0727 --*/
-- Tarefa 86791 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD DESDET VARCHAR2(4000) ;


/*-- SEQ 0728 --*/
-- Tarefa 86791 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD ICMISE VARCHAR2(1) ;



/*-- SEQ 0729 --*/
-- Tarefa 86573 --
ALTER TABLE TT_CFG MODIFY (TOTALLECPORT VARCHAR2(10));

/*-- SEQ 0730 --*/
-- Tarefa 86573 --
ALTER TABLE TW_CFG MODIFY (TOTALLECPORT VARCHAR2(10));


/*-- SEQ 0731 --*/
-- Tarefa 86937 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_SER ADD SERREM CHAR(2) ;


/*-- SEQ 0732 --*/
-- Tarefa 86937 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'SERREM', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'SERREM'));


/*-- SEQ 0733 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83115 --
SELECT * FROM NADA;


/*-- SEQ 0734 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87083 --
CREATE TABLE TI_EAN (
	CODEXT VARCHAR2(20),
	CODFIL CHAR(3),
	CODEAN VARCHAR2(20),
	REFATI VARCHAR2(1),
    STATUS Number(1) DEFAULT 0,
    MOTREJ VARCHAR2(255),
    DATIMP Date
	);

/*-- SEQ 0735 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87083 --
ALTER TABLE TI_EAN MODIFY (CODEXT CONSTRAINT NN_EAN_CODEXT NOT NULL);


/*-- SEQ 0736 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87083 --
ALTER TABLE TI_EAN MODIFY (CODEAN CONSTRAINT NN_EAN_CODEAN NOT NULL);


/*-- SEQ 0737 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87083 --
ALTER TABLE TI_EAN MODIFY (CODFIL CONSTRAINT NN_EAN_CODFIL NOT NULL);


/*-- SEQ 0738 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87083 --
ALTER TABLE TI_EAN MODIFY (REFATI CONSTRAINT NN_EAN_REFATI NOT NULL);


/*-- SEQ 0739 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87083 --
ALTER TABLE TI_EAN MODIFY (STATUS CONSTRAINT NN_EAN_STATUS NOT NULL);



/*-- SEQ 0740 --*/
-- Tarefa 84617 --
ALTER TABLE TT_AUT DISABLE ALL TRIGGERS;


/*-- SEQ 0741 --*/
-- Tarefa 84617 --
UPDATE TT_AUT 
   SET FLGEST = 'A'
 WHERE FLGEST IS NULL;
 
 /*-- SEQ 0742 --*/
-- Tarefa 84617 --
ALTER TABLE TT_AUT ENABLE ALL TRIGGERS;


/*-- SEQ 0743 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87301 --



/*-- SEQ 0744 --*/
-- Tarefa 87135 --
ALTER TABLE TT_CTBXCCB MODIFY (RECSAC LONG);

/*-- SEQ 0745 --*/
-- Tarefa 87135 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0746 --*/
-- Tarefa 87135 --
DELETE FROM TT_FUN
 WHERE NOMFUN = 'CBX_END_CD'
   AND NOT EXISTS (SELECT 1 AS OK
                     FROM TD_FIL FIL
                    WHERE FIL.CODFIL = '001' -- PAVIN
                      AND FIL.CGCFIL = '76193713000180');
                      
/*-- SEQ 0747 --*/
-- Tarefa 87135 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0748 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87028 --
ALTER TABLE TT_CFG MODIFY (PRE_PSI_PERCENTUAL Number(12,4));

/*-- SEQ 0749 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87028 --
ALTER TABLE TW_CFG MODIFY (PRE_PSI_PERCENTUAL Number(12,4));


/*-- SEQ 0750 --*/
-- Tarefa 85617 --
ALTER TABLE TD_CTA DISABLE ALL TRIGGERS;


/*-- SEQ 0751 --*/
-- Tarefa 85617 --
/*-- SEQ 0752 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta 
RETURN VARCHAR2 IS
  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
  iEXISTE INTEGER;  
  cFILCAI TD_CAI.FILCAI%TYPE;
  cSEQCAI TD_CAI.SEQCAI%TYPE;
  cTIPCAI TD_CAI.TIPCAI%TYPE;
BEGIN
 
  SELECT COUNT(*)
    INTO iEXISTE
    FROM TD_CTA
   WHERE CFGCOL = 'CHEQUE_MAIOR';

  IF iEXISTE = 0 THEN 
      -- Cria novas contas financeiras para usos fixos
      SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
      cSEQFIN := ProximaConta(cCODFIL,'Cheque Maior','G','O','G'); 
      
      -- Descobre o proximo CODTAB da TD_CTA
      SELECT MAX(CODTAB)+1 INTO cCODTAB
        FROM TD_CTA;   
      
      -- Insere as novas contas na tabela 
      INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
      (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, 'CHEQUE_MAIOR' AS CFGCOL, 'O' AS USOCTA
       FROM TT_CTA
       WHERE CODFIL = cCODFIL
         AND SEQUEN = cSEQFIN);
  END IF;
  
  SELECT COUNT(*)
    INTO iEXISTE
    FROM TD_CTA
   WHERE CFGCOL = 'SANG_CHEQUE_MAIOR';  
   
  IF iEXISTE = 0 THEN 
      -- Cria novas contas financeiras para usos fixos
      --SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
      --cSEQFIN := ProximaConta(cCODFIL,'Sangria Cheque Maior','G','O','G'); 
      
      SELECT FILCAI, SEQCAI, TIPCAI
        INTO cFILCAI, cSEQCAI, cTIPCAI
        FROM TD_CAI
       WHERE CODTAB = 0;
      
      -- Descobre o proximo CODTAB da TD_CTA
      SELECT MAX(CODTAB)+1 INTO cCODTAB
        FROM TD_CTA;   
      
      -- Insere as novas contas na tabela 
      INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
      (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, 'SANG_CHEQUE_MAIOR' AS CFGCOL, 'O' AS USOCTA
       FROM TT_CTA
       WHERE CODFIL = cFILCAI
         AND SEQUEN = cSEQCAI
         AND TIPCTA = cTIPCAI);
  END IF;   
  
  RETURN 'OK';
END temp_cria_conta;
/

/*-- SEQ 0753 --*/
-- Tarefa 85617 --
declare
  cDummy VARCHAR2(100);
begin
  cDummy := temp_cria_conta();
end;
/
;

/*-- SEQ 0754 --*/
-- Tarefa 85617 --
DROP FUNCTION temp_cria_conta;

/*-- SEQ 0755 --*/
-- Tarefa 85617 --
ALTER TABLE TD_CTA ENABLE ALL TRIGGERS;


/*-- SEQ 0756 --*/
-- Tarefa 86081 --
ALTER TABLE TT_IOR ADD FLGEST_PAF CHAR(1) ;


/*-- SEQ 0757 --*/
-- Tarefa 86081 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0758 --*/
-- Tarefa 86081 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'FLGEST_PAF', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'FLGEST_PAF'));
                      
/*-- SEQ 0759 --*/
-- Tarefa 86081 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0760 --*/
-- Tarefa 87223 --
ALTER TABLE TT_NCM DISABLE ALL TRIGGERS;


/*-- SEQ 0761 --*/
-- Tarefa 87223 --
INSERT INTO TT_NCM
(NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)
(SELECT '--OUTS.FREIOS E SUAS PARTES,P/TRATORES/VEIC.AUTOMOVEIS',4,17,'T','87083900'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '87083900'));
                     
/*-- SEQ 0762 --*/
-- Tarefa 87223 --
INSERT INTO TT_NCM
(NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)
(SELECT '--EIXOS DE TRANSMISSAO C/DIFERENCIAL P/VEIC.AUTOMOVEIS',5,17,'T','87085090'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '87085090'));

/*-- SEQ 0763 --*/
-- Tarefa 87223 --
INSERT INTO TT_NCM
(NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)
(SELECT '--BARRAS DE DIRECAO P/VEICULOS AUTOMOVEIS',5,17,'T','87089492'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '87089492'));


/*-- SEQ 0764 --*/
-- Tarefa 87223 --
ALTER TABLE TT_NCM DISABLE ALL TRIGGERS;



/*-- SEQ 0765 --*/
CREATE INDEX I_FK_LC_IVEN_AK ON TI_VEN (CODFIL, NUMECF, CODSER, NUMNOT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0766 --*/
CREATE INDEX I_FK_LC_IREC_AK ON TI_REC (CODFIL, NUMECF, CODSER, NUMNOT) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0767 --*/
-- Tarefa 87223 --
UPDATE TT_NCM
   SET NOMNCM = '--Outs.freios e suas partes,p/tratores/veic.automoveis'
 WHERE CODNCM = '87083900';
                     
/*-- SEQ 0768 --*/
-- Tarefa 87223 --
UPDATE TT_NCM
   SET NOMNCM = '--Eixos de transmissao c/diferencial p/veic.automoveis'
 WHERE CODNCM = '87085090';

/*-- SEQ 0769 --*/
-- Tarefa 87223 --
UPDATE TT_NCM
   SET NOMNCM = '--Barras de direcao p/veiculos automoveis'
 WHERE CODNCM = '87089492';


/*-- SEQ 0770 --*/
-- Tarefa 87438 --  
CREATE INDEX I_LC_RFIN_ATU_EM ON TR_FIN (ATU_EM) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0771 --*/
-- Tarefa 87805 --
ALTER TABLE TT_PRO DROP CONSTRAINT CK_PRO_ORIPRO;

/*-- SEQ 0772 --*/
-- Tarefa 87805 --
ALTER TABLE TI_PRO DROP CONSTRAINT CK_IPRO_ORIPRO;

/*-- SEQ 0773 --*/
-- Tarefa 87805 --
ALTER TABLE TT_ICO DROP CONSTRAINT CK_ICO_CODORI;

/*-- SEQ 0774 --*/
-- Tarefa 87805 --
ALTER TABLE TT_IVE DROP CONSTRAINT CK_IVE_CODORI;

/*-- SEQ 0775 --*/
-- Tarefa 87805 --
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_ORIPRO CHECK (ORIPRO IN ('0','1','2','3','4','5','6','7'));

/*-- SEQ 0776 --*/
-- Tarefa 87805 --
ALTER TABLE TI_PRO ADD CONSTRAINT CK_IPRO_ORIPRO CHECK (ORIPRO IN ('0','1','2','3','4','5','6','7'));

/*-- SEQ 0777 --*/
-- Tarefa 87805 --
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_CODORI CHECK (CODORI IN ('0','1','2','3','4','5','6','7'));

/*-- SEQ 0778 --*/
-- Tarefa 87805 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_CODORI CHECK (CODORI IN ('0','1','2','3','4','5','6','7'));

