
/*-- SEQ 0001 --*/
-- Tarefa 95661 --
ALTER TABLE TW_TAB DISABLE ALL TRIGGERS;

/*-- SEQ 0002 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD FLGPES CHAR(1) DEFAULT 'A';

/*-- SEQ 0003 --*/
ALTER TABLE TW_TAB ENABLE ALL TRIGGERS;


/*-- SEQ 0004 --*/
-- Tarefa 94451 --
ALTER TABLE TT_RDV DROP CONSTRAINT CK_RDV_TIPRDV;

/*-- SEQ 0005 --*/
-- Tarefa 94451 --
ALTER TABLE TT_RDV ADD CONSTRAINT CK_RDV_TIPRDV CHECK (TIPRDV IN ('A', 'B', 'C', 'D', 'E', 'H', 'M', 'O', 'S', 'U', 'V', '1', '2', '3', '4', '5', '9', 'X'));

/*-- SEQ 0006 --*/
-- Tarefa 94451 --
ALTER TABLE TT_ILI MODIFY (CODEXT VARCHAR2(40));

/*-- SEQ 0007 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94451 --
ALTER TABLE TT_LIS MODIFY (DATVAL CONSTRAINT NN_LIS_DATVAL NOT NULL);


/*-- SEQ 0008 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94451 --
ALTER TABLE TT_LIS MODIFY (FLGEST CONSTRAINT NN_LIS_FLGEST NOT NULL);


/*-- SEQ 0009 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94451 --
ALTER TABLE TT_ILI MODIFY (SITMOV CONSTRAINT NN_LIS_SITMOV NOT NULL);



/*-- SEQ 0010 --*/
-- Tarefa 95959 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_SAD ADD REPSAD VARCHAR2(254) ;


/*-- SEQ 0011 --*/
-- Tarefa 95959 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD REPSAD VARCHAR2(254) ;



/*-- SEQ 0012 --*/
-- Tarefa 95968 --
ALTER TABLE TT_IVE ADD VLRIBPFED Number(12,2) ;


/*-- SEQ 0013 --*/
-- Tarefa 95968 --
ALTER TABLE TT_IVE ADD VLRIBPEST Number(12,2) ;


/*-- SEQ 0014 --*/
-- Tarefa 95968 --
ALTER TABLE TT_IVE ADD VLRIBPMUN Number(12,2) ;


/*-- SEQ 0015 --*/
-- Tarefa 95968 --
ALTER TABLE TT_VEN ADD VLRIBPFED Number(12,2) ;


/*-- SEQ 0016 --*/
-- Tarefa 95968 --
ALTER TABLE TT_VEN ADD VLRIBPEST Number(12,2) ;


/*-- SEQ 0017 --*/
-- Tarefa 95968 --
ALTER TABLE TT_VEN ADD VLRIBPMUN Number(12,2) ;


/*-- SEQ 0018 --*/
-- Tarefa 95968 --
ALTER TABLE TT_VEN ADD CHVIBP CHAR(6) ;


/*-- SEQ 0019 --*/
-- Tarefa 95968 --
ALTER TABLE TT_VEN ADD FONIBP VARCHAR2(34) ;



/*-- SEQ 0020 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95557 --
ALTER TABLE TT_VEN DROP COLUMN PERDEV CASCADE CONSTRAINT;

/*-- SEQ 0021 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95557 --
ALTER TABLE TT_VEN DROP COLUMN IPIDEV CASCADE CONSTRAINT;


/*-- SEQ 0022 --*/
-- Tarefa 91217 --
  DROP TABLE TD_IMG cascade constraints;

/*-- SEQ 0023 --*/
-- Tarefa 91217 --
CREATE TABLE TD_IMG (
  CODTAB Number(5),
  DESIMG VARCHAR2(15),
  LETIMG CHAR(1),
  NOMIMG VARCHAR2(255),
  IMGATI VARCHAR2(1) DEFAULT 'T')
  TABLESPACE TOTALL_DATA;

/*-- SEQ 0024 --*/
-- Tarefa 91217 --
ALTER TABLE TD_IMG ADD CONSTRAINT PK_DIMG PRIMARY KEY (CODTAB);

/*-- SEQ 0025 --*/
-- Tarefa 91217 -- 
ALTER TABLE TD_IMG MODIFY (DESIMG CONSTRAINT NN_DIMG_DESIMG NOT NULL);


/*-- SEQ 0026 --*/
-- Tarefa 91217 -- 
ALTER TABLE TD_IMG MODIFY (IMGATI CONSTRAINT NN_DIMG_IMGATI NOT NULL);


/*-- SEQ 0027 --*/
-- Tarefa 91217 --
ALTER TABLE TD_IMG ADD CONSTRAINT CK_DIMG_IMGATI CHECK (IMGATI IN ('T','F'));

/*-- SEQ 0028 --*/
-- Tarefa 91217 -- 
ALTER TABLE TD_IMG MODIFY (LETIMG CONSTRAINT NN_DIMG_LETIMG NOT NULL);

 
/*-- SEQ 0029 --*/
-- Tarefa 91217 --
ALTER TABLE TD_IMG ADD CONSTRAINT CK_DIMG_LETIMG CHECK ((LETIMG >= 'A') AND (LETIMG <= 'Z'));

/*-- SEQ 0030 --*/
-- Tarefa 91217 --
CREATE UNIQUE INDEX I_UQ_DIMG_LETIMG ON TD_IMG (LETIMG) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0031 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91217 --
ALTER TABLE TW_TAB DROP COLUMN CODIMG CASCADE CONSTRAINT;

/*-- SEQ 0032 --*/
-- Tarefa 91217 --
INSERT INTO TD_IMG (CODTAB, DESIMG, LETIMG, NOMIMG, IMGATI)  
  (SELECT 0, 'NÃO USA', 'A', '', 'T'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_IMG
                       WHERE CODTAB= '0')); 








/*-- SEQ 0033 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94465 --
ALTER TABLE TT_SLI MODIFY (DESLPR CONSTRAINT NN_SLI_DESLPR NOT NULL);


/*-- SEQ 0034 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94465 --
ALTER TABLE TT_SLI MODIFY (SIGNAT CONSTRAINT NN_SLI_SIGNAT NOT NULL);



/*-- SEQ 0035 --*/
-- Tarefa 96046 --
ALTER TABLE TT_IBP ADD SIGEST CHAR(2) ;


/*-- SEQ 0036 --*/
-- Tarefa 96046 --
ALTER TABLE TT_IBP ADD CONSTRAINT FK_IBP_DEST FOREIGN KEY (SIGEST) REFERENCES TD_EST(ESTADO);

/*-- SEQ 0037 --*/
-- Tarefa 96046 --
CREATE INDEX I_FK_IBP_DEST ON TT_IBP(SIGEST) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0038 --*/
-- Tarefa 96046 --
DROP INDEX I_UQ_IBP_COD;

/*-- SEQ 0039 --*/
-- Tarefa 96046 --
CREATE UNIQUE INDEX I_UQ_IBP_COD ON TT_IBP (CODIGO, COD_EX, TABELA, SIGEST) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0040 --*/
-- Tarefa 94794 --
  DROP TABLE TD_MVP cascade constraints;

/*-- SEQ 0041 --*/
-- Tarefa 94794 --
CREATE TABLE TD_MVP (
  CODTAB Number(5),
  DESMOT VARCHAR2(30),
  USOMOT VARCHAR2(1),
  CONMOT VARCHAR2(1),
  PERMOT Number(4),
  DESMAXMOT Number(5,2),
  ACRMAXMOT Number(5,2),
  TIPMOT VARCHAR2(1),
  MOTATI VARCHAR2(1)
  ) TABLESPACE TOTALL_DATA;
 
/*-- SEQ 0042 --*/ 
-- Tarefa 94794 --
ALTER TABLE TD_MVP ADD CONSTRAINT PK_DMVP PRIMARY KEY (CODTAB);

/*-- SEQ 0043 --*/
-- Tarefa 94794 --
ALTER TABLE TD_MVP ADD CONSTRAINT CK_DMVP_USOMOT CHECK (USOMOT IN ('-','+','2'));

/*-- SEQ 0044 --*/
-- Tarefa 94794 --
ALTER TABLE TD_MVP ADD CONSTRAINT CK_DMVP_TIPMOT CHECK (TIPMOT IN ('I','F','A'));

/*-- SEQ 0045 --*/
-- Tarefa 94794 --
ALTER TABLE TD_MVP ADD CONSTRAINT CK_DMVP_MOTATI CHECK (MOTATI IN ('T','F'));

 /*-- SEQ 0046 --*/
-- Tarefa 94794 --
ALTER TABLE TD_MVP MODIFY (DESMOT CONSTRAINT NN_DMVP_DESMOT NOT NULL);

 
/*-- SEQ 0047 --*/
-- Tarefa 94794 --
insert into TD_MVP (CODTAB, DESMOT, USOMOT, CONMOT, MOTATI, PERMOT, TIPMOT)  
  (select 1, 'Preço errado na prateleira', '2', 'F', 'T', 0, 'I'
     from DUAL
    where not exists (select 1 as OK
                        from TD_MVP
                       where CODTAB= '1')); 
  
/*-- SEQ 0048 --*/
-- Tarefa 94794 --
insert into TD_MVP (CODTAB, DESMOT, USOMOT, CONMOT, MOTATI, PERMOT, TIPMOT)  
  (select 2, 'Produto com leve avaria', '-', 'F', 'T', 0, 'I'
     from DUAL
    where not exists (select 1 as OK
                        from TD_MVP
                       where CODTAB= '2')); 
                       
/*-- SEQ 0049 --*/
-- Tarefa 94794 --
insert into TD_MVP (CODTAB, DESMOT, USOMOT, CONMOT, MOTATI, PERMOT, TIPMOT)  
  (select 3, 'Produto com grave defeito', '-', 'F', 'T', 0, 'I'
     from DUAL
    where not exists (select 1 as OK
                        from TD_MVP
                       where CODTAB= '3'));                        
                       
/*-- SEQ 0050 --*/
-- Tarefa 94794 --
insert into TD_MVP (CODTAB, DESMOT, USOMOT, CONMOT, MOTATI, PERMOT, TIPMOT)  
  (select 4, 'Cobrindo anúncio concorrente', '-', 'T', 'T', 0, 'A'
     from DUAL
    where not exists (select 1 as OK
                        from TD_MVP
                       where CODTAB= '4'));                                               
                       
/*-- SEQ 0051 --*/
-- Tarefa 94794 --
insert into TD_MVP (CODTAB, DESMOT, USOMOT, CONMOT, MOTATI, PERMOT, TIPMOT)  
  (Select 5, 'Negociação', '2', 'F', 'T', 0, 'A'
     from DUAL
    where not exists (select 1 as OK
                        from TD_MVP
                       where CODTAB= '5'));  

/*-- SEQ 0052 --*/
-- Tarefa 94794 --
insert into TD_MVP (CODTAB, DESMOT, USOMOT, CONMOT, MOTATI, PERMOT, TIPMOT)
  (select 6, 'Outros', '2', 'F', 'T', 0, 'A'
     from DUAL
    where not exists (select 1 as OK
                        from TD_MVP
                       where CODTAB= '6'));

/*-- SEQ 0053 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94794 --
ALTER TABLE TW_TAB DROP COLUMN CODMOT CASCADE CONSTRAINT;

/*-- SEQ 0054 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94794 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_MVP FOREIGN KEY (CODMOT) REFERENCES TD_MVP (CODTAB);


/*-- SEQ 0055 --*/
-- Tarefa 96087 --
ALTER TABLE TT_IOR ADD CUSPRO Number(14,4) ;


/*-- SEQ 0056 --*/
-- Tarefa 96087 --
ALTER TABLE TT_IOR ADD BASPIS Number(12,2) ;


/*-- SEQ 0057 --*/
-- Tarefa 96087 --
ALTER TABLE TT_IOR ADD BASCOF Number(12,2) ;


/*-- SEQ 0058 --*/
-- Tarefa 96087 --
ALTER TABLE TT_IOR ADD VLRPIS Number(12,2) ;


/*-- SEQ 0059 --*/
-- Tarefa 96087 --
ALTER TABLE TT_IOR ADD VLRCOF Number(12,2) ;


/*-- SEQ 0060 --*/
-- Tarefa 96087 --
ALTER TABLE TT_IOR ADD VLRIRR Number(12,2) ;


/*-- SEQ 0061 --*/
-- Tarefa 96087 --
ALTER TABLE TT_IOR ADD VLRSOC Number(12,2) ;


/*-- SEQ 0062 --*/
-- Tarefa 96087 --
ALTER TABLE TT_IOR ADD VLRCOM Number(12,2) ;


/*-- SEQ 0063 --*/
-- Tarefa 96087 --
ALTER TABLE TT_IOR ADD VLROPE Number(12,2) ;


/*-- SEQ 0064 --*/
-- Tarefa 96087 --
ALTER TABLE TT_IOR ADD VLROPEFIX Number(12,2) ;


/*-- SEQ 0065 --*/
-- Tarefa 96087 --
ALTER TABLE TT_IOR ADD VLRLUC Number(12,2) ;


/*-- SEQ 0066 --*/
-- Tarefa 96087 --
ALTER TABLE TT_IOR ADD PERLUC Number(10,4) ;


/*-- SEQ 0067 --*/
-- Tarefa 96087 --
ALTER TABLE TT_IOR ADD CUSMAR Number(12,2) ;



/*-- SEQ 0068 --*/
-- Tarefa 95771 --
ALTER TABLE TT_SAV DROP CONSTRAINT CK_SAV_EXPCAN;

/*-- SEQ 0069 --*/
-- Tarefa 95771 --
ALTER TABLE TT_SAV ADD CONSTRAINT CK_SAV_EXPCAN CHECK (EXPCAN IN ('T','F'));


/*-- SEQ 0070 --*/
-- Tarefa 95977 --
ALTER TABLE TT_GRA DISABLE ALL TRIGGERS;


/*-- SEQ 0071 --*/
-- Tarefa 95977 --
update tt_gra gra
set cusfre=null
where (gra.filcom, gra.seqcom, gra.itecom) in  
(select ico.codfil, ico.sequen, ico.numite
from tt_ico ico 
where ico.cusfre is null
)
and gra.cusfre is not null;

/*-- SEQ 0072 --*/
-- Tarefa 95977 --
ALTER TABLE TT_GRA ENABLE ALL TRIGGERS;


/*-- SEQ 0073 --*/
-- Tarefa 96141 --
CREATE INDEX I_LC_IBP_ATU_EM ON TT_IBP (ATU_EM);


/*-- SEQ 0074 --*/
-- Tarefa 95450 --
ALTER TABLE TT_IVEXIPE ADD FILICO CHAR(3) ;


/*-- SEQ 0075 --*/
-- Tarefa 95450 --
ALTER TABLE TT_IVEXIPE ADD SEQICO CHAR(10) ;


/*-- SEQ 0076 --*/
-- Tarefa 95450 --
ALTER TABLE TT_IVEXIPE ADD NUMICO Number(5) ;


/*-- SEQ 0077 --*/
-- Tarefa 95450 --
ALTER TABLE TT_IVEXIPE ADD CONSTRAINT FK_IVEXIPE_ICO FOREIGN KEY (FILICO,SEQICO,NUMICO) REFERENCES TT_ICO (CODFIL,SEQUEN,NUMITE);

/*-- SEQ 0078 --*/
-- Tarefa 95450 --
CREATE INDEX I_FK_IVEXIPE_ICO ON TT_IVEXIPE (FILICO,SEQICO,NUMICO) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0079 --*/
-- Tarefa 96143 --
ALTER TABLE TD_ECF DISABLE ALL TRIGGERS;

/*-- SEQ 0080 --*/
ALTER TABLE TD_ECF ADD CK4G_BARRASALTURA Number(3) DEFAULT 50;

/*-- SEQ 0081 --*/
ALTER TABLE TD_ECF ENABLE ALL TRIGGERS;

/*-- SEQ 0082 --*/
-- Tarefa 96143 --
ALTER TABLE TD_ECF MODIFY (CK4G_BARRASALTURA CONSTRAINT NN_DECF_CK4G_BARRASALTURA NOT NULL);


/*-- SEQ 0083 --*/
-- Tarefa 96143 --
ALTER TABLE TD_ECF DISABLE ALL TRIGGERS;

/*-- SEQ 0084 --*/
ALTER TABLE TD_ECF ADD CK4G_BARRASLARGURA Number(1) DEFAULT 1;

/*-- SEQ 0085 --*/
ALTER TABLE TD_ECF ENABLE ALL TRIGGERS;

/*-- SEQ 0086 --*/
-- Tarefa 96143 --
ALTER TABLE TD_ECF MODIFY (CK4G_BARRASLARGURA CONSTRAINT NN_DECF_CK4G_BARRASLARGURA NOT NULL);


/*-- SEQ 0087 --*/
-- Tarefa 96143 --
ALTER TABLE TD_ECF DISABLE ALL TRIGGERS;

/*-- SEQ 0088 --*/
ALTER TABLE TD_ECF ADD CK4G_BARRASPADRAO Number(1) DEFAULT 1;

/*-- SEQ 0089 --*/
ALTER TABLE TD_ECF ENABLE ALL TRIGGERS;

/*-- SEQ 0090 --*/
-- Tarefa 96143 --
ALTER TABLE TD_ECF MODIFY (CK4G_BARRASPADRAO CONSTRAINT NN_DECF_CK4G_BARRASPADRAO NOT NULL);


/*-- SEQ 0091 --*/
-- Tarefa 96143 --
ALTER TABLE TD_ECF ADD CONSTRAINT CK_DECF_CK4G_BARRASPADRAO CHECK (CK4G_BARRASPADRAO IN (0, 1, 2));

/*-- SEQ 0092 --*/
-- Tarefa 96143 --
ALTER TABLE TD_ECF DISABLE ALL TRIGGERS;

/*-- SEQ 0093 --*/
ALTER TABLE TD_ECF ADD CK4G_INTERVALOCARGADESALDOS Number(10) DEFAULT 60;

/*-- SEQ 0094 --*/
ALTER TABLE TD_ECF ENABLE ALL TRIGGERS;

/*-- SEQ 0095 --*/
-- Tarefa 96143 --
ALTER TABLE TD_ECF MODIFY (CK4G_INTERVALOCARGADESALDOS CONSTRAINT NN_DECF_CK4G_INTERVALOCARGADES NOT NULL);


/*-- SEQ 0096 --*/
-- Tarefa 96143 --
ALTER TABLE TD_ECF DISABLE ALL TRIGGERS;

/*-- SEQ 0097 --*/
ALTER TABLE TD_ECF ADD CK4G_ACAOPADRAO Number(1) DEFAULT 1;

/*-- SEQ 0098 --*/
ALTER TABLE TD_ECF ENABLE ALL TRIGGERS;

/*-- SEQ 0099 --*/
-- Tarefa 96143 --
ALTER TABLE TD_ECF MODIFY (CK4G_ACAOPADRAO CONSTRAINT NN_DECF_CK4G_ACAOPADRAO NOT NULL);


/*-- SEQ 0100 --*/
-- Tarefa 96143 --
ALTER TABLE TD_ECF ADD CONSTRAINT CK_DECF_CK4G_ACAOPADRAO CHECK (CK4G_ACAOPADRAO IN (1, 2, 9));

/*-- SEQ 0101 --*/
-- Tarefa 96143 --
ALTER TABLE TW_TAB DISABLE ALL TRIGGERS;

/*-- SEQ 0102 --*/
ALTER TABLE TW_TAB ADD CK4G_BARRASALTURA Number(3) DEFAULT 50;

/*-- SEQ 0103 --*/
ALTER TABLE TW_TAB ENABLE ALL TRIGGERS;

/*-- SEQ 0104 --*/
-- Tarefa 96143 --
ALTER TABLE TW_TAB DISABLE ALL TRIGGERS;

/*-- SEQ 0105 --*/
ALTER TABLE TW_TAB ADD CK4G_BARRASLARGURA Number(1) DEFAULT 1;

/*-- SEQ 0106 --*/
ALTER TABLE TW_TAB ENABLE ALL TRIGGERS;

/*-- SEQ 0107 --*/
-- Tarefa 96143 --
ALTER TABLE TW_TAB DISABLE ALL TRIGGERS;

/*-- SEQ 0108 --*/
ALTER TABLE TW_TAB ADD CK4G_BARRASPADRAO Number(1) DEFAULT 1;

/*-- SEQ 0109 --*/
ALTER TABLE TW_TAB ENABLE ALL TRIGGERS;

/*-- SEQ 0110 --*/
-- Tarefa 96143 --
ALTER TABLE TW_TAB DISABLE ALL TRIGGERS;

/*-- SEQ 0111 --*/
ALTER TABLE TW_TAB ADD CK4G_INTERVALOCARGADESALDOS Number(10) DEFAULT 60;

/*-- SEQ 0112 --*/
ALTER TABLE TW_TAB ENABLE ALL TRIGGERS;

/*-- SEQ 0113 --*/
-- Tarefa 96143 --
ALTER TABLE TW_TAB DISABLE ALL TRIGGERS;

/*-- SEQ 0114 --*/
ALTER TABLE TW_TAB ADD CK4G_ACAOPADRAO Number(1) DEFAULT 1;

/*-- SEQ 0115 --*/
ALTER TABLE TW_TAB ENABLE ALL TRIGGERS;




/*-- SEQ 0116 --*/
-- Tarefa 96144 --
ALTER TABLE TD_ECF DISABLE ALL TRIGGERS;

/*-- SEQ 0117 --*/
ALTER TABLE TD_ECF ADD CK4G_USAFRETE CHAR(1) DEFAULT 'N';

/*-- SEQ 0118 --*/
ALTER TABLE TD_ECF ENABLE ALL TRIGGERS;

/*-- SEQ 0119 --*/
-- Tarefa 96144 --
ALTER TABLE TD_ECF MODIFY (CK4G_USAFRETE CONSTRAINT NN_DECF_CK4G_USAFRETE NOT NULL);


/*-- SEQ 0120 --*/
-- Tarefa 96144 --
ALTER TABLE TD_ECF ADD CONSTRAINT CK_DECF_CK4G_USAFRETE CHECK (CK4G_USAFRETE IN ('A', 'C', 'N', 'X'));

/*-- SEQ 0121 --*/
-- Tarefa 96144 --
ALTER TABLE TD_ECF DISABLE ALL TRIGGERS;

/*-- SEQ 0122 --*/
ALTER TABLE TD_ECF ADD CK4G_ZSOMENTEAPOS24H VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0123 --*/
ALTER TABLE TD_ECF ENABLE ALL TRIGGERS;

/*-- SEQ 0124 --*/
-- Tarefa 96144 --
ALTER TABLE TD_ECF MODIFY (CK4G_ZSOMENTEAPOS24H CONSTRAINT NN_DECF_CK4G_ZSOMENTEAPOS24H NOT NULL);


/*-- SEQ 0125 --*/
-- Tarefa 96144 --
ALTER TABLE TD_ECF ADD CONSTRAINT CK_DECF_CK4G_ZSOMENTEAPOS24H CHECK (CK4G_ZSOMENTEAPOS24H IN ('F', 'T'));

/*-- SEQ 0126 --*/
-- Tarefa 96144 --
ALTER TABLE TD_ECF ADD CK4G_VALIDADE Date ;


/*-- SEQ 0127 --*/
-- Tarefa 96144 --
ALTER TABLE TD_ECF ADD CK4G_MD5 VARCHAR2(32) ;


/*-- SEQ 0128 --*/
-- Tarefa 96144 --
ALTER TABLE TW_TAB DISABLE ALL TRIGGERS;

/*-- SEQ 0129 --*/
ALTER TABLE TW_TAB ADD CK4G_USAFRETE CHAR(1) DEFAULT 'N';

/*-- SEQ 0130 --*/
ALTER TABLE TW_TAB ENABLE ALL TRIGGERS;

/*-- SEQ 0131 --*/
-- Tarefa 96144 --
ALTER TABLE TW_TAB DISABLE ALL TRIGGERS;

/*-- SEQ 0132 --*/
ALTER TABLE TW_TAB ADD CK4G_ZSOMENTEAPOS24H VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0133 --*/
ALTER TABLE TW_TAB ENABLE ALL TRIGGERS;

/*-- SEQ 0134 --*/
-- Tarefa 96144 --
ALTER TABLE TW_TAB ADD CK4G_VALIDADE Date ;


/*-- SEQ 0135 --*/
-- Tarefa 96144 --
ALTER TABLE TW_TAB ADD CK4G_MD5 VARCHAR2(32) ;



/*-- SEQ 0136 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DBIC_LAC ON TD_BIC (FILLAC,SEQLAC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0137 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DCOB_DCOB ON TD_COB (COBPAD) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0138 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DCTR_CTA_PRAZO ON TD_CTR (FILPRA,SEQPRA,TIPPRA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0139 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DFCC_GRA ON TD_FCC (FCC_FILMAT,FCC_CODMAT,FCC_CODCOR,FCC_CODTAM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0140 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DFCC_DFIL ON TD_FCC (FCCFIL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0141 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DFIL_CTA_TES ON TD_FIL (TESFIL,TESSEQ,TESTIP) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0142 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DFIL_DCTR ON TD_FIL (CTR_CC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0143 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DFIL_DEND ON TD_FIL (TIPEND) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0144 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DFIL_DSER ON TD_FIL (SERPAD) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0145 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DFIL_CTA_OUT ON TD_FIL (FILOUT,SEQOUT,TIPOUT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0146 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DFIL_JUR_CTA ON TD_FIL (FILJUR,SEQJUR,TIPJUR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0147 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DFIL_LAN_CTA ON TD_FIL (FILLAN,SEQLAN,TIPLAN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0148 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DFIL_TAR_CTA ON TD_FIL (FILTAR,SEQTAR,TIPTAR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0149 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DLAN_DNAT ON TD_LAN (LANNAT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0150 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DMOD_TST ON TD_MOD (FILTST,CODTST) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0151 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DMOD_USU ON TD_MOD (FILINT,CODINT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0152 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DMOD_WOR ON TD_MOD (FILWOR,CODWOR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0153 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DNAT_NATFUF ON TD_NAT (NATFUF) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0154 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DNAT_NATRED ON TD_NAT (NATRED) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0155 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DNAT_NATREF ON TD_NAT (NATREF) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0156 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DREL_PRIMIN ON TD_REL (PRIMIN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0157 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DSAD_CODRTT ON TD_SAD (CODRTT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0158 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_LECF_USU ON TL_ECF (FILUSU,CODUSU) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0159 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_RMOV_ICO ON TR_MOV (FILICO,SEQICO,NUMICO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0160 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_ABM_USU ON TT_ABM (FILUSU,CODUSU) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0161 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_ACR_VEN ON TT_ACR (FILVEN,SEQVEN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0162 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_ASS_UID ON TT_ASS (CODUID) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0163 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CBP_END ON TT_CBP (FILCLI,CODCLI,FILEND,NUMEND) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0164 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_CLI ON TT_CFG (VC_FILCLI,VC_CODCLI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0165 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DCC ON TT_CFG (TIPCCC_RAT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0166 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_FIN ON TT_CFG (FILCTA_TRN,SEQCTA_TRN,TIPCTA_TRN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0167 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_PGT ON TT_CFG (VC_FILPGT,VC_CODPGT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0168 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_TPR ON TT_CFG (FILPRE,CODPRE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0169 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_USU ON TT_CFG (ULTSAC_FILUSU,ULTSAC_CODUSU) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0170 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DAMP ON TT_CFG (PAPHOAMPLIA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0171 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DCCC ON TT_CFG (TIPCCC_PMI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0172 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DCFO ON TT_CFG (TRANSFER_CODCFO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0173 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DCON ON TT_CFG (CONTATO_FINANCEIRO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0174 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DCWS ON TT_CFG (SAC_TIPSUP) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0175 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DDOP ON TT_CFG (DOPCCC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0176 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DECB ON TT_CFG (COD_ECB_TIT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0177 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DEXP ON TT_CFG (CODEXP_COLETOR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0178 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DFUN ON TT_CFG (SAC_CODFUN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0179 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DLAN ON TT_CFG (PAPHOTIPLAN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0180 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DNAT ON TT_CFG (NAT_FAT_CC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0181 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DOUT ON TT_CFG (MEIO_TAXASERVICO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0182 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DPRI ON TT_CFG (SAC_CODPRI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0183 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DSER ON TT_CFG (VC_SERIE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0184 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DSIT ON TT_CFG (SAC_FLGSIT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0185 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DSTD ON TT_CFG (CHEQUE,CHESTD,USOSTD) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0186 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DVEI ON TT_CFG (VEI_ORC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0187 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_SERIE ON TT_CFG (SERIE_FAT_CC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0188 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_CL4WEB ON TT_CFG (CL4WEB) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0189 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_CREDIT ON TT_CFG (CC_CREDFORNECEDOR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0190 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DCOR_1 ON TT_CFG (COB_MOD_CODCOR1) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0191 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DCOR_2 ON TT_CFG (COB_MOD_CODCOR2) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0192 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_OBSERV ON TT_CFG (PAPHOOBSPADRAO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0193 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DOUT_MA ON TT_CFG (MEIO_ABATIMENTO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0194 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_PRJ_PXD ON TT_CFG (FILPRJ_PXD,SEQPRJ_PXD) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0195 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_PRO_SRV ON TT_CFG (FILSRV,CODSRV,TIPSRV) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0196 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_TPR_ATC ON TT_CFG (FILPRE_ATC,CODPRE_ATC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0197 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_TPR_PRE ON TT_CFG (PDA_FILPRE,PDA_CODPRE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0198 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_TPR_REV ON TT_CFG (FILPRE_REV,CODPRE_REV) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0199 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DSER_TAM ON TT_CFG (TAMANHO_OBSERVACAO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0200 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_REIMP_CF ON TT_CFG (CODNAT_REIMP_CF) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0201 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_WORKFLOW ON TT_CFG (CC_WORKFLOW) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0202 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_CLI_DIMED ON TT_CFG (FIL_DIMED,COD_DIMED) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0203 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DEVOLUCAO ON TT_CFG (CC_DEVOLUCAO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0204 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_PAP_TODOS ON TT_CFG (FIL_PAPEL_TODOS,SEQ_PAPEL_TODOS) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0205 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_CLI_DIMPER ON TT_CFG (FIL_DIMPER,COD_DIMPER) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0206 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_NAT_CREICM ON TT_CFG (NAT_CREICM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0207 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_PRO_AMPLIA ON TT_CFG (PAPHOFILAMPLIA,PAPHOCODAMPLIA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0208 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_PRO_REVAMP ON TT_CFG (PAPHOFILREVAMP,PAPHOCODREVAMP) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0209 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_PRO_REVELA ON TT_CFG (PAPHOFILREVELA,PAPHOCODREVELA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0210 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_CLI_GENESIO ON TT_CFG (FIL_GENESIO,COD_GENESIO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0211 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DCOB_PORTKE ON TT_CFG (PORTKE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0212 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DFIL_FILCMP ON TT_CFG (FILCMP) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0213 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DNAT_NATFAT ON TT_CFG (NATFAT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0214 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DNAT_NATVEN ON TT_CFG (NATVEN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0215 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DREM_ALTDAT ON TT_CFG (INT_ALT_DAT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0216 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DREM_ALTVLR ON TT_CFG (INT_ALT_VLR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0217 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DREM_CANTIT ON TT_CFG (INT_CAN_TIT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0218 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DREM_INCTIT ON TT_CFG (INT_INC_TIT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0219 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DREM_PAGCAR ON TT_CFG (INT_PAG_CAR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0220 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_USU_GERENTE ON TT_CFG (COB_FIL_GERENTE,COB_COD_GERENTE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0221 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_CLI_ESPECIAL ON TT_CFG (FIL_ESPECIAL,COD_ESPECIAL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0222 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_CLI_PROFARMA ON TT_CFG (FIL_PROFARMA,COD_PROFARMA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0223 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_CLI_PANARELLO ON TT_CFG (FIL_PANARELLO,COD_PANARELLO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0224 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_CLI_SANTACRUZ ON TT_CFG (FIL_SANTACRUZ,COD_SANTACRUZ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0225 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DIV_AMPLIACAO ON TT_CFG (PADIVAMPLIACAO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0226 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DNAT_TRANSFER ON TT_CFG (TRANSFER_NAT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0227 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DSER_TRANSFER ON TT_CFG (TRANSFER_SER) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0228 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DCCC_CARTAFRETE ON TT_CFG (CC_CARTAFRETE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0229 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DREM_INT_CAN_DES ON TT_CFG (INT_CAN_DES) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0230 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DREM_INT_CON_DES ON TT_CFG (INT_CON_DES) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0231 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DREM_INT_PRT_TIT ON TT_CFG (INT_PRT_TIT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0232 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DREM_INT_S_B_PRT ON TT_CFG (INT_S_B_PRT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0233 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DREM_INT_S_C_PRT ON TT_CFG (INT_S_C_PRT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0234 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_PAESTOQUEVENDA_MUL ON TT_CFG (PAESTOQUEVENDA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0235 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DNAT_NATADJUDICAICMS ON TT_CFG (NATADJUDICACAOICMS) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0236 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DNAT_NATRESSARCST ON TT_CFG (NATRESSARCIMENTOST) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0237 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CLI_GUI ON TT_CLI (FILGUI,CODGUI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0238 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CLI_DCUS ON TT_CLI (CENCUS) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0239 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CLI_DPAI ON TT_CLI (CODPAI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0240 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CLI_DCUS_CODCUS ON TT_CLI (CODCUS) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0241 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_COM_DFPS_CODFPS ON TT_COM (CODFPS) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0242 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CPM_LOT ON TT_CPM (FILLOT,SEQLOT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0243 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DIS_END ON TT_DIS (FILFOR,CODFOR,FILEND,NUMEND) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0244 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DIS_USU ON TT_DIS (FILUSU,CODUSU) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0245 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DOP_CLI ON TT_DOP (FILCLI,CODCLI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0246 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DOP_DCOB ON TT_DOP (PORORI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0247 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_FIN_DMOE ON TT_FIN (CODMOE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0248 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_FLW_SITORI ON TT_FLW (SITORI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0249 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_IDF_MUN ON TT_IDF (CODCID) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0250 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_IDF_LOJA ON TT_IDF (CODLOJ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0251 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_IDI_GRA ON TT_IDI (FILMAT,CODMAT,CODCOR,CODTAM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0252 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_IDI_IPE ON TT_IDI (FILPED,NUMPED,ITEPED) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0253 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_IDI_USU ON TT_IDI (FILUSU,CODUSU) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0254 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_IDI_FILORI ON TT_IDI (FILORI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0255 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_IOR_DECF_ECFVEN ON TT_IOR (CODFIL,ECFVEN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0256 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_USU_ORI ON TT_LAN (FILORI,CODORI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0257 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_ORC_GUI ON TT_ORC (FILGUI,CODGUI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0258 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_ORC_DNAT ON TT_ORC (CODNAT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0259 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_PIV_DCL3 ON TT_PIV (CODCL3) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0260 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_PIV_DCL4 ON TT_PIV (CODCL4) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0261 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_PRO_REL ON TT_PRO (FILMAR,CODMAR,TIPMAR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0262 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_SAD_GRA ON TT_SAD (FILMAT,CODMAT,CODCOR,CODTAM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0263 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_SAD_DSAD ON TT_SAD (CODSAD) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0264 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_SAV_CLI ON TT_SAV (FILCLI,CODCLI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0265 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_SAV_ORC ON TT_SAV (FILPED,TIPPED,NUMPED) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0266 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_SAV_RTT ON TT_SAV (FILRTT,SEQRTT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0267 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_SAV_VEN ON TT_SAV (FILVEN,SEQVEN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0268 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_SAV_DSAD ON TT_SAV (CODSAD) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0269 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_WCFG_DCOR_1 ON TW_CFG (COB_MOD_CODCOR1) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0270 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_WCFG_DCOR_2 ON TW_CFG (COB_MOD_CODCOR2) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0271 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_WCFG_DOUT_MA ON TW_CFG (MEIO_ABATIMENTO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0272 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_WCFG_PRO_SRV ON TW_CFG (FILSRV,CODSRV,TIPSRV) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0273 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_WCFG_TPR_PRE ON TW_CFG (PDA_FILPRE,PDA_CODPRE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0274 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_WCFG_DSER_TAM ON TW_CFG (TAMANHO_OBSERVACAO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0275 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_WCFG_PAESTOQUEVENDA_MUL ON TW_CFG (PAESTOQUEVENDA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0276 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DESXCLI_PLA ON TT_DESXCLI (FILPGT,CODPGT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0277 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DESXCLI_DCL2 ON TT_DESXCLI (CLASS2) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0278 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DESXCLI_DCL3 ON TT_DESXCLI (CLASS3) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0279 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DESXCLI_DCL4 ON TT_DESXCLI (CLASS4) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0280 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DESXCLI_DFIL ON TT_DESXCLI (FILVEN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0281 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_IVEXIPE_LOT ON TT_IVEXIPE (FILLOT,SEQLOT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0282 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_PLAXCAR_PLA ON TT_PLAXCAR (FILPGT,CODPGT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0283 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_IAG_AGE ON TT_IAG (CODFIL,SEQUEN) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0284 --*/
-- Tarefa 95697 --
ALTER TABLE TT_IVO DISABLE ALL TRIGGERS;


/*-- SEQ 0285 --*/
-- Tarefa 95697 --
UPDATE TT_IVO SET FLGEST = 'C',
                  CONTEM = 0,
                  QTDFAL = 0
WHERE (FILVOL,SEQUEN) IN
      (SELECT IVO.FILVOL,
              IVO.SEQUEN
        FROM TT_IVO IVO INNER JOIN TT_IVE IVE ON  IVE.CODFIL = IVO.FILIVE
                                              AND IVE.SEQUEN = IVO.SEQIVE
                                              AND IVE.NUMITE = IVO.NUMIVE
                        INNER JOIN TT_IOR IOR ON  IOR.FILIVE = IVE.CODFIL
                                              AND IOR.SEQIVE = IVE.SEQUEN
                                              AND IOR.NUMIVE = IVE.NUMITE
                        CROSS JOIN TT_CFG CFG
       WHERE IOR.TIPENT = '3' -- RETIRA NO DEPÓSITO
         AND IVE.LANEST = 'R' -- FATURA
         AND IVO.FLGEST NOT IN ('F','N','P','E')
         AND IVO.FILIMP IS NULL -- SEM IMPRESSAO
         AND CFG.SEP_FAT_RETIRA_DEPOSITO = 'F' -- CONFIGURADO PARA FATURA NÃO GERAR IVO
         AND COALESCE(IVE.QTDPEN,999) = 0);
		 
/*-- SEQ 0286 --*/
-- Tarefa 95697 --
ALTER TABLE TT_IVO ENABLE ALL TRIGGERS;




/*-- SEQ 0287 --*/
-- Tarefa 96536 --
ALTER TABLE TT_CLI DISABLE ALL TRIGGERS;


/*-- SEQ 0288 --*/
/*-- Tarefa 96536 --*/
UPDATE TT_CLI SET TIPDOC = 'IE'
 WHERE CODCLI = '     0';
 
/*-- SEQ 0289 --*/
-- Tarefa 96536 --
ALTER TABLE TT_CLI ENABLE ALL TRIGGERS; 


/*-- SEQ 0290 --*/
-- Tarefa 00000 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0291 --*/
-- Tarefa 00000 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'LOCALI', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'LOCALI'));

/*-- SEQ 0292 --*/
-- Tarefa 00000 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0293 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 96619 --
CREATE INDEX I_LC_RSUG_ANO_MES ON TR_SUG (ANO_MES) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0294 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 96619 --
BEGIN
   -- Declara a varivel que receber o resultado do select.
   DECLARE job                   Number;
   BEGIN

      -- Captura a identificao da Job.
      SELECT COALESCE((SELECT Job
                         FROM USER_JOBS
                        WHERE What = 'JOB_CALCELAST;'), 0)
        INTO job
        FROM DUAL;

      -- Remove a job.
      IF job > 0 THEN
         DBMS_JOB.Remove(job);
      END IF;

      -- Captura a identificao da Job.
      SELECT COALESCE((SELECT Job
                         FROM USER_JOBS
                        WHERE What = 'JOB_CONTARNUMEROVENDAS;'), 0)
        INTO job
        FROM DUAL;

      -- Remove a job.
      IF job > 0 THEN
         DBMS_JOB.Remove(job);
      END IF;

      -- Captura a identificao da Job.
      SELECT COALESCE((SELECT Job
                         FROM USER_JOBS
                        WHERE What = 'JOB_CLASSIFICAABCXYZ;'), 0)
        INTO job
        FROM DUAL;

      -- Remove a job.
      IF job > 0 THEN
         DBMS_JOB.Remove(job);
      END IF;

      -- Captura a identificao da Job.
      SELECT COALESCE((SELECT Job
                         FROM USER_JOBS
                        WHERE What = 'JOB_CALCMEDIADESVIOPXF;'), 0)
        INTO job
        FROM DUAL;

      -- Remove a job.
      IF job > 0 THEN
         DBMS_JOB.Remove(job);
      END IF;

      -- Captura a identificao da Job.
      SELECT COALESCE((SELECT Job
                         FROM USER_JOBS
                        WHERE What = 'JOB_CALCULATRACKINGSIGNAL;'), 0)
        INTO job
        FROM DUAL;

      -- Remove a job.
      IF job > 0 THEN
         DBMS_JOB.Remove(job);
      END IF;
   END;
END;
/

/*-- SEQ 0295 --*/
-- Tarefa 96619 --
ALTER TABLE TT_JOB DISABLE ALL TRIGGERS;


/*-- SEQ 0296 --*/
-- Tarefa 96619 --
DELETE FROM TT_JOB
 WHERE NOMJOB IN ('JOB_CALCELAST',
                  'JOB_CONTARNUMEROVENDAS',
                  'JOB_CLASSIFICAABCXYZ',
                  'JOB_CALCMEDIADESVIOPXF',
                  'JOB_CALCULATRACKINGSIGNAL');

/*-- SEQ 0297 --*/
-- Tarefa 96619 --
ALTER TABLE TT_JOB ENABLE ALL TRIGGERS;


/*-- SEQ 0298 --*/
-- Tarefa 96633 --
ALTER TABLE TD_NAT DISABLE ALL TRIGGERS;


/*-- SEQ 0299 --*/
-- Tarefa 96633 --
INSERT INTO TD_NAT
(CODTAB, LANVEN, TIPNAT, FINANC,
 MOVEST, NATATI, TRIBUT, USACUS,
 NATURE, OBSERV, NATOLN, SEQEXC,
 DEVVIN)
(SELECT 0, 'T', 'V', 'T',
        'T', 'T', 'T', 'F',
        'NAO USA', 'MEMO', 3, '         1',
        'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_NAT
                     WHERE CODTAB = 0));

/*-- SEQ 0300 --*/
-- Tarefa 96633 --
ALTER TABLE TD_NAT ENABLE ALL TRIGGERS;


/*-- SEQ 0301 --*/
-- Tarefa 96786 --
ALTER TABLE TT_IVE DISABLE ALL TRIGGERS;

/*-- SEQ 0302 --*/
ALTER TABLE TT_IVE ADD PROSUG VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0303 --*/
ALTER TABLE TT_IVE ENABLE ALL TRIGGERS;

/*-- SEQ 0304 --*/
-- Tarefa 96786 --
ALTER TABLE TT_IVE MODIFY (PROSUG CONSTRAINT NN_IVE_PROSUG NOT NULL);


/*-- SEQ 0305 --*/
-- Tarefa 96786 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_PROSUG CHECK (PROSUG IN ('F', 'T'));

/*-- SEQ 0306 --*/
-- Tarefa 96786 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0307 --*/
-- Tarefa 96786 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'IVE_PROSUG', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'IVE_PROSUG'));

/*-- SEQ 0308 --*/
-- Tarefa 96786 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;



/*-- SEQ 0309 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 96813 --
DROP TRIGGER TG_LOG_TD_SAD;

/*-- SEQ 0310 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 96813 --
CREATE TABLE BKP_TD_SAD AS
SELECT CODTAB, FORIMP
  FROM TD_SAD;

/*-- SEQ 0311 --*/
-- Tarefa 96813 --
ALTER TABLE TD_SAD DISABLE ALL TRIGGERS;


/*-- SEQ 0312 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 96813 --
UPDATE TD_SAD
   SET FORIMP = NULL
 WHERE EXISTS (SELECT 1 AS OK
                 FROM BKP_TD_SAD);

/*-- SEQ 0313 --*/
-- Tarefa 96813 --
ALTER TABLE TD_SAD MODIFY (FORIMP LONG);

/*-- SEQ 0314 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 96813 --
UPDATE TD_SAD
   SET FORIMP = (SELECT BKP.FORIMP
                   FROM BKP_TD_SAD BKP
                  WHERE BKP.CODTAB = TD_SAD.CODTAB);

/*-- SEQ 0315 --*/
-- Tarefa 96813 --
ALTER TABLE TD_SAD ENABLE ALL TRIGGERS;

/*-- SEQ 0316 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 96813 --
DROP TABLE BKP_TD_SAD;

/*-- SEQ 0317 --*/
-- Tarefa 96813 --
ALTER TABLE TW_TAB DISABLE ALL TRIGGERS;


/*-- SEQ 0318 --*/
-- Tarefa 96813 --
UPDATE TW_TAB
   SET FORIMP = NULL;

/*-- SEQ 0319 --*/
-- Tarefa 96813 --
ALTER TABLE TW_TAB ENABLE ALL TRIGGERS;

/*-- SEQ 0320 --*/
-- Tarefa 96813 --
ALTER TABLE TW_TAB MODIFY (FORIMP LONG);





/*-- SEQ 0321 --*/
-- Tarefa 96825 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0322 --*/
-- Tarefa 96825 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'CPMXPRE', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'CPMXPRE'));

/*-- SEQ 0323 --*/
-- Tarefa 96825 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0324 --*/
-- Tarefa 94110 --
ALTER TABLE TT_DOP MODIFY (CODBAR VARCHAR2(48));









/*-- SEQ 0325 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97014 --
ALTER TABLE TT_CCB ADD LOCPAG VARCHAR2(200) ;


/*-- SEQ 0326 --*/
-- Tarefa 97014 --
ALTER TABLE TT_CCB DISABLE ALL TRIGGERS;

/*-- SEQ 0327 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCB ADD GERSGR VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0328 --*/
ALTER TABLE TT_CCB ENABLE ALL TRIGGERS;

/*-- SEQ 0329 --*/
-- Tarefa 97014 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0330 --*/
-- Tarefa 97014 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'LOCPAG', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'LOCPAG'));

/*-- SEQ 0331 --*/
-- Tarefa 97014 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'GERSGR', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'GERSGR'));

/*-- SEQ 0332 --*/
-- Tarefa 97014 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0333 --*/
-- Tarefa 96993 --
ALTER TABLE TT_SAD DISABLE ALL TRIGGERS;


/*-- SEQ 0334 --*/
-- Tarefa 96993 --
UPDATE TT_SAD
   SET SIGNAT = 1
 WHERE SIGNAT = 0;

/*-- SEQ 0335 --*/
-- Tarefa 96993 --
ALTER TABLE TT_SAD ENABLE ALL TRIGGERS;


/*-- SEQ 0336 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97252 --
DROP INDEX I_UQ_IBP_COD;


/*-- SEQ 0337 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97788 --
ALTER TABLE TT_END ADD CODECO Number(10) ;



/*-- SEQ 0338 --*/
-- Tarefa 97833 --
ALTER TABLE TT_IVE MODIFY (ISEICM Number(12,2));

/*-- SEQ 0339 --*/
-- Tarefa 97833 --
ALTER TABLE TT_IVE MODIFY (OUTICM Number(12,2));


/*-- SEQ 0340 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97833 --
SELECT * FROM NADA;

/*-- SEQ 0341 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97833 --
SELECT * FROM NADA;

/*-- SEQ 0342 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97833 --
SELECT * FROM NADA;

/*-- SEQ 0343 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97833 --
SELECT * FROM NADA;


/*-- SEQ 0344 --*/
-- Tarefa 98125 --
ALTER TABLE TI_ICO ADD CODORI Number(1) ;


/*-- SEQ 0345 --*/
-- Tarefa 98125 --
ALTER TABLE TI_ICO ADD CODCST VARCHAR2(3) ;



/*-- SEQ 0346 --*/
-- Tarefa 98410 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0347 --*/
-- Tarefa 98410 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'DEVOL_INT', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'DEVOL_INT'));

/*-- SEQ 0348 --*/
-- Tarefa 98410 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;

