
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- Tarefa 104260 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0003 --*/
-- Tarefa 104260 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'EXIGE_NSU_POS', 'Exige NSU na Tela de Cartes do Totall PoS', 'B', 'T', 'T', 'T', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'EXIGE_NSU_POS'));

/*-- SEQ 0004 --*/
-- Tarefa 104260 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0005 --*/
-- Tarefa 104214 --
ALTER TABLE TD_EST DISABLE ALL TRIGGERS;

/*-- SEQ 0006 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_EST ADD BASMAR VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0007 --*/
ALTER TABLE TD_EST ENABLE ALL TRIGGERS;

/*-- SEQ 0008 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104214 --
ALTER TABLE TD_EST MODIFY (BASMAR CONSTRAINT NN_DEST_BASMAR NOT NULL);


/*-- SEQ 0009 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104214 --
ALTER TABLE TD_EST ADD CONSTRAINT CK_DEST_BASMAR CHECK (BASMAR IN ('T','F'));

/*-- SEQ 0010 --*/
-- Tarefa 104214 --
ALTER TABLE TW_TAB DISABLE ALL TRIGGERS;

/*-- SEQ 0011 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD BASMAR VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0012 --*/
ALTER TABLE TW_TAB ENABLE ALL TRIGGERS;


/*-- SEQ 0013 --*/
-- Tarefa 104217 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0014 --*/
-- Tarefa 104217 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'BAS_ICMSPROPRIO_MARJ', 'Majorar Base de ICMS Prprio quando tem Partilha', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'BAS_ICMSPROPRIO_MARJ'));

/*-- SEQ 0015 --*/
-- Tarefa 104217 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0016 --*/
-- Tarefa 104278 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0017 --*/
-- Tarefa 104278 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'TODOS_DADOS_CARTAO', 'Exige todos os dados na Tela de Cartes do Totall PoS', 'B', 'T', 'T', 'T', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'TODOS_DADOS_CARTAO'));

/*-- SEQ 0018 --*/
-- Tarefa 104278 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0019 --*/
-- Tarefa 104287 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PRO ADD DUMMY VARCHAR2(1) ;



/*-- SEQ 0020 --*/
-- Tarefa 104283 --
ALTER TABLE TT_USU DISABLE ALL TRIGGERS;


/*-- SEQ 0021 --*/
-- Tarefa 104283 --
ALTER TABLE TT_PAP DISABLE ALL TRIGGERS;


/*-- SEQ 0022 --*/
-- Tarefa 104283 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,428)||'SS'||SUBSTR(PERMIS,431,9999);

/*-- SEQ 0023 --*/
-- Tarefa 104283 --
UPDATE TT_PAP SET PERMIS = SUBSTR(PERMIS,1,428)||'SS'||SUBSTR(PERMIS,431,9999);

/*-- SEQ 0024 --*/
-- Tarefa 104283 --
ALTER TABLE TT_USU ENABLE ALL TRIGGERS;

/*-- SEQ 0025 --*/
-- Tarefa 104283 --
ALTER TABLE TT_PAP ENABLE ALL TRIGGERS;


/*-- SEQ 0026 --*/
-- Tarefa 104326 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_EAN ADD DUMMY VARCHAR2(1) ;


/*-- SEQ 0027 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104326 --
DROP TRIGGER TGEAN2;


/*-- SEQ 0028 --*/
-- Tarefa 104375 --
ALTER TABLE TT_PPR ADD DATINI Date ;


/*-- SEQ 0029 --*/
-- Tarefa 104375 --
ALTER TABLE TT_PPR ADD DATFIM Date ;


/*-- SEQ 0030 --*/
-- Tarefa 104375 --
ALTER TABLE TT_PPR DISABLE ALL TRIGGERS;


/*-- SEQ 0031 --*/
-- Tarefa 104260 --
UPDATE TT_PPR SET DATINI = DATINC, DATFIM = ATU_EM;

/*-- SEQ 0032 --*/
-- Tarefa 104375 --
ALTER TABLE TT_PPR ENABLE ALL TRIGGERS;

/*-- SEQ 0033 --*/
-- Tarefa 104375 --
ALTER TABLE TT_PPR MODIFY (DATINI CONSTRAINT NN_PPR_DATINI NOT NULL);


/*-- SEQ 0034 --*/
-- Tarefa 104375 --
ALTER TABLE TT_PPR MODIFY (DATFIM CONSTRAINT NN_PPR_DATFIM NOT NULL);



/*-- SEQ 0035 --*/
-- Tarefa 104400 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0036 --*/
-- Tarefa 104400 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'PERCADFIL', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PERCADFIL'));

/*-- SEQ 0037 --*/
-- Tarefa 104400 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0038 --*/
-- Tarefa 104425 --
ALTER TABLE TT_USU DISABLE ALL TRIGGERS;


/*-- SEQ 0039 --*/
-- Tarefa 104425 --
ALTER TABLE TT_PAP DISABLE ALL TRIGGERS;


/*-- SEQ 0040 --*/
-- Tarefa 104425 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,431)||'S'||SUBSTR(PERMIS,433,9999);

/*-- SEQ 0041 --*/
-- Tarefa 104425 --
UPDATE TT_PAP SET PERMIS = SUBSTR(PERMIS,1,431)||'S'||SUBSTR(PERMIS,433,9999);

/*-- SEQ 0042 --*/
-- Tarefa 104425 --
ALTER TABLE TT_USU ENABLE ALL TRIGGERS;

/*-- SEQ 0043 --*/
-- Tarefa 104425 --
ALTER TABLE TT_PAP ENABLE ALL TRIGGERS;



/*-- SEQ 0044 --*/
-- Tarefa 103727 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0045 --*/
-- Tarefa 103727 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'SUGCOMPARA', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'SUGCOMPARA'));

/*-- SEQ 0046 --*/
-- Tarefa 103727 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0047 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104429 --
ALTER TABLE TT_PLA DROP CONSTRAINT CK_PLA_COMSOB;

/*-- SEQ 0048 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104429 --
ALTER TABLE TT_VEN DROP CONSTRAINT CK_VEN_COMSOB;

/*-- SEQ 0049 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104429 --
ALTER TABLE TT_CMS DROP CONSTRAINT CK_CMS_COMSOB;

/*-- SEQ 0050 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104429 --
ALTER TABLE TI_PLA DROP CONSTRAINT CK_IPLA_COMSOB;

/*-- SEQ 0051 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104429 --
ALTER TABLE TI_VEN DROP CONSTRAINT CK_IVEN_COMSOB;

/*-- SEQ 0052 --*/
-- Tarefa 104429 --
ALTER TABLE TT_PLA ADD CONSTRAINT CK_PLA_COMSOB CHECK (COMSOB IN (0, 1, 2, 3, 4, 5, 6, 7, 8));

/*-- SEQ 0053 --*/
-- Tarefa 104429 --
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_COMSOB CHECK (COMSOB IN (0, 1, 2, 3, 4, 5, 6, 7, 8));

/*-- SEQ 0054 --*/
-- Tarefa 104429 --
ALTER TABLE TT_CMS ADD CONSTRAINT CK_CMS_COMSOB CHECK (COMSOB IN (0, 1, 2, 3, 4, 5, 6, 7, 8));

/*-- SEQ 0055 --*/
-- Tarefa 104429 --
ALTER TABLE TI_PLA ADD CONSTRAINT CK_IPLA_COMSOB CHECK (COMSOB IN (0, 1, 2, 3, 4, 5, 6, 7, 8));

/*-- SEQ 0056 --*/
-- Tarefa 104429 --
ALTER TABLE TI_VEN ADD CONSTRAINT CK_IVEN_COMSOB CHECK (COMSOB IN (0, 1, 2, 3, 4, 5, 6, 7, 8));


/*-- SEQ 0057 --*/
-- Tarefa 104542 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0058 --*/
-- Tarefa 104542 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'EXIBEMEIOCOMOABERTO', 'Exibe Meio Pgto como "Aberto" em parcela aberta que não seja "Boleto, Bonus, C/C, Cartão, Cheque"?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'EXIBEMEIOCOMOABERTO'));

/*-- SEQ 0059 --*/
-- Tarefa 104542 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0060 --*/
-- Tarefa 104581 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0061 --*/
-- Tarefa 104581 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'PARCELAS_CARTAO_CRE', 'Permite receber dbitos de clientes com carto de crdito no Totall POS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PARCELAS_CARTAO_CRE'));

/*-- SEQ 0062 --*/
-- Tarefa 104581 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0063 --*/
-- Tarefa 104608 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0064 --*/
-- Tarefa 104608 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'BOLETO_MIDDLEWARE', 'Impresso de Boletos utilizando o Middleware', 'B', 'T', 'T', 'T', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'BOLETO_MIDDLEWARE'));

/*-- SEQ 0065 --*/
-- Tarefa 104608 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0066 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104675 --
CREATE INDEX I_LC_VEN_MODNOT_DATHOR ON TT_VEN (MODNOT, DATHOR, CODFIL, FLGEST) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0067 --*/
-- Tarefa 104723 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0068 --*/
-- Tarefa 104723 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'CONSUMOLOCAL_ENTREGA', 'Consumo local com entrega', 'B', 'T', 'T', 'T', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'CONSUMOLOCAL_ENTREGA'));

/*-- SEQ 0069 --*/
-- Tarefa 104723 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0070 --*/
-- Tarefa 104770 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0071 --*/
-- Tarefa 104770 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'OBRIG_EMAIL', 'E-mail obrigatrio? (0-No 1-Confirmao 2-Obrigatrio)', 'N', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'OBRIG_EMAIL'));

/*-- SEQ 0072 --*/
-- Tarefa 104770 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'OBRIG_TELEFONE', 'Telefone obrigatrio? (0-No 1-Confirmao 2-Obrigatrio)', 'N', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'OBRIG_TELEFONE'));
                     
/*-- SEQ 0073 --*/
-- Tarefa 104770 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'OBRIG_CELULAR', 'Celular obrigatrio? (0-No 1-Confirmao 2-Obrigatrio)', 'N', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'OBRIG_CELULAR'));                     

                     
/*-- SEQ 0074 --*/
-- Tarefa 104770 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

