
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- Ticket 2019113474 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0003 --*/
-- Ticket 2019113474 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'DAT_PRI_MOV_EXP_EME4', 'Data/Hora do primeiro movimento a ser considerado na exportao EME4', 'D', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'DAT_PRI_MOV_EXP_EME4'));

/*-- SEQ 0004 --*/
-- Ticket 2019113474 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'TIPO_EXP_EME4', 'Tipo de exportao EME4 - (C=Completo; V=Varejo)', 'T', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'TIPO_EXP_EME4'));

/*-- SEQ 0005 --*/
-- Ticket 2019113474 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'FIL_FUNC_EXP_EME4', 'Filial de alocao do Funcionrio, utilizado caso no definido "Unidade de Alocao" no Cadastro.', 'T', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'FIL_FUNC_EXP_EME4'));

/*-- SEQ 0006 --*/
-- Ticket 2019113474 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'DAT_INV_EST_EXP_EME4', 'Data do Inventrio na exportao EME4', 'D', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'DAT_INV_EST_EXP_EME4')); 

/*-- SEQ 0007 --*/
-- Ticket 2019113474 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'TIPO_INV_EXP_EME4', 'Tipo de Inventrio na exportao EME4 - (0=Inventrio Geral; 1=Inventrio Cclico; 2=Inventrio FCI)', 'N', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'TIPO_INV_EXP_EME4'));

/*-- SEQ 0008 --*/
-- Ticket 2019113474 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'FILIAIS_INV_EXP_EME4', 'Filiais do Inventrio na exportao EME4 (Separar Filiais pelo carcter ";". Ex: ''001;002;005'')', 'T', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'FILIAIS_INV_EXP_EME4'));

/*-- SEQ 0009 --*/
-- Ticket 2019113474 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0010 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2019113474 --
CREATE TABLE TL_SRV_MID (
  CODTAB Number(10),
  DATOPE Date,
  ORILOG Number(1),
  TIPLOG Number(1),
  NIVLOG Number(4),
  MSGLOG VARCHAR2(4000)) TABLESPACE TOTALL_DATA;

/*-- SEQ 0011 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2019113474 --
ALTER TABLE TL_SRV_MID ADD CONSTRAINT PK_LSVM PRIMARY KEY (CODTAB);

/*-- SEQ 0012 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2019113474 --
CREATE SEQUENCE SQLSVM INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0013 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2019113474 --
ALTER TABLE TL_SRV_MID MODIFY (DATOPE CONSTRAINT NN_LSVM_DATOPE NOT NULL);


/*-- SEQ 0014 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2019113474 --
ALTER TABLE TL_SRV_MID MODIFY (ORILOG CONSTRAINT NN_LSVM_ORILOG NOT NULL);


/*-- SEQ 0015 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2019113474 --
ALTER TABLE TL_SRV_MID MODIFY (TIPLOG CONSTRAINT NN_LSVM_TIPLOG NOT NULL);


/*-- SEQ 0016 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2019113474 --
ALTER TABLE TL_SRV_MID MODIFY (NIVLOG CONSTRAINT NN_LSVM_NIVLOG NOT NULL);


/*-- SEQ 0017 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2019113474 --
ALTER TABLE TL_SRV_MID ADD CONSTRAINT CK_LSVM_ORILOG CHECK (ORILOG in (0, 1));

/*-- SEQ 0018 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2019113474 --
ALTER TABLE TL_SRV_MID ADD CONSTRAINT CK_LSVM_TIPLOG CHECK (TIPLOG in (0, 1, 2));

/*-- SEQ 0019 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2019113474 --
CREATE INDEX I_LC_LSVM_ORILOG ON TL_SRV_MID (ORILOG) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0020 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2019113474 --
CREATE INDEX I_LC_LSVM_DATOPE ON TL_SRV_MID (DATOPE) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0021 --*/
-- Ticket 2019113474 --
ALTER TABLE TT_VEN ADD DATINC Date ;


/*-- SEQ 0022 --*/
-- Ticket 2019113474 --
CREATE INDEX I_LC_VEN_DATINC ON TT_VEN (DATINC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0023 --*/
-- Ticket 2019113474 --
ALTER TABLE TT_COM ADD DATINC Date ;


/*-- SEQ 0024 --*/
-- Ticket 2019113474 --
CREATE INDEX I_LC_COM_DATINC ON TT_COM (DATINC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0025 --*/
-- Ticket 2019113474 --
ALTER TABLE TR_ECF ADD DATINC Date ;


/*-- SEQ 0026 --*/
-- Ticket 2019113474 --
CREATE INDEX I_LC_RECF_DATINC ON TR_ECF (DATINC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0027 --*/
-- Ticket 2019113474 --
ALTER TABLE TR_ECF ADD ATU_EM Date ;


/*-- SEQ 0028 --*/
-- Ticket 2019113474 --
CREATE INDEX I_LC_RECF_ATU_EM ON TR_ECF (ATU_EM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0029 --*/
-- Ticket 2019113474 --
ALTER TABLE TR_ECF ADD DUMMY VARCHAR2(1) ;


/*-- SEQ 0030 --*/
-- Ticket 2019113474 --
ALTER TABLE TR_FIN ADD DATINCORI Date ;


/*-- SEQ 0031 --*/
-- Ticket 2019113474 --
CREATE INDEX I_LC_RFIN_DATINCORI ON TR_FIN (DATINCORI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0032 --*/
-- Ticket 2019113474 --
ALTER TABLE TT_TEF ADD DATINC Date ;


/*-- SEQ 0033 --*/
-- Ticket 2019113474 --
CREATE INDEX I_LC_TEF_DATINC ON TT_TEF (DATINC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0034 --*/
-- Ticket 2019113474 --
ALTER TABLE TT_CHR ADD DATINC Date ;


/*-- SEQ 0035 --*/
-- Ticket 2019113474 --
CREATE INDEX I_LC_CHR_DATINC ON TT_CHR (DATINC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0036 --*/
-- Ticket 2019113474 --
ALTER TABLE TT_PTR ADD DATINC Date ;


/*-- SEQ 0037 --*/
-- Ticket 2019113474 --
CREATE INDEX I_LC_PTR_DATINC ON TT_PTR (DATINC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0038 --*/
-- Ticket 2019113474 --
ALTER TABLE TT_CCC ADD DATINC Date ;


/*-- SEQ 0039 --*/
-- Ticket 2019113474 --
CREATE INDEX I_LC_CCC_DATINC ON TT_CCC (DATINC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0040 --*/
-- Ticket 2019113474 --
ALTER TABLE TT_FIN ADD DATINC Date ;


/*-- SEQ 0041 --*/
-- Ticket 2019113474 --
CREATE INDEX I_LC_FIN_DATINC ON TT_FIN (DATINC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0042 --*/
-- Ticket 2019113474 --
ALTER TABLE TT_ORC ADD DATINC Date ;


/*-- SEQ 0043 --*/
-- Ticket 2019113474 --
CREATE INDEX I_LC_ORC_DATINC ON TT_ORC (DATINC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0044 --*/
-- Ticket 2019113474 --
ALTER TABLE TT_VEN DISABLE ALL TRIGGERS;


/*-- SEQ 0045 --*/
-- Ticket 2019113474 --
UPDATE TT_VEN SET DATINC = DATHOR 
 WHERE DATINC IS NULL;

/*-- SEQ 0046 --*/
-- Ticket 2019113474 --
ALTER TABLE TT_VEN ENABLE ALL TRIGGERS;

/*-- SEQ 0047 --*/
-- Ticket 2019113474 --
ALTER TABLE TT_COM DISABLE ALL TRIGGERS;


/*-- SEQ 0048 --*/
-- Ticket 2019113474 --
UPDATE TT_COM SET DATINC = DATOPE 
 WHERE DATINC IS NULL;

/*-- SEQ 0049 --*/
-- Ticket 2019113474 --
ALTER TABLE TT_COM ENABLE ALL TRIGGERS;

/*-- SEQ 0050 --*/
-- Ticket 2019113474 --
ALTER TABLE TR_ECF DISABLE ALL TRIGGERS;


/*-- SEQ 0051 --*/
-- Ticket 2019113474 --
UPDATE TR_ECF SET DATINC = DATOPE, ATU_EM = DATFEC
 WHERE DATINC IS NULL;

/*-- SEQ 0052 --*/
-- Ticket 2019113474 --
ALTER TABLE TR_ECF ENABLE ALL TRIGGERS;

/*-- SEQ 0053 --*/
-- Ticket 2019113474 --
ALTER TABLE TR_FIN DISABLE ALL TRIGGERS;


/*-- SEQ 0054 --*/
-- Ticket 2019113474 --
UPDATE TR_FIN SET DATINCORI = DATLAN 
 WHERE DATINCORI IS NULL;

/*-- SEQ 0055 --*/
-- Ticket 2019113474 --
ALTER TABLE TR_FIN ENABLE ALL TRIGGERS;

/*-- SEQ 0056 --*/
-- Ticket 2019113474 --
ALTER TABLE TT_TEF DISABLE ALL TRIGGERS;


/*-- SEQ 0057 --*/
-- Ticket 2019113474 --
UPDATE TT_TEF SET DATINC = DATTRN 
 WHERE DATINC IS NULL;

/*-- SEQ 0058 --*/
-- Ticket 2019113474 --
ALTER TABLE TT_TEF ENABLE ALL TRIGGERS;

/*-- SEQ 0059 --*/
-- Ticket 2019113474 --
ALTER TABLE TT_CHR DISABLE ALL TRIGGERS;


/*-- SEQ 0060 --*/
-- Ticket 2019113474 --
UPDATE TT_CHR SET DATINC = DATOPE 
 WHERE DATINC IS NULL;

/*-- SEQ 0061 --*/
-- Ticket 2019113474 --
ALTER TABLE TT_CHR ENABLE ALL TRIGGERS;

/*-- SEQ 0062 --*/
-- Ticket 2019113474 --
ALTER TABLE TT_PTR DISABLE ALL TRIGGERS;


/*-- SEQ 0063 --*/
-- Ticket 2019113474 --
UPDATE TT_PTR SET DATINC = ATU_EM 
 WHERE DATINC IS NULL;

/*-- SEQ 0064 --*/
-- Ticket 2019113474 --
ALTER TABLE TT_PTR ENABLE ALL TRIGGERS;

/*-- SEQ 0065 --*/
-- Ticket 2019113474 --
ALTER TABLE TT_CCC DISABLE ALL TRIGGERS;


/*-- SEQ 0066 --*/
-- Ticket 2019113474 --
UPDATE TT_CCC SET DATINC = DATOPE 
 WHERE DATINC IS NULL;

/*-- SEQ 0067 --*/
-- Ticket 2019113474 --
ALTER TABLE TT_CCC ENABLE ALL TRIGGERS;

/*-- SEQ 0068 --*/
-- Ticket 2019113474 --
ALTER TABLE TT_FIN DISABLE ALL TRIGGERS;


/*-- SEQ 0069 --*/
-- Ticket 2019113474 --
UPDATE TT_FIN SET DATINC = DATOPE 
 WHERE DATINC IS NULL;

/*-- SEQ 0070 --*/
-- Ticket 2019113474 --
ALTER TABLE TT_FIN ENABLE ALL TRIGGERS;

/*-- SEQ 0071 --*/
-- Ticket 2019113474 --
ALTER TABLE TT_ORC DISABLE ALL TRIGGERS;


/*-- SEQ 0072 --*/
-- Ticket 2019113474 --
UPDATE TT_ORC SET DATINC = PED_EM 
 WHERE DATINC IS NULL;

/*-- SEQ 0073 --*/
-- Ticket 2019113474 --
ALTER TABLE TT_ORC ENABLE ALL TRIGGERS;


/*-- SEQ 0074 --*/
-- Ticket 2020032289 --
ALTER TABLE TI_PRE MODIFY (DESPRE_CODEXT VARCHAR2(60));

/*-- SEQ 0075 --*/
-- Ticket 2020032289 --
ALTER TABLE TT_TPR MODIFY (CODEXT VARCHAR2(60));


/*-- SEQ 0076 --*/
-- GES-2020033322 --
ALTER TABLE TT_RDV DROP CONSTRAINT CK_RDV_TIPRDV;

/*-- SEQ 0077 --*/
-- GES-2020033322 --
ALTER TABLE TT_RDV ADD CONSTRAINT CK_RDV_TIPRDV CHECK (TIPRDV IN ('A', 'B' , 'C' , 'D' , 'E' , 'H' , 'M' , 'O' , 'S' , 'U' , 'V' , '1' , '2' , '3' , '4' , '5' , '9' , 'X', 'W' ));


/*-- SEQ 0078 --*/
-- GES-2020033322 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0079 --*/
-- GES-2020033322 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, AGORA(), AGORA(), 'PORTADOR_ECOM_BOLETO', 'Portador para Boleto de E-Commerce', 'N', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PORTADOR_ECOM_BOLETO'));

/*-- SEQ 0080 --*/
-- GES-2020033322 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0081 --*/
-- Tarefa 2020040976 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0082 --*/
-- Tarefa 2020040976 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'RETIRAR_IPI_CFOP5949', 'Retirar o IPI da Devoluo de Compras com CFOP 5949/6949', 'B', 'T', 'T', 'T', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'RETIRAR_IPI_CFOP5949'));

/*-- SEQ 0083 --*/
-- Tarefa 2020040976 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0084 --*/
-- GES-2020018544 --
ALTER TABLE TT_REC DISABLE ALL TRIGGERS;


/*-- SEQ 0085 --*/
-- GES-2020018544 --
INSERT INTO TL_FIN (ORIGEM, FLGEST, FILORI, SEQORI, PARORI, SUBORI)
   (SELECT CAST('REC' AS VARCHAR2(3)) AS ORIGEM, CAST('N' AS VARCHAR2(1)) AS FLGEST, REC.CODFIL AS FILORI, REC.SEQUEN AS SEQORI, REC.NUMPAR AS PARORI, REC.SUBPAR AS SUBORI
      FROM TT_REC REC
     WHERE REC.CARTAO IS NOT NULL
       AND REC.NUMECF >= '400'
       AND COALESCE(REC.VLRPGT, 0) = COALESCE(REC.VLRPAR, 0)
       AND COALESCE(REC.VLRTAX, 0) > 0
       AND COALESCE(REC.VLRPGT, 0) > 0);

/*-- SEQ 0086 --*/
-- GES-2020018544 --
UPDATE TT_REC REC SET VLRPGT = COALESCE(VLRPGT,0) - COALESCE(VLRTAX,0)
 WHERE REC.CARTAO IS NOT NULL
   AND REC.NUMECF >= '400'
   AND COALESCE(REC.VLRPGT, 0) = COALESCE(REC.VLRPAR, 0)
   AND COALESCE(REC.VLRTAX, 0) > 0
   AND COALESCE(REC.VLRPGT, 0) > 0;

/*-- SEQ 0087 --*/
-- GES-2020018544 --
ALTER TABLE TT_REC ENABLE ALL TRIGGERS;


/*-- SEQ 0088 --*/
-- Tarefa 2020034695 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0089 --*/
-- Tarefa 2020034695 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'ST_NF_IMP', 'Calcular ST em NF de Importao', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'ST_NF_IMP'));

/*-- SEQ 0090 --*/
-- Tarefa 2020034695 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0091 --*/
-- Ticket 2020043929 --
ALTER TABLE TD_CT1 MODIFY (NOMCT1 VARCHAR2(40));


/*-- SEQ 0092 --*/
-- Tarefa 2019053290 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0093 --*/
-- Tarefa 2019053290 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'BLOQ_PREVENDAPARCIAL', 'Bloquear Resgate de Pr-Venda Parcial', 'B', 'T', 'T', 'T', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'BLOQ_PREVENDAPARCIAL'));

/*-- SEQ 0094 --*/
-- Tarefa 2019053290 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

