
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- Ticket GES-2021113635 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0003 --*/
-- Ticket GES-2021113635 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'CANC_DAV_NO_CANC_VEN', 'Cancelar a DAV ao cancelar a venda?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'CANC_DAV_NO_CANC_VEN'));

/*-- SEQ 0004 --*/
-- Ticket GES-2021113635 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0005 --*/
-- Ticket 2022077787 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0006 --*/
-- Ticket 2022077787--
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'VNDLOTEDNAPELOSALDO', 'Realizar a venda de Lote Individualizado (DNA) utilizando o saldo disponvel no PoS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'VNDLOTEDNAPELOSALDO'));
                     
/*-- SEQ 0007 --*/
-- Ticket 2022077787 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0008 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021122533 --
ALTER TABLE TT_VEI DISABLE ALL TRIGGERS;


/*-- SEQ 0009 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021122533 --
ALTER TABLE TT_VEI DROP CONSTRAINT CK_VEI_PLACAS;

/*-- SEQ 0010 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021122533 --
ALTER TABLE TT_VEI ADD CONSTRAINT CK_VEI_PLACAS 
CHECK (
(NACION = 'F' AND UPPER(PLACAS) = PLACAS) 
OR ((ASCII(SUBSTR(PLACAS,1,1)) BETWEEN 65 AND 90) 
AND (ASCII(SUBSTR(PLACAS,2,1)) BETWEEN 65 AND 90) 
AND (ASCII(SUBSTR(PLACAS,3,1)) BETWEEN 65 AND 90) 
AND (ASCII(SUBSTR(PLACAS,4,1)) BETWEEN 48 AND 57) 
AND (ASCII(SUBSTR(PLACAS,5,1)) BETWEEN 48 AND 90) 
AND (ASCII(SUBSTR(PLACAS,6,1)) BETWEEN 48 AND 57) 
AND (ASCII(SUBSTR(PLACAS,7,1)) BETWEEN 48 AND 57)));

/*-- SEQ 0011 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021122533 --
ALTER TABLE TT_VEI ENABLE ALL TRIGGERS;


/*-- SEQ 0012 --*/
-- Ticket 2022075061 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0013 --*/
-- Ticket 2022075061--
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'IGNORAMENUFUNCOES', 'Ignorar chamada de funes via campo para digitao de produtos no PoS? ', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'IGNORAMENUFUNCOES'));
                     
/*-- SEQ 0014 --*/
-- Ticket 2022075061 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0015 --*/
-- Ticket 2022048609 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0016 --*/
-- Ticket 2022048609 --
UPDATE TT_PCS 
   SET DESPCS = 'Obrigar cliente cadastrado na devoluo pelo Totall POS?'
 WHERE NOMPCS = 'OBRIGAR_CLI_CAD_DEV';
 
/*-- SEQ 0017 --*/
-- Ticket 2022048609 --
UPDATE TT_PCS
   SET DESPCS = 'Exibe meio pgto como "Aberto" em parcela aberta que no seja "Boleto, Bnus, C/C, Carto, Cheque"?'
 WHERE NOMPCS = 'EXIBEMEIOCOMOABERTO';
 
/*-- SEQ 0018 --*/
-- Ticket 2022048609 --
UPDATE TT_PCS
   SET DESPCS = 'Tratar para enviar ou no o conceito de grade'
 WHERE NOMPCS = 'GRADE_E_COMMERCE';
 
/*-- SEQ 0019 --*/
-- Ticket 2022048609 --
UPDATE TT_PCS
   SET DESPCS = 'Srie Nota Fiscal especfica para uma Filial'
 WHERE NOMPCS = 'SERIE_NF_ECOMMERCE';

/*-- SEQ 0020 --*/
-- Ticket 2022048609 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0021 --*/
-- Ticket 20220510205 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0022 --*/
-- Ticket 20220510205--
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'OCULTASELFILBUSCADAV', 'Ocultar Seleo de Filial na Pesquisa de DAV/Pr-Venda no PoS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL 
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'OCULTASELFILBUSCADAV'));
                     
/*-- SEQ 0023 --*/
-- Ticket 20220510205 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0024 --*/
-- Ticket 2022056265 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0025 --*/
-- Ticket 2022056265 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'IMP_SEPARACAO_AUTO', 'Imprimir Ordem de Separao Automaticamente?', 'B', 'F', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'IMP_SEPARACAO_AUTO'));

/*-- SEQ 0026 --*/
-- Ticket 2022056265 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0027 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2022056265 --
ALTER TABLE TT_IVO ADD FILLOT CHAR(3) ;


/*-- SEQ 0028 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2022056265 --
ALTER TABLE TT_IVO ADD SEQLOT CHAR(10) ;


/*-- SEQ 0029 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2022056265 --
ALTER TABLE TT_IVO ADD CONSTRAINT FK_IVO_LOT FOREIGN KEY (FILLOT, SEQLOT) REFERENCES TT_LOT (CODFIL, SEQUEN);

/*-- SEQ 0030 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022056265 --
CREATE INDEX I_FK_IVO_LOT ON TT_IVO (FILLOT, SEQLOT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0031 --*/
-- Ticket 2022056265 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0032 --*/
-- Ticket 2022056265 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'LOTESEPARA', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'LOTESEPARA'));

/*-- SEQ 0033 --*/
-- Ticket 2022056265 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0034 --*/
-- Ticket 20220510205 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0035 --*/
-- Ticket 20220510205--
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'OCULTASELFILBUSCADAV', 'Ocultar Seleo de Filial na Pesquisa de DAV/Pr-Venda no PoS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'OCULTASELFILBUSCADAV'));
                     
/*-- SEQ 0036 --*/
-- Ticket 20220510205 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0037 --*/
-- Tarefa 2022069543 --
CREATE TABLE TL_PLA (
  CODTAB Number(10),
  FILPLA CHAR(3),
  CODPLA CHAR(3),
  DATOPE Date,
  FILUSU CHAR(3),
  CODUSU CHAR(3),
  MSGLOG VARCHAR2(4000),
  CODUID Number) TABLESPACE TOTALL_DATA;

/*-- SEQ 0038 --*/
-- Tarefa 2022069543 --
ALTER TABLE TL_PLA ADD CONSTRAINT PK_LPLA PRIMARY KEY (CODTAB);

/*-- SEQ 0039 --*/
-- Tarefa 2022069543 --
CREATE SEQUENCE SQLPLA INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0040 --*/
-- Tarefa 2022069543 --
ALTER TABLE TL_PLA ADD CONSTRAINT FK_LPLA_PLA FOREIGN KEY (FILPLA,CODPLA) REFERENCES TT_PLA (FILPGT,CODPGT);

/*-- SEQ 0041 --*/
-- Tarefa 2022069543 --
CREATE INDEX I_FK_LPLA_PLA ON TL_PLA (FILPLA,CODPLA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0042 --*/
-- Tarefa 2022069543 --
ALTER TABLE TL_PLA ADD CONSTRAINT FK_LPLA_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0043 --*/
-- Tarefa 2022069543 --
CREATE INDEX I_FK_LPLA_UID ON TL_PLA (CODUID) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0044 --*/
-- Tarefa 2022069543 --
ALTER TABLE TL_PLA ADD CONSTRAINT FK_LPLA_USU FOREIGN KEY (FILUSU,CODUSU) REFERENCES TT_USU (FILUSU,CODUSU);

/*-- SEQ 0045 --*/
-- Tarefa 2022069543 --
CREATE INDEX I_FK_LPLA_USU ON TL_PLA (FILUSU,CODUSU) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0046 --*/
-- Ticket 2022035244 --
ALTER TABLE TT_IOR DISABLE ALL TRIGGERS;


/*-- SEQ 0047 --*/
-- Ticket 2022035244--
ALTER TABLE TT_IOR ADD CLSABC CHAR(1) ;

                     
/*-- SEQ 0048 --*/
-- Ticket 2022035244 --
ALTER TABLE TT_IOR ENABLE ALL TRIGGERS;


/*-- SEQ 0049 --*/
-- Ticket 2022083045 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0050 --*/
-- Ticket 2022083045--
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'USALOTESEPARACAO', 'Usa lote na separao? Deve ser informado lote para cada produto separado.', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'USALOTESEPARACAO'));
                     
/*-- SEQ 0051 --*/
-- Ticket 2022083045 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0052 --*/
-- Ticket 2021104596 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0053 --*/
-- Ticket 2021104596 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'INFORMACAO_SALDO_CCC', 'Exibir informao quando saldo em conta corrente do cliente estiver positivo no PoS?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'INFORMACAO_SALDO_CCC'));

/*-- SEQ 0054 --*/
-- Ticket 2021104596 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0055 --*/
-- Ticket 20220811544 --
ALTER TABLE TT_NCM DISABLE ALL TRIGGERS;


/*-- SEQ 0056 --*/
-- Ticket 20220811544 --
ALTER TABLE TT_CES DISABLE ALL TRIGGERS;


/*-- SEQ 0057 --*/
-- Ticket 20220811544 --
ALTER TABLE TT_CESXNCM DISABLE ALL TRIGGERS;


/*-- SEQ 0058 --*/
-- Ticket 20220811544 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '85395200',
        '-- Lmpadas e tubos de diodos emissores de luz (LED)',
        4,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '85395200'));

/*-- SEQ 0059 --*/
-- Ticket 20220811544 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '94051',
        '- Lustres e outras luminrias, eltricos, prprios para serem suspensos ou fixados no teto ou na parede, exceto os do tipo utilizado na iluminao pblica:',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '94051'));
                     
/*-- SEQ 0060 --*/
-- Ticket 20220811544 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '94052',
        '- Abajures (candeeiros) de mesa, de escritrio, de cabeceira e luminrias (candeeiros) de p, eltricos:',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '94052'));
                     
/*-- SEQ 0061 --*/
-- Ticket 20220811544 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '94054',
        '- Outras luminrias e aparelhos de iluminao, eltricos:',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '94054'));
							
/*-- SEQ 0062 --*/
-- Ticket 20220811544 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '94059',
        '- Partes:',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '94059'));
                     

/*-- SEQ 0063 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC)
(SELECT '0900500',
        'Lmpadas de LED (diodos emissores de luz)',
        'T',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CES
                     WHERE CODCES = '0900500'));
                     
/*-- SEQ 0064 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC)
(SELECT '2112300',
        'Lustres e outros aparelhos eltricos de iluminao, prprios para serem suspensos ou fixados no teto ou na parede, exceto os dos tipos utilizados na iluminao pblica; e suas partes',
        'T',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CES
                     WHERE CODCES = '2112300'));
                     
/*-- SEQ 0065 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC)
(SELECT '2112400',
        'Abajures de cabeceiras, de escritrios e lampadrios de interior, eltricos e suas partes',
        'T',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CES
                     WHERE CODCES = '2112400'));
                     
/*-- SEQ 0066 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC)
(SELECT '2112500',
        'Outras luminrias e aparelhos de iluminao, eltricos, e suas partes',
        'T',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CES
                     WHERE CODCES = '2112500'));

/*-- SEQ 0067 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
(SELECT SQCXN.NEXTVAL,
        '0900500',
        '85395200',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CESXNCM
                     WHERE CODCES = '0900500'
                       AND CODNCM = '85395200'));

/*-- SEQ 0068 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
(SELECT SQCXN.NEXTVAL,
        '2112300',
        '94051',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CESXNCM
                     WHERE CODCES = '2112300'
                       AND CODNCM = '94051'));
                   
/*-- SEQ 0069 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
(SELECT SQCXN.NEXTVAL,
        '2112300',
        '94059',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CESXNCM
                     WHERE CODCES = '2112300'
                       AND CODNCM = '94059'));
                       
                       
/*-- SEQ 0070 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
(SELECT SQCXN.NEXTVAL,
        '2112400',
        '94052',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CESXNCM
                     WHERE CODCES = '2112400'
                       AND CODNCM = '94052'));
                       
/*-- SEQ 0071 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
(SELECT SQCXN.NEXTVAL,
        '2112400',
        '94059',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CESXNCM
                     WHERE CODCES = '2112400'
                       AND CODNCM = '94059'));
                       
                       
/*-- SEQ 0072 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
(SELECT SQCXN.NEXTVAL,
        '2112500',
        '94054',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CESXNCM
                     WHERE CODCES = '2112500'
                       AND CODNCM = '94054'));
                       
/*-- SEQ 0073 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
(SELECT SQCXN.NEXTVAL,
        '2112500',
        '94059',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CESXNCM
                     WHERE CODCES = '2112500'
                       AND CODNCM = '94059'));
                       
/*-- SEQ 0074 --*/
-- Ticket 20220811544 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '940510';

/*-- SEQ 0075 --*/
-- Ticket 20220811544 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '94052000';

/*-- SEQ 0076 --*/
-- Ticket 20220811544 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '940540';
 
 /*-- SEQ 0077 --*/
-- Ticket 20220811544 --
ALTER TABLE TT_NCM ENABLE ALL TRIGGERS;

/*-- SEQ 0078 --*/
-- Ticket 20220811544 --
ALTER TABLE TT_CES ENABLE ALL TRIGGERS;

/*-- SEQ 0079 --*/
-- Ticket 20220811544 --
ALTER TABLE TT_CESXNCM ENABLE ALL TRIGGERS;




/*-- SEQ 0080 --*/
-- Ticket 2022035244 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0081 --*/
-- Ticket 2022035244 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'PRECO_INF_UNITARIO', 'Preo informado  unitrio no Totali POS?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PRECO_INF_UNITARIO'));
							
/*-- SEQ 0082 --*/
-- Ticket 2022035244 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0083 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD BASICM Number(12, 2) ;


/*-- SEQ 0084 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD BASRET Number(12, 2) ;


/*-- SEQ 0085 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD BSTFRE Number(14, 2) ;


/*-- SEQ 0086 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD CODAVU VARCHAR2(20) ;


/*-- SEQ 0087 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD CODDAR VARCHAR2(1) ;


/*-- SEQ 0088 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD CODDOP Number(5) ;


/*-- SEQ 0089 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD CODFCE Number(2) ;


/*-- SEQ 0090 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD CODFPS VARCHAR2(2) ;


/*-- SEQ 0091 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD CODIBG Number(10) ;


/*-- SEQ 0092 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD CODSRV Number(4) ;


/*-- SEQ 0093 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD CODTRI Number(5) ;


/*-- SEQ 0094 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD DATSTR VARCHAR2(10) ;


/*-- SEQ 0095 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD FILAGC VARCHAR2(3) ;


/*-- SEQ 0096 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD FINNFE VARCHAR2(1) ;


/*-- SEQ 0097 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD NATBCC VARCHAR2(2) ;


/*-- SEQ 0098 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD NATFRE VARCHAR2(1) ;


/*-- SEQ 0099 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD RATEIO_FRETE VARCHAR2(1) ;


/*-- SEQ 0100 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD SEQAGC VARCHAR2(10) ;


/*-- SEQ 0101 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD SITCOF VARCHAR2(2) ;


/*-- SEQ 0102 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD SITPIS VARCHAR2(2) ;


/*-- SEQ 0103 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD ST_FRE Number(14, 2) ;


/*-- SEQ 0104 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD TIPFRE VARCHAR2(1) ;


/*-- SEQ 0105 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD VLRBONFUT Number(12, 2) ;


/*-- SEQ 0106 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD VLRSRV Number(12, 2) ;


/*-- SEQ 0107 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD XMLNFE VARCHAR2(4000) ;


/*-- SEQ 0108 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD ALIICMAGR Number(6, 4) ;


/*-- SEQ 0109 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD APRBON Number(16, 2) ;


/*-- SEQ 0110 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD BASCOF Number(12, 2) ;


/*-- SEQ 0111 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD BASFCP Number(14, 2) ;


/*-- SEQ 0112 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD BASFCP_RET Number(14, 2) ;


/*-- SEQ 0113 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD BASFCP_ST Number(14, 2) ;


/*-- SEQ 0114 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD BASICMAGR Number(14, 2) ;


/*-- SEQ 0115 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD BASICMDIF Number(14, 2) ;


/*-- SEQ 0116 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD BASIPICAL Number(12, 2) ;


/*-- SEQ 0117 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD BASISS Number(12, 2) ;


/*-- SEQ 0118 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD BASPIS Number(12, 2) ;


/*-- SEQ 0119 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD BASSUB Number(14, 2) ;


/*-- SEQ 0120 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD BASSUBDIF Number(14, 2) ;


/*-- SEQ 0121 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD BSTFRE Number(14, 2) ;


/*-- SEQ 0122 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD CODBEN VARCHAR2(10) ;


/*-- SEQ 0123 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD CODCSTDIF VARCHAR2(3) ;


/*-- SEQ 0124 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD CODFCI VARCHAR2(36) ;


/*-- SEQ 0125 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD CSTXML VARCHAR2(3) ;


/*-- SEQ 0126 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD ICMITEDIF Number(14, 2) ;


/*-- SEQ 0127 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD ICMVEN Number(6, 4) ;


/*-- SEQ 0128 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD ICMVENDIF Number(6, 4) ;


/*-- SEQ 0129 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD ICO_BASRET Number(12, 2) ;


/*-- SEQ 0130 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD ICO_OUTTAX Number(12, 2) ;


/*-- SEQ 0131 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD ICO_VLRFRE Number(12, 2) ;


/*-- SEQ 0132 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD ICO_VLRRET Number(12, 2) ;


/*-- SEQ 0133 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD IPIFRE Number(12, 2) ;


/*-- SEQ 0134 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD IPITRA Number(5, 2) ;


/*-- SEQ 0135 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD ISEICMDIF Number(14, 2) ;


/*-- SEQ 0136 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD MOTDESON Number(2) ;


/*-- SEQ 0137 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD MVACOM Number(14, 4) ;


/*-- SEQ 0138 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD MVACOMDIF Number(14, 4) ;


/*-- SEQ 0139 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD NATBCC VARCHAR2(2) ;


/*-- SEQ 0140 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD OUTDES Number(12, 2) ;


/*-- SEQ 0141 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD OUTICMDIF Number(14, 2) ;


/*-- SEQ 0142 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD PAUTAF Number(14, 2) ;


/*-- SEQ 0143 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD PERCOF Number(6, 4) ;


/*-- SEQ 0144 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD PERCRESN Number(7, 4) ;


/*-- SEQ 0145 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD PERDIF Number(7, 4) ;


/*-- SEQ 0146 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD PERDIFICM Number(7, 4) ;


/*-- SEQ 0147 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD PERDIFICMDIF Number(7, 4) ;


/*-- SEQ 0148 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD PERFCP Number(6, 4) ;


/*-- SEQ 0149 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD PERFCP_RET Number(6, 4) ;


/*-- SEQ 0150 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD PERFCP_ST Number(6, 4) ;


/*-- SEQ 0151 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD PERICMDEV Number(5, 2) ;


/*-- SEQ 0152 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD PERISS Number(5, 2) ;


/*-- SEQ 0153 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD PERPIS Number(6, 4) ;


/*-- SEQ 0154 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD RED_ST Number(7, 4) ;


/*-- SEQ 0155 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD RED_STDIF Number(7, 4) ;


/*-- SEQ 0156 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD REDITE Number(7, 4) ;


/*-- SEQ 0157 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD REDITEDIF Number(7, 4) ;


/*-- SEQ 0158 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD RETSUB VARCHAR2(1) ;


/*-- SEQ 0159 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD SITCOF VARCHAR2(2) ;


/*-- SEQ 0160 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD SITIPI VARCHAR2(2) ;


/*-- SEQ 0161 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD SITPIS VARCHAR2(2) ;


/*-- SEQ 0162 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD ST_FRE Number(14, 2) ;


/*-- SEQ 0163 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD TAXIPICAL Number(6, 4) ;


/*-- SEQ 0164 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLR_ST Number(14, 2) ;


/*-- SEQ 0165 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLR_STDIF Number(14, 2) ;


/*-- SEQ 0166 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRCOF Number(12, 2) ;


/*-- SEQ 0167 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRCRESN Number(14, 2) ;


/*-- SEQ 0168 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRDESON Number(15, 2) ;


/*-- SEQ 0169 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRDIF Number(12, 2) ;


/*-- SEQ 0170 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRDIFICM Number(12, 2) ;


/*-- SEQ 0171 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRDIFICMDIF Number(12, 2) ;


/*-- SEQ 0172 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRFCP Number(14, 2) ;


/*-- SEQ 0173 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRFCP_RET Number(14, 2) ;


/*-- SEQ 0174 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRFCP_ST Number(14, 2) ;


/*-- SEQ 0175 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRFILDES Number(12, 4) ;


/*-- SEQ 0176 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRICM_CRE Number(12, 2) ;


/*-- SEQ 0177 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRICM_EST Number(12, 2) ;


/*-- SEQ 0178 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRICMAGR Number(12, 2) ;


/*-- SEQ 0179 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRICMDEV Number(14, 2) ;


/*-- SEQ 0180 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRICMDIF Number(14, 2) ;


/*-- SEQ 0181 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRICMOP Number(12, 2) ;


/*-- SEQ 0182 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRICMOPDIF Number(12, 2) ;


/*-- SEQ 0183 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRIPICAL Number(12, 2) ;


/*-- SEQ 0184 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRISS Number(12, 2) ;


/*-- SEQ 0185 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRPIS Number(12, 2) ;



/*-- SEQ 0186 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2022062501 --
CREATE TABLE TL_PRO_SPED (
  CODTAB Number(10),
  DATANT Date,
  DATOPE Date,
  FILMAT CHAR(3),
  CODMAT CHAR(5),
  DESECF VARCHAR2(15),
  DESMAT VARCHAR2(30),
  ESPMAT VARCHAR2(30),
  CODCOR Number(5,0),
  CODTAM Number(5,0),
  DESGRA VARCHAR2(120),
  CODFIS VARCHAR2(60),
  TIPLOG VARCHAR2(1),
  SIGLAUF CHAR(2),
  REGESP Number(1,0),
  SUBTRI CHAR(1),
  RESICM Number(5,0),
  REDALI Number(5,0),
  REDICM VARCHAR2(1),
  REDINT Number(5,2),
  REDSIM Number(6,4),
  MVAVEN Number(14,4),
  PERFCP Number(5,2)) TABLESPACE TOTALL_DATA;

/*-- SEQ 0187 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2022062501 --
ALTER TABLE TL_PRO_SPED ADD CONSTRAINT PK_LPRO_SPED PRIMARY KEY (CODTAB);

/*-- SEQ 0188 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2022062501 --
CREATE SEQUENCE SQLPROSPED INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0189 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2022062501 --
ALTER TABLE TL_PRO_SPED ADD CONSTRAINT FK_LPRO_SPED_PRO FOREIGN KEY (FILMAT,CODMAT) REFERENCES TT_PRO (FILMAT, CODMAT);

/*-- SEQ 0190 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2022062501 --
CREATE INDEX I_FK_LPRO_SPED ON TL_PRO_SPED (FILMAT,CODMAT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0191 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2022062501 --
ALTER TABLE TL_PRO_SPED MODIFY (DATOPE CONSTRAINT NN_L_PRO_SPED_DATOPE NOT NULL);


/*-- SEQ 0192 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2022062501 --
ALTER TABLE TL_PRO_SPED MODIFY (FILMAT CONSTRAINT NN_L_PRO_SPED_FILMAT NOT NULL);


/*-- SEQ 0193 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2022062501 --
ALTER TABLE TL_PRO_SPED MODIFY (CODMAT CONSTRAINT NN_L_PRO_SPED_CODMAT NOT NULL);


/*-- SEQ 0194 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2022062501 --
ALTER TABLE TL_PRO_SPED MODIFY (TIPLOG CONSTRAINT NN_L_PRO_SPED_TIPLOG NOT NULL);


/*-- SEQ 0195 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2022062501 --
ALTER TABLE TL_PRO_SPED ADD CONSTRAINT CK_L_PRO_SPED_TIPLOG CHECK (TIPLOG IN ('C', 'I'));


/*-- SEQ 0196 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2022094510 --
ALTER TABLE TT_REC ADD INDEXP VARCHAR2(1) ;



/*-- SEQ 0197 --*/
-- Ticket 2022072905 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0198 --*/
-- Ticket 2022072905 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'DAV_SEM_ENTREGA', 'Filtrar somente DAV sem entrega no PoS?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'DAV_SEM_ENTREGA'));

/*-- SEQ 0199 --*/
-- Ticket 2022072905 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0200 --*/
-- Ticket 2021092947 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0201 --*/
-- Ticket 2021092947 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'APLMULTECON', 'Aplica Quantidade Mltipla nos processos do E-Commerce sendo Consulta e Recepo de Pedidos?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'APLMULTECON'));					
													
/*-- SEQ 0202 --*/
-- Ticket 2021092947 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0203 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2022098461 -- 
SELECT * FROM NADA;

/*-- SEQ 0204 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2022098461 --
SELECT * FROM NADA;

/*-- SEQ 0205 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
SELECT * FROM NADA;

/*-- SEQ 0206 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
SELECT * FROM NADA;

/*-- SEQ 0207 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
SELECT * FROM NADA;

/*-- SEQ 0208 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
SELECT * FROM NADA;

/*-- SEQ 0209 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
SELECT * FROM NADA;

/*-- SEQ 0210 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
SELECT * FROM NADA;

/*-- SEQ 0211 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
SELECT * FROM NADA;
 
/*-- SEQ 0212 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
SELECT * FROM NADA;


/*-- SEQ 0213 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2022098461 -- 
ALTER TABLE TT_REC DROP CONSTRAINT FK_REC_CCC;

/*-- SEQ 0214 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2022098461 -- 
DROP INDEX I_FK_REC_CCC;

/*-- SEQ 0215 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2022098461 -- 
ALTER TABLE TT_REC DROP COLUMN FILCCC CASCADE CONSTRAINT;

/*-- SEQ 0216 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2022098461 -- 
ALTER TABLE TT_REC DROP COLUMN SEQCCC CASCADE CONSTRAINT;


/*-- SEQ 0217 --*/
-- Tarefa 2022098461 -- 
ALTER TABLE TT_REC ADD FILCCC CHAR(3) ;


/*-- SEQ 0218 --*/
-- Tarefa 2022098461 --
ALTER TABLE TT_REC ADD SEQCCC CHAR(10) ;


/*-- SEQ 0219 --*/
-- Ticket 2022098461 --
ALTER TABLE TT_REC DISABLE ALL TRIGGERS;


/*-- SEQ 0220 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
UPDATE TT_REC 
   SET FILCCC = (SELECT CODFIL FROM TT_CCC WHERE TT_CCC.CODVEN = TT_REC.CODFIL
                                             AND TT_CCC.SEQVEN = TT_REC.SEQUEN
                                             AND TT_CCC.NUMPAR = TT_REC.NUMPAR
                                             AND TT_CCC.SUBPAR = TT_REC.SUBPAR
                                             AND TT_CCC.SEQUEN = (SELECT MAX(SEQUEN)
                                                                    FROM TT_CCC CCC2 
                                                                   WHERE CCC2.CODVEN = TT_REC.CODFIL  
                                                                     AND CCC2.SEQVEN = TT_REC.SEQUEN  
                                                                     AND CCC2.NUMPAR = TT_REC.NUMPAR  
                                                                     AND CCC2.SUBPAR = TT_REC.SUBPAR)
                 ),
       SEQCCC = (SELECT SEQUEN FROM TT_CCC WHERE TT_CCC.CODVEN = TT_REC.CODFIL
                                             AND TT_CCC.SEQVEN = TT_REC.SEQUEN
                                             AND TT_CCC.NUMPAR = TT_REC.NUMPAR
                                             AND TT_CCC.SUBPAR = TT_REC.SUBPAR
                                             AND TT_CCC.SEQUEN = (SELECT MAX(SEQUEN)
                                                                    FROM TT_CCC CCC2 
                                                                   WHERE CCC2.CODVEN = TT_REC.CODFIL  
                                                                     AND CCC2.SEQVEN = TT_REC.SEQUEN  
                                                                     AND CCC2.NUMPAR = TT_REC.NUMPAR  
                                                                     AND CCC2.SUBPAR = TT_REC.SUBPAR)
                 )
 WHERE (CODFIL, SEQUEN, NUMPAR, SUBPAR) IN (SELECT CODVEN, SEQVEN, NUMPAR, SUBPAR
                                              FROM TT_CCC);
 
/*-- SEQ 0221 --*/
-- Ticket 2022098461 --
ALTER TABLE TT_REC ENABLE ALL TRIGGERS;

/*-- SEQ 0222 --*/
-- Ticket 2022098461 --
ALTER TABLE TT_REC ADD CONSTRAINT FK_REC_CCC FOREIGN KEY (FILCCC, SEQCCC) REFERENCES TT_CCC (CODFIL, SEQUEN);

/*-- SEQ 0223 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
CREATE INDEX I_FK_REC_CCC ON TT_REC (FILCCC, SEQCCC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0224 --*/
-- Ticket 2022098461 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0225 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
DELETE FROM TT_FUN 
WHERE NOMFUN = 'CCC_NEWREC';

/*-- SEQ 0226 --*/
-- Ticket 2022098461 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0227 --*/
-- Ticket 2022099171 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0228 --*/
-- Ticket 2022099171 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'VALIDAVALECOMPRA', 'No permitir a forma de pagamento "Vale Compra" para clientes consumidor final no PoS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'VALIDAVALECOMPRA'));
							
/*-- SEQ 0229 --*/
-- Ticket 2022099171 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0230 --*/
-- Ticket 2021111321 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0231 --*/
-- Ticket 2021111321 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'OCULTARPGTOPENDENTE', 'Ocultar a forma de pagamento pendente no PoS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'OCULTARPGTOPENDENTE'));
							
/*-- SEQ 0232 --*/
-- Ticket 2021111321 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0233 --*/
-- Ticket 2022094877 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0234 --*/
-- Ticket 2022094877 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'SEMPRE_RESERVAR_DAV', 'Sempre reservar a DAV no Order Web?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'SEMPRE_RESERVAR_DAV'));
							
/*-- SEQ 0235 --*/
-- Ticket 2022094877 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0236 --*/
-- Ticket 2022098461 --
ALTER TABLE TT_REC DISABLE ALL TRIGGERS;


/*-- SEQ 0237 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
UPDATE TT_REC 
   SET FILCCC = (SELECT CODFIL FROM TT_CCC WHERE TT_CCC.CODVEN = TT_REC.CODFIL
                                             AND TT_CCC.SEQVEN = TT_REC.SEQUEN
                                             AND TT_CCC.NUMPAR = TT_REC.NUMPAR
                                             AND TT_CCC.SUBPAR = TT_REC.SUBPAR
                                             AND TT_CCC.SEQUEN = (SELECT MAX(SEQUEN)
                                                                    FROM TT_CCC CCC2 
                                                                   WHERE CCC2.CODVEN = TT_REC.CODFIL  
                                                                     AND CCC2.SEQVEN = TT_REC.SEQUEN  
                                                                     AND CCC2.NUMPAR = TT_REC.NUMPAR  
                                                                     AND CCC2.SUBPAR = TT_REC.SUBPAR)
                 ),
       SEQCCC = (SELECT SEQUEN FROM TT_CCC WHERE TT_CCC.CODVEN = TT_REC.CODFIL
                                             AND TT_CCC.SEQVEN = TT_REC.SEQUEN
                                             AND TT_CCC.NUMPAR = TT_REC.NUMPAR
                                             AND TT_CCC.SUBPAR = TT_REC.SUBPAR
                                             AND TT_CCC.SEQUEN = (SELECT MAX(SEQUEN)
                                                                    FROM TT_CCC CCC2 
                                                                   WHERE CCC2.CODVEN = TT_REC.CODFIL  
                                                                     AND CCC2.SEQVEN = TT_REC.SEQUEN  
                                                                     AND CCC2.NUMPAR = TT_REC.NUMPAR  
                                                                     AND CCC2.SUBPAR = TT_REC.SUBPAR)
                 )
 WHERE (CODFIL, SEQUEN, NUMPAR, SUBPAR) IN (SELECT CODVEN, SEQVEN, NUMPAR, SUBPAR
                                              FROM TT_CCC)
   AND FILCCC IS NULL;
 
/*-- SEQ 0238 --*/
-- Ticket 2022098461 --
ALTER TABLE TT_REC ENABLE ALL TRIGGERS;


--Adio das novas colunas na TT_ICO
/*-- SEQ 0239 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD BASICM_CM Number(16, 4) ;


/*-- SEQ 0240 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD VLRICM_CM Number(16, 4) ;


/*-- SEQ 0241 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD BAS_ST_CM Number(16, 4) ;


/*-- SEQ 0242 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD VLR_ST_CM Number(16, 4) ;


/*-- SEQ 0243 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD VLR_CMORI Number(16, 4) ;


/*-- SEQ 0244 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD VLRCMGORI Number(16, 4) ;


/*-- SEQ 0245 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD TOT_CMORI Number(16, 4) ;


/*-- SEQ 0246 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD TOTCMGORI Number(16, 4) ;


/*-- SEQ 0247 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD SAL_CMORI Number(16, 4) ;



--Adio das novas colunas na TT_IVE
/*-- SEQ 0248 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD BASICM_CM Number(16, 4) ;


/*-- SEQ 0249 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD VLRICM_CM Number(16, 4) ;


/*-- SEQ 0250 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD BAS_ST_CM Number(16, 4) ;


/*-- SEQ 0251 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD VLR_ST_CM Number(16, 4) ;


/*-- SEQ 0252 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD VLR_CMORI Number(16, 4) ;


/*-- SEQ 0253 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD VLRCMGORI Number(16, 4) ;


/*-- SEQ 0254 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD TOT_CMORI Number(16, 4) ;


/*-- SEQ 0255 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD TOTCMGORI Number(16, 4) ;


/*-- SEQ 0256 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD SAL_CMORI Number(16, 4) ;


/*-- SEQ 0257 --*/
-- Ticket 20220811994 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0258 --*/
-- Ticket 20220811994 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'USACM_BASE_IMP_TRANS', 'Utilizar os valores de Custo Mdio como base de clculo dos impostos nas transferncias?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'USACM_BASE_IMP_TRANS'));

/*-- SEQ 0259 --*/
-- Ticket 20220811994 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0260 --*/
-- Ticket 2021089896 --
ALTER TABLE TT_CCC ADD INDEXP VARCHAR2(1) ;



/*-- SEQ 0261 --*/
-- Ticket 2022025817 --
ALTER TABLE TD_FIL ADD RESIRR Number(5) ;


/*-- SEQ 0262 --*/
-- Ticket 2022025817 --
ALTER TABLE TD_FIL ADD CONSTRAINT FK_DFIL_DIRR FOREIGN KEY (RESIRR) REFERENCES TD_IRR (CODTAB);

/*-- SEQ 0263 --*/
-- Ticket 2022025817 --
CREATE INDEX I_FK_DFIL_DIRR ON TD_FIL (RESIRR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0264 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2022025817 --
ALTER TABLE TT_CFG DROP CONSTRAINT CK_CFG_PERIR;


/*-- SEQ 0265 --*/
-- Ticket 2022089919 --
ALTER TABLE TT_CFG ADD LIBERASESSAOMIN Number(3) ;


/*-- SEQ 0266 --*/
-- Ticket 2022089919 --
ALTER TABLE TW_CFG ADD LIBERASESSAOMIN Number(3) ;



/*-- SEQ 0267 --*/
-- Ticket 2022102100 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0268 --*/
-- Ticket 2022102100 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'CM_ZERO_SEMEST', 'Custo Mdio Unitrio Zero quando Saldo do Custo Mdio estiver Zero?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'CM_ZERO_SEMEST'));

/*-- SEQ 0269 --*/
-- Ticket 2022102100 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0270 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022092246 --
DROP INDEX i_fk_ven_cli;

/*-- SEQ 0271 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022092246 --
CREATE INDEX I_FK_VEN_CLI ON TT_VEN (FILCLI,CODCLI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0272 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022092246 --
CREATE INDEX I_LC_VEN_CLI_FILDTH ON TT_VEN (FILCLI, CODCLI, DATHOR, CODFIL) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0273 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2022103752 --
ALTER TABLE TT_IPE ADD CONSTRAINT FK_IPE_ICO FOREIGN KEY (FILICO,SEQICO,NUMICO) REFERENCES TT_ICO (CODFIL,SEQUEN,NUMITE);

/*-- SEQ 0274 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2022103752 --
CREATE INDEX I_FK_IPE_ICO ON TT_IPE (FILICO,SEQICO,NUMICO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0275 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2022103752 --
CREATE INDEX I_FK_IPE_PED ON TT_IPE (CODFIL, NUMPED) TABLESPACE TOTALL_INDEX;

