
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99807 --
ALTER TABLE TD_CAI DROP CONSTRAINT CK_DCAI_CX_USU;

/*-- SEQ 0002 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99807 --
ALTER TABLE TD_CAI ADD CONSTRAINT CK_DCAI_CX_USU CHECK (CX_USU IN (0,1,2));


/*-- SEQ 0003 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99824 --
ALTER TABLE TD_CAI ADD CAIMEN Number(2) ;


/*-- SEQ 0004 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99824 --
ALTER TABLE TD_CAI ADD CONSTRAINT CK_DCAI_CAIMEN CHECK ((CAIMEN >= 1) AND (CAIMEN <= 99));

/*-- SEQ 0005 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99824 --
CREATE UNIQUE INDEX I_UQ_DCAI_CAIMEN ON TD_CAI (CAIMEN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0006 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99824 --
ALTER TABLE TW_TAB ADD CAIMEN Number(2) ;



/*-- SEQ 0007 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99835 --
ALTER TABLE TD_FIL ADD IP_ORDERLOCAL VARCHAR2(3) ;



/*-- SEQ 0008 --*/
-- Tarefa 98537 --
ALTER TABLE TT_ICO ADD PERDIF Number(5,2) ;


/*-- SEQ 0009 --*/
-- Tarefa 98537 --
ALTER TABLE TT_ICO ADD VLRDIF Number(12,2) ;



/*-- SEQ 0010 --*/
-- Tarefa 98540 --
ALTER TABLE TT_COM ADD XMLNFE LONG ;



/*-- SEQ 0011 --*/
-- Tarefa 98541 --
ALTER TABLE TT_IVE ADD PERDIF Number(5,2) ;


/*-- SEQ 0012 --*/
-- Tarefa 98541 --
ALTER TABLE TT_IVE ADD VLRDIF Number(12,2) ;



/*-- SEQ 0013 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99861 --
SELECT * FROM NADA;

/*-- SEQ 0014 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99861 --
SELECT * FROM NADA;

/*-- SEQ 0015 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99861 --
SELECT * FROM NADA;


/*-- SEQ 0016 --*/
-- Tarefa 99861 --
ALTER TABLE TT_PRO DISABLE ALL TRIGGERS;


/*-- SEQ 0017 --*/
-- Tarefa 99861 --
UPDATE TT_PRO PRO SET USALOT = 'T', LOTONL = 'T' 
 WHERE EXISTS(SELECT 1 AS OK FROM TD_FIL DFIL WHERE DFIL.CGCFIL='81336398000133')
   AND EXISTS(SELECT 1 AS OK FROM TT_LOT LOT  WHERE LOT.FILMAT=PRO.FILMAT AND LOT.CODMAT=PRO.CODMAT);

/*-- SEQ 0018 --*/
-- Tarefa 99861 --
ALTER TABLE TT_PRO ENABLE ALL TRIGGERS;


/*-- SEQ 0019 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99835 --
ALTER TABLE TD_FIL MODIFY (IP_ORDERLOCAL VARCHAR2(20));


/*-- SEQ 0020 --*/
-- Tarefa 99893 --
ALTER TABLE TI_SAL DISABLE ALL TRIGGERS;


/*-- SEQ 0021 --*/
-- Tarefa 99893 --
ALTER TABLE TI_DES DISABLE ALL TRIGGERS;


/*-- SEQ 0022 --*/
-- Tarefa 99893 --
ALTER TABLE TI_LIM DISABLE ALL TRIGGERS;


/*-- SEQ 0023 --*/
-- Tarefa 99893 --
UPDATE TI_SAL
   SET STATUS = '2'
 WHERE STATUS IS NOT NULL
   AND STATUS NOT IN ('0','1','2');

/*-- SEQ 0024 --*/
-- Tarefa 99893 --
UPDATE TI_DES
   SET STATUS = '2'
 WHERE STATUS IS NOT NULL
   AND STATUS NOT IN ('0','1','2');

/*-- SEQ 0025 --*/
-- Tarefa 99893 --
UPDATE TI_LIM
   SET STATUS = '2'
 WHERE STATUS IS NOT NULL
   AND STATUS NOT IN ('0','1','2');

/*-- SEQ 0026 --*/
-- Tarefa 99893 --
ALTER TABLE TI_SAL ADD STATUS_TMP Number(1) ;


/*-- SEQ 0027 --*/
-- Tarefa 99893 --
ALTER TABLE TI_DES ADD STATUS_TMP Number(1) ;


/*-- SEQ 0028 --*/
-- Tarefa 99893 --
ALTER TABLE TI_LIM ADD STATUS_TMP Number(1) ;


/*-- SEQ 0029 --*/
-- Tarefa 99893 --
UPDATE TI_SAL
   SET STATUS_TMP = TO_NUMBER(STATUS)
 WHERE STATUS IS NOT NULL;

/*-- SEQ 0030 --*/
-- Tarefa 99893 --
UPDATE TI_DES
   SET STATUS_TMP = TO_NUMBER(STATUS)
 WHERE STATUS IS NOT NULL;

/*-- SEQ 0031 --*/
-- Tarefa 99893 --
UPDATE TI_LIM
   SET STATUS_TMP = TO_NUMBER(STATUS)
 WHERE STATUS IS NOT NULL;

/*-- SEQ 0032 --*/
-- Tarefa 99893 --
ALTER TABLE TI_SAL DROP COLUMN STATUS CASCADE CONSTRAINT;

/*-- SEQ 0033 --*/
-- Tarefa 99893 --
ALTER TABLE TI_SAL ADD STATUS Number(1) ;


/*-- SEQ 0034 --*/
-- Tarefa 99893 --
ALTER TABLE TI_DES DROP COLUMN STATUS CASCADE CONSTRAINT;

/*-- SEQ 0035 --*/
-- Tarefa 99893 --
ALTER TABLE TI_DES ADD STATUS Number(1) ;


/*-- SEQ 0036 --*/
-- Tarefa 99893 --
ALTER TABLE TI_LIM DROP COLUMN STATUS CASCADE CONSTRAINT;

/*-- SEQ 0037 --*/
-- Tarefa 99893 --
ALTER TABLE TI_LIM ADD STATUS Number(1) ;


/*-- SEQ 0038 --*/
-- Tarefa 99893 --
UPDATE TI_SAL
   SET STATUS = STATUS_TMP
 WHERE STATUS_TMP IS NOT NULL;

/*-- SEQ 0039 --*/
-- Tarefa 99893 --
UPDATE TI_DES
   SET STATUS = STATUS_TMP
 WHERE STATUS_TMP IS NOT NULL;

/*-- SEQ 0040 --*/
-- Tarefa 99893 --
UPDATE TI_LIM
   SET STATUS = STATUS_TMP
 WHERE STATUS_TMP IS NOT NULL;

/*-- SEQ 0041 --*/
-- Tarefa 99893 --
ALTER TABLE TI_SAL MODIFY (STATUS DEFAULT 0);

/*-- SEQ 0042 --*/
-- Tarefa 99893 --
ALTER TABLE TI_SAL MODIFY (STATUS CONSTRAINT NN_ISAL_STATUS NOT NULL);


/*-- SEQ 0043 --*/
-- Tarefa 99893 --
ALTER TABLE TI_DES MODIFY (STATUS DEFAULT 0);

/*-- SEQ 0044 --*/
-- Tarefa 99893 --
ALTER TABLE TI_DES MODIFY (STATUS CONSTRAINT NN_IDES_STATUS NOT NULL);


/*-- SEQ 0045 --*/
-- Tarefa 99893 --
ALTER TABLE TI_LIM MODIFY (STATUS DEFAULT 0);

/*-- SEQ 0046 --*/
-- Tarefa 99893 --
ALTER TABLE TI_LIM MODIFY (STATUS CONSTRAINT NN_ILIM_STATUS NOT NULL);


/*-- SEQ 0047 --*/
-- Tarefa 99893 --
ALTER TABLE TI_SAL DROP COLUMN STATUS_TMP CASCADE CONSTRAINT;

/*-- SEQ 0048 --*/
-- Tarefa 99893 --
ALTER TABLE TI_DES DROP COLUMN STATUS_TMP CASCADE CONSTRAINT;

/*-- SEQ 0049 --*/
-- Tarefa 99893 --
ALTER TABLE TI_LIM DROP COLUMN STATUS_TMP CASCADE CONSTRAINT;

/*-- SEQ 0050 --*/
-- Tarefa 99893 --
ALTER TABLE TI_SAL ENABLE ALL TRIGGERS;

/*-- SEQ 0051 --*/
-- Tarefa 99893 --
ALTER TABLE TI_DES ENABLE ALL TRIGGERS;

/*-- SEQ 0052 --*/
-- Tarefa 99893 --
ALTER TABLE TI_LIM ENABLE ALL TRIGGERS;


/*-- SEQ 0053 --*/
-- Tarefa 99809 --
ALTER TABLE TI_CLI MODIFY (CELCON VARCHAR2(10));

/*-- SEQ 0054 --*/
-- Tarefa 99809 --
ALTER TABLE TI_CLI MODIFY (CELNUM VARCHAR2(10));

/*-- SEQ 0055 --*/
-- Tarefa 99809 --
ALTER TABLE TI_CLI MODIFY (CELUCO VARCHAR2(10));

/*-- SEQ 0056 --*/
-- Tarefa 99809 --
ALTER TABLE TI_CLI MODIFY (CONTEL VARCHAR2(10));

/*-- SEQ 0057 --*/
-- Tarefa 99809 --
ALTER TABLE TI_CLI MODIFY (NUMTEL VARCHAR2(10));

/*-- SEQ 0058 --*/
-- Tarefa 99809 --
ALTER TABLE TI_CLI MODIFY (TELCON VARCHAR2(10));

/*-- SEQ 0059 --*/
-- Tarefa 99809 --
ALTER TABLE TT_SPC MODIFY (NUMTEL VARCHAR2(10));

/*-- SEQ 0060 --*/
-- Tarefa 99809 --
ALTER TABLE TT_SPC MODIFY (TELCON VARCHAR2(10));



/*-- SEQ 0061 --*/
-- Tarefa 99958 --
UPDATE TD_CAI
   SET CAIMEN = TO_NUMBER(CX_COD)
 WHERE ISDIGIT(CX_COD) = 1
   AND CX_COD < '100';


/*-- SEQ 0062 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99697 --
DROP VIEW TV_FIN_RTT CASCADE CONSTRAINTS;


/*-- SEQ 0063 --*/
-- Tarefa 100032 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0064 --*/
-- Tarefa 100032 --
UPDATE TT_FUN SET DATFUN = TO_DATE('01/07/2017','DD/MM/YYYY')
  WHERE NOMFUN = 'CEST_NF';

/*-- SEQ 0065 --*/
-- Tarefa 100032 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0066 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97756 --
ALTER TABLE TT_REC ADD FILPGT CHAR(3) ;


/*-- SEQ 0067 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97756 --
ALTER TABLE TT_REC ADD CODPGT CHAR(3) ;


/*-- SEQ 0068 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97756 --
ALTER TABLE TT_REC ADD CONSTRAINT FK_REC_PLA FOREIGN KEY (FILPGT,CODPGT) REFERENCES TT_PLA (FILPGT,CODPGT);

/*-- SEQ 0069 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97756 --
CREATE INDEX I_FK_REC_PLA ON TT_REC (FILPGT,CODPGT) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0070 --*/
-- Tarefa 97753 --
ALTER TABLE TT_PLA DROP CONSTRAINT CK_PLA_APLICA;

/*-- SEQ 0071 --*/
-- Tarefa 97753 --
ALTER TABLE TT_PLA ADD CONSTRAINT CK_PLA_APLICA CHECK (APLICA IN (0,1,2,3,4,5,6));


/*-- SEQ 0072 --*/
-- Tarefa 100086 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0073 --*/
-- Tarefa 100086 --
UPDATE TT_FUN SET DATFUN = TO_DATE('01/07/2017','DD/MM/YYYY')
  WHERE NOMFUN = 'CEST_CF';

/*-- SEQ 0074 --*/
-- Tarefa 100086 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0075 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100108 --
SELECT * FROM NADA;

/*-- SEQ 0076 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100108 --
SELECT * FROM NADA;

/*-- SEQ 0077 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100108 --
SELECT * FROM NADA;

/*-- SEQ 0078 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100108 --
SELECT * FROM NADA;


/*-- SEQ 0079 --*/
-- Tarefa 100108 --
ALTER TABLE TT_SAL DISABLE ALL TRIGGERS;


/*-- SEQ 0080 --*/
-- Tarefa 100108 --
UPDATE TT_SAL
   SET CAL_CM = NULL, 
       ATU_CM = 'F', 
       DUMMY = 'x'
 WHERE NOT EXISTS (SELECT 1
                     FROM TT_FUN 
                    WHERE NOMFUN = 'ATU_CSTMDO');      

/*-- SEQ 0081 --*/
-- Tarefa 100108 --
ALTER TABLE TT_SAL ENABLE ALL TRIGGERS;

/*-- SEQ 0082 --*/
-- Tarefa 100108 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0083 --*/
-- Tarefa 100108 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ATU_CSTMDO', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ATU_CSTMDO'));

/*-- SEQ 0084 --*/
-- Tarefa 100108 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0085 --*/
-- Tarefa 100000 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0086 --*/
ALTER TABLE TT_CFG ADD SISDFE Number(1) DEFAULT 1;

/*-- SEQ 0087 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0088 --*/
-- Tarefa 100000 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_SISDFE CHECK (SISDFE IN (0, 1));

/*-- SEQ 0089 --*/
-- Tarefa 100000 --
ALTER TABLE TT_CFG MODIFY (SISDFE CONSTRAINT NN_CFG_SISDFE NOT NULL);


/*-- SEQ 0090 --*/
-- Tarefa 100000 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0091 --*/
ALTER TABLE TW_CFG ADD SISDFE Number(1) DEFAULT 1;

/*-- SEQ 0092 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0093 --*/
-- Tarefa 100151 --
ALTER TABLE TT_TIN DISABLE ALL TRIGGERS;

/*-- SEQ 0094 --*/
ALTER TABLE TT_TIN ADD SISTIN Number(1) DEFAULT 0;

/*-- SEQ 0095 --*/
ALTER TABLE TT_TIN ENABLE ALL TRIGGERS;

/*-- SEQ 0096 --*/
-- Tarefa 100151 --
ALTER TABLE TT_TIN MODIFY (SISTIN CONSTRAINT NN_TIN_SISTIN NOT NULL);


/*-- SEQ 0097 --*/
-- Tarefa 100151 --
ALTER TABLE TT_TIN ADD CONSTRAINT CK_TIN_SISTIN CHECK (SISTIN IN (0,1));


/*-- SEQ 0098 --*/
-- Tarefa 100163 --
ALTER TABLE TT_GRAXSC DISABLE ALL TRIGGERS;

/*-- SEQ 0099 --*/
ALTER TABLE TT_GRAXSC ADD SISTIN Number(1) DEFAULT 0;

/*-- SEQ 0100 --*/
ALTER TABLE TT_GRAXSC ENABLE ALL TRIGGERS;

/*-- SEQ 0101 --*/
-- Tarefa 100163 --
ALTER TABLE TT_GRAXSC MODIFY (SISTIN CONSTRAINT NN_GXSC_SISTIN NOT NULL);


/*-- SEQ 0102 --*/
-- Tarefa 100163 --
ALTER TABLE TT_GRAXSC ADD CONSTRAINT CK_GXSC_SISTIN CHECK (SISTIN IN (0,1));

/*-- SEQ 0103 --*/
-- Tarefa 100163 --
ALTER TABLE TT_GRAXSC ADD PRECO_MIN Number(12,2) ;



/*-- SEQ 0104 --*/
-- Tarefa 100164 --
ALTER TABLE GX_CFG ADD GX_CFGSHOTCOLORDATULTATU Date ;


/*-- SEQ 0105 --*/
-- Tarefa 100164 --
ALTER TABLE GX_CFG ADD GX_CFGSHOTCOLORID Number(18,0) ;



/*-- SEQ 0106 --*/
-- Tarefa 100204 --
ALTER TABLE TL_IOR_PAF ADD ASSINA VARCHAR2(256) ;



/*-- SEQ 0107 --*/
-- Tarefa 100152 --
ALTER TABLE TD_SER DISABLE ALL TRIGGERS;

/*-- SEQ 0108 --*/
ALTER TABLE TD_SER ADD RECIBO VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0109 --*/
ALTER TABLE TD_SER ENABLE ALL TRIGGERS;

/*-- SEQ 0110 --*/
-- Tarefa 100152 --
ALTER TABLE TD_SER MODIFY (RECIBO CONSTRAINT NN_DSER_RECIBO NOT NULL);


/*-- SEQ 0111 --*/
-- Tarefa 100152 --
ALTER TABLE TD_SER ADD CONSTRAINT CK_DSER_RECIBO CHECK (RECIBO IN ('T','F'));

/*-- SEQ 0112 --*/
-- Tarefa 100152 --
ALTER TABLE TW_TAB DISABLE ALL TRIGGERS;

/*-- SEQ 0113 --*/
ALTER TABLE TW_TAB ADD RECIBO VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0114 --*/
ALTER TABLE TW_TAB ENABLE ALL TRIGGERS;


/*-- SEQ 0115 --*/
-- Tarefa 100154 --
ALTER TABLE TT_VEN DISABLE ALL TRIGGERS;

/*-- SEQ 0116 --*/
ALTER TABLE TT_VEN ADD RECIBO VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0117 --*/
ALTER TABLE TT_VEN ENABLE ALL TRIGGERS;

/*-- SEQ 0118 --*/
-- Tarefa 100154 --
ALTER TABLE TT_VEN MODIFY (RECIBO CONSTRAINT NN_VEN_RECIBO NOT NULL);


/*-- SEQ 0119 --*/
-- Tarefa 100154 --
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_RECIBO CHECK (RECIBO IN ('T','F'));

/*-- SEQ 0120 --*/
-- Tarefa 100154 --
ALTER TABLE TT_VEN DISABLE ALL TRIGGERS;

/*-- SEQ 0121 --*/
ALTER TABLE TT_VEN ADD NFRECI VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0122 --*/
ALTER TABLE TT_VEN ENABLE ALL TRIGGERS;

/*-- SEQ 0123 --*/
-- Tarefa 100154 --
ALTER TABLE TT_VEN MODIFY (NFRECI CONSTRAINT NN_VEN_NFRECI NOT NULL);


/*-- SEQ 0124 --*/
-- Tarefa 100154 --
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_NFRECI CHECK (NFRECI IN ('T','F'));


/*-- SEQ 0125 --*/
-- Tarefa 100156 --
ALTER TABLE TD_NAT DROP CONSTRAINT CK_DNAT_TIPNAT CASCADE;

/*-- SEQ 0126 --*/
-- Tarefa 100156 --
ALTER TABLE TD_NAT ADD CONSTRAINT CK_DNAT_TIPNAT CHECK (TIPNAT IN ('E','S','V','D','F','A','C','M','N','P','R','J','B','O','I','Z','Y'));


/*-- SEQ 0127 --*/
-- Tarefa 100157 --
ALTER TABLE TT_CFG ADD NATRECIBO Number(5) ;


/*-- SEQ 0128 --*/
-- Tarefa 100157 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DNAT_NATRECIBO FOREIGN KEY (NATRECIBO) REFERENCES TD_NAT (CODTAB);

/*-- SEQ 0129 --*/
-- Tarefa 100157 --
CREATE INDEX I_FK_CFG_DNAT_NATRECIBO ON TT_CFG (NATRECIBO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0130 --*/
-- Tarefa 100157 --
ALTER TABLE TW_CFG ADD NATRECIBO Number(5) ;


/*-- SEQ 0131 --*/
-- Tarefa 100157 --
ALTER TABLE TT_CFG ADD NATNFRECI Number(5) ;


/*-- SEQ 0132 --*/
-- Tarefa 100157 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DNAT_NATNFRECI FOREIGN KEY (NATNFRECI) REFERENCES TD_NAT (CODTAB);

/*-- SEQ 0133 --*/
-- Tarefa 100157 --
CREATE INDEX I_FK_CFG_DNAT_NATNFRECI ON TT_CFG (NATNFRECI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0134 --*/
-- Tarefa 100157 --
ALTER TABLE TW_CFG ADD NATNFRECI Number(5) ;



/*-- SEQ 0135 --*/
-- Tarefa 100159 --
ALTER TABLE TD_FIL ADD SERNFRECI CHAR(2) ;


/*-- SEQ 0136 --*/
-- Tarefa 100159 --
ALTER TABLE TD_FIL ADD CONSTRAINT FK_DFIL_DSER_SERNFRECI FOREIGN KEY (SERNFRECI) REFERENCES TD_SER (CODSER);

/*-- SEQ 0137 --*/
-- Tarefa 100159 --
CREATE INDEX I_FK_DFIL_DSER_SERNFRECI ON TD_FIL (SERNFRECI) TABLESPACE TOTALL_INDEX;




/*-- SEQ 0138 --*/
-- Tarefa 100099 --
CREATE TABLE TT_QRY (
  ID_QRY Number(14),
  QRYCHV VARCHAR2(20),
  QRYDES VARCHAR2(40),
  QRYATI VARCHAR2(1),
  QRYEXP LONG,
  DATINC Date,
  ATU_EM Date
  ) TABLESPACE TOTALL_DATA;

/*-- SEQ 0139 --*/
-- Tarefa 100099 --
ALTER TABLE TT_QRY ADD CONSTRAINT PK_QRY PRIMARY KEY (ID_QRY);

/*-- SEQ 0140 --*/
-- Tarefa 100099 --
ALTER TABLE TT_QRY MODIFY (QRYCHV CONSTRAINT NN_QRY_QRYCHV NOT NULL);


/*-- SEQ 0141 --*/
-- Tarefa 100099 --
ALTER TABLE TT_QRY MODIFY (QRYDES CONSTRAINT NN_QRY_QRYDES NOT NULL);


/*-- SEQ 0142 --*/
-- Tarefa 100099 --
ALTER TABLE TT_QRY MODIFY (QRYATI CONSTRAINT NN_QRY_QRYATI NOT NULL);


/*-- SEQ 0143 --*/
-- Tarefa 100099 --
ALTER TABLE TT_QRY MODIFY (QRYEXP CONSTRAINT NN_QRY_QRYEXP NOT NULL);


/*-- SEQ 0144 --*/
-- Tarefa 100099 --
ALTER TABLE TT_QRY MODIFY (DATINC CONSTRAINT NN_QRY_DATINC NOT NULL);


/*-- SEQ 0145 --*/
-- Tarefa 100099 --
ALTER TABLE TT_QRY MODIFY (ATU_EM CONSTRAINT NN_QRY_ATU_EM NOT NULL);


/*-- SEQ 0146 --*/
-- Tarefa 100099 --
ALTER TABLE TT_QRY ADD CONSTRAINT CK_QRY_QRYATI CHECK (QRYATI IN ('T','F'));

/*-- SEQ 0147 --*/
-- Tarefa 100099 --
ALTER TABLE TT_QRY MODIFY (QRYATI DEFAULT 'T');

/*-- SEQ 0148 --*/
-- Tarefa 100099 --
CREATE SEQUENCE sqQRY INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0149 --*/
-- Tarefa 100099 --
INSERT INTO TT_QRY
(ID_QRY, QRYCHV, QRYDES, QRYEXP, QRYATI, DATINC, ATU_EM)
VALUES
( sqQRY.NEXTVAL ,
 'DESCONTO_ITEM',
 'DESCONTO NO ITEM',
 'select ''DESCONTO_ITEM''  as "SQL_Chave", cast( ''false'' as VARCHAR2(5)) as "B_SQL_Ativo",
        ''select Trunc(i.DocIte_ValorTotal *-.1,2)
          from Documento d inner join DocumentoItem i on i.Doc_Id = d.Doc_Id
                           inner join Transacao t on t.Trn_Id = d.Doc_TrnId
                           inner join participante p on p.Par_Id = t.Trn_ParId
                           inner join usuario u on u.usu_parid = p.Par_Id
          where i.Doc_Id = $1
            and i.DocIte_Id = $2'' as "SQL_Expressao" from dual',
 'F',            
 Agora(),
 Agora());

/*-- SEQ 0150 --*/
-- Tarefa 100099 --
INSERT INTO TT_QRY
(ID_QRY, QRYCHV, QRYDES, QRYEXP, QRYATI, DATINC, ATU_EM)
VALUES
( sqQRY.NEXTVAL ,
 'DESCONTO_VENDA',
 'DESCONTO NA VENDA',
 'select ''DESCONTO_VENDA'' as "SQL_Chave", cast( ''false'' as VARCHAR2(5)) as "B_SQL_Ativo",
	''select Trunc( sum(i.DocIte_Quantidade/2) ) * 50.00 as Valor
	  from Documento d 	inner join DocumentoItem i on i.Doc_id = d.Doc_id
	inner join Produto p on p.Pro_Id = i.DocIte_ProId
	inner join Classe1 c on c.Cl1_Id = p.Pro_Cl1Id
	  where d.Doc_TrnId = $1
	  and i.DocIte_Situacao = ''''N''''
	  and c.Cl1_Nome = ''''BOMBAS''''
	  and i.DocIte_PromoId is Null
	  and p.Pro_Preco > 500
	  and i.DocIte_Desconto = 0'' as "SQL_Expressao" from dual',
 'F',     
 Agora(),
 Agora());

/*-- SEQ 0151 --*/
-- Tarefa 100099 --
INSERT INTO TT_QRY
(ID_QRY, QRYCHV, QRYDES, QRYEXP, QRYATI, DATINC, ATU_EM)
VALUES
( sqQRY.NEXTVAL ,
 'BONUS',
 'BONUS',
 'select ''BONUS'' as "SQL_Chave", cast( ''false'' as VARCHAR2(5)) as "B_SQL_Ativo",
	''select case when coalesce( Par_FidelizacaoId, 1 ) = 1 then 0.00 else Trn_Valor * Fid_Percentual / 100 end
      from transacao inner join Participante on Par_id = Trn_ParId
                     left  join Fidelizacao on Fid_Id = Par_FidelizacaoId
	  where Trn_Id = $1 '' as "SQL_Expressao" from dual',
 'F',     
 Agora(),
 Agora());

/*-- SEQ 0152 --*/
-- Tarefa 100099 --
INSERT INTO TT_QRY
(ID_QRY, QRYCHV, QRYDES, QRYEXP, QRYATI, DATINC, ATU_EM)
VALUES
( sqQRY.NEXTVAL ,
 'RODAPE_CUPOM',
 'RODAPE DO CUPOM',
 'select ''RODAPE_CUPOM''   as "SQL_Chave", cast( ''true''  as VARCHAR2(5)) as "B_SQL_Ativo",
        ''select cast( ''''OPERADOR:'''' || u.usu_apelido ||
                 case when v.usu_id is not null and v.usu_id <> u.usu_id
                  then '''' - VENDEDOR:'''' || v.usu_apelido
                  else '''''''' end as VARCHAR2(40) ) || ''''|<BARRAS>'''' as linha
	  from transacao t inner join usuario u on u.usu_id = t.trn_usuid
	   inner join documento d on d.doc_TrnId = t.trn_id
	   left  join usuario v on v.usu_id = d.vdd_id
	  where t.trn_id = $1'' as "SQL_Expressao" from dual',
 'T',     
 Agora(),
 Agora());


/*-- SEQ 0153 --*/
-- Tarefa 100257 --
ALTER TABLE TT_VEN DISABLE ALL TRIGGERS;


/*-- SEQ 0154 --*/
-- Tarefa 100257 --
UPDATE TT_VEN VEN
   SET MODNOT = (SELECT LPAD(TO_CHAR(DSER.MODNOT),2,'0')
                   FROM TD_SER DSER
                  WHERE DSER.CODSER = VEN.CODSER)
 WHERE MODNOT IS NULL;

/*-- SEQ 0155 --*/
-- Tarefa 100257 --
ALTER TABLE TT_VEN ENABLE ALL TRIGGERS;




/*-- SEQ 0156 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;
 
/*-- SEQ 0157 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0158 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0159 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0160 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;
  
  
/*-- SEQ 0161 --*/ 
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0162 --*/ 
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0163 --*/ 
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0164 --*/ 
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0165 --*/ 
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;
  
/*-- SEQ 0166 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0167 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0168 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0169 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0170 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0171 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0172 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0173 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;



/*-- SEQ 0174 --*/
-- Tarefa 100275 --
CREATE INDEX I_LC_GRA_CODFIS ON TT_GRA (CODFIS) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0175 --*/
-- Tarefa 100373 --
ALTER TABLE TD_CAR ADD CODCRE VARCHAR2(3) ;


/*-- SEQ 0176 --*/
-- Tarefa 100373 --
ALTER TABLE TW_TAB ADD CODCRE VARCHAR2(3) ;



/*-- SEQ 0177 --*/
-- Tarefa 100401 --
ALTER TABLE TT_TEF DROP CONSTRAINT CK_TEF_TIPOPE;

/*-- SEQ 0178 --*/
-- Tarefa 100401 --
ALTER TABLE TT_TEF ADD CONSTRAINT CK_TEF_TIPOPE CHECK (TIPOPE IN ('C','D','P'));


/*-- SEQ 0179 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100446 --
SELECT * FROM NADA;

/*-- SEQ 0180 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100446 --
SELECT * FROM NADA;

/*-- SEQ 0181 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100446 --
SELECT * FROM NADA;

/*-- SEQ 0182 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100446 --
SELECT * FROM NADA;

/*-- SEQ 0183 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100446 --
SELECT * FROM NADA;

/*-- SEQ 0184 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100446 --
SELECT * FROM NADA;

/*-- SEQ 0185 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100446 --
SELECT * FROM NADA;


/*-- SEQ 0186 --*/
-- Tarefa 100474 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;


/*-- SEQ 0187 --*/
-- Tarefa 100474 --
UPDATE TT_CFG SET CHECKOUT_VERMIN = '5.4a', CHECKOUT_RELMIN = 10;

/*-- SEQ 0188 --*/
-- Tarefa 100474 --
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0189 --*/
-- Tarefa 100149 --
ALTER TABLE TD_FIL DROP CONSTRAINT CK_DFIL_SEGMENTO;


/*-- SEQ 0190 --*/
-- Tarefa 100440 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0191 --*/
-- Tarefa 100440 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'LOCK_SEP_R', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'LOCK_SEP_R'));

/*-- SEQ 0192 --*/
-- Tarefa 100440 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0193 --*/
-- Tarefa 100446 --
ALTER TABLE TT_CON DISABLE ALL TRIGGERS;


/*-- SEQ 0194 --*/
-- Tarefa 100446 --
ALTER TABLE TT_RFC DISABLE ALL TRIGGERS;


/*-- SEQ 0195 --*/
-- Tarefa 100446 --
ALTER TABLE TT_CLI DISABLE ALL TRIGGERS;


/*-- SEQ 0196 --*/
-- Tarefa 100446 --
ALTER TABLE TT_END DISABLE ALL TRIGGERS;


/*-- SEQ 0197 --*/
-- Tarefa 100446 --
ALTER TABLE TT_SPC DISABLE ALL TRIGGERS;


/*-- SEQ 0198 --*/
-- Tarefa 100446 --
UPDATE TT_CON
   SET TELCON = '9'||TRIM(TELCON)
 WHERE SUBSTR(TRIM(TELCON),1,1) IN ('6','7','8','9')
   AND LENGTH(TRIM(TELCON)) = 8;

/*-- SEQ 0199 --*/
-- Tarefa 100446 --
UPDATE TT_RFC
   SET NUMFON = '9'||TRIM(NUMFON)
 WHERE SUBSTR(TRIM(NUMFON),1,1) IN ('6','7','8','9')
   AND LENGTH(TRIM(NUMFON)) = 8;

/*-- SEQ 0200 --*/
-- Tarefa 100446 --
UPDATE TT_CLI
   SET TELCON = '9'||TRIM(TELCON)
 WHERE SUBSTR(TRIM(TELCON),1,1) IN ('6','7','8','9')
   AND LENGTH(TRIM(TELCON)) = 8;

/*-- SEQ 0201 --*/
-- Tarefa 100446 --
UPDATE TT_END
   SET NUMFON = '9'||TRIM(NUMFON)
 WHERE SUBSTR(TRIM(NUMFON),1,1) IN ('6','7','8','9')
   AND LENGTH(TRIM(NUMFON)) = 8;

/*-- SEQ 0202 --*/
-- Tarefa 100446 --
UPDATE TT_CLI
   SET CELCON = '9'||TRIM(CELCON)
 WHERE SUBSTR(TRIM(CELCON),1,1) IN ('6','7','8','9')
   AND LENGTH(TRIM(CELCON)) = 8;

/*-- SEQ 0203 --*/
-- Tarefa 100446 --
UPDATE TT_SPC
   SET NUMCEL = '9'||TRIM(NUMCEL)
 WHERE SUBSTR(TRIM(NUMCEL),1,1) IN ('6','7','8','9')
   AND LENGTH(TRIM(NUMCEL)) = 8;

/*-- SEQ 0204 --*/
-- Tarefa 100446 --
UPDATE TT_CON
   SET CELCON = '9'||TRIM(CELCON)
 WHERE SUBSTR(TRIM(CELCON),1,1) IN ('6','7','8','9')
   AND LENGTH(TRIM(CELCON)) = 8;

/*-- SEQ 0205 --*/
-- Tarefa 100446 --
ALTER TABLE TT_CON ENABLE ALL TRIGGERS;

/*-- SEQ 0206 --*/
-- Tarefa 100446 --
ALTER TABLE TT_RFC ENABLE ALL TRIGGERS;

/*-- SEQ 0207 --*/
-- Tarefa 100446 --
ALTER TABLE TT_CLI ENABLE ALL TRIGGERS;

/*-- SEQ 0208 --*/
-- Tarefa 100446 --
ALTER TABLE TT_END ENABLE ALL TRIGGERS;

/*-- SEQ 0209 --*/
-- Tarefa 100446 --
ALTER TABLE TT_SPC ENABLE ALL TRIGGERS;



/*-- SEQ 0210 --*/
-- Tarefa 100533 --
ALTER TABLE TT_ORC DISABLE ALL TRIGGERS;


/*-- SEQ 0211 --*/
-- Tarefa 100533 --
UPDATE TT_ORC ORC SET NUMECF = (SELECT LID.NUMECF 
                                  FROM TT_LID LID 
                                 WHERE ORC.CODFIL = LID.FILPED
                                   AND ORC.TIPPED = LID.TIPPED
                                   AND ORC.NUMPED = LID.NUMPED
                                   AND LID.TIPOPE = 'DOCECF'),
                      COOORC = (SELECT LID.CONCOO 
                                  FROM TT_LID LID 
                                 WHERE ORC.CODFIL = LID.FILPED
                                   AND ORC.TIPPED = LID.TIPPED
                                   AND ORC.NUMPED = LID.NUMPED
                                   AND LID.TIPOPE = 'DOCECF'),
                      ORCIMP = 'T'
 WHERE EXISTS(SELECT 1 AS OK 
                FROM TT_LID LID 
               WHERE ORC.CODFIL = LID.FILPED
                 AND ORC.TIPPED = LID.TIPPED
                 AND ORC.NUMPED = LID.NUMPED
                 AND LID.TIPOPE = 'DOCECF');

/*-- SEQ 0212 --*/
-- Tarefa 100533 --
ALTER TABLE TT_ORC ENABLE ALL TRIGGERS;


/*-- SEQ 0213 --*/
-- Tarefa 100539 --
ALTER TABLE TR_CAI ADD CODUID Number ;


/*-- SEQ 0214 --*/
-- Tarefa 100539 --
ALTER TABLE TR_CAI ADD ASSINA VARCHAR2(256) ;


/*-- SEQ 0215 --*/
-- Tarefa 100539 --
ALTER TABLE TR_CAI ADD CONSTRAINT FK_RCAI_UID FOREIGN KEY (CODUID) REFERENCES TT_UID(CODUID);

/*-- SEQ 0216 --*/
-- Tarefa 100539 --
CREATE INDEX I_FK_RCAI_UID ON TR_CAI (CODUID) TABLESPACE TOTALL_INDEX;



/*-- SEQ 0217 --*/
-- Tarefa 100550 --
ALTER TABLE TD_FIL DISABLE ALL TRIGGERS;

/*-- SEQ 0218 --*/
ALTER TABLE TD_FIL ADD TROCOTEF Number(12,2) DEFAULT 0;

/*-- SEQ 0219 --*/
ALTER TABLE TD_FIL ENABLE ALL TRIGGERS;

/*-- SEQ 0220 --*/
-- Tarefa 100550 --
ALTER TABLE TD_FIL MODIFY (TROCOTEF CONSTRAINT NN_DFIL_TROCOTEF NOT NULL);


/*-- SEQ 0221 --*/
-- Tarefa 100550 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_TROCOTEF CHECK (TROCOTEF >= 0);



