
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- DES-128 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0003 --*/
-- DES-128 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'VALIDA_ESTOQUE_OFF', 'Permitir validao de estoque de forma off-line no Totall POS?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'VALIDA_ESTOQUE_OFF'));

/*-- SEQ 0004 --*/
-- DES-128 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0005 --*/
-- DES-104 --
ALTER TABLE TD_CFO ADD CFOFOR VARCHAR2(6) ;


/*-- SEQ 0006 --*/
-- DES-104 --
ALTER TABLE TW_TAB ADD CFOFOR VARCHAR2(6) ;





/*-- SEQ 0007 --*/
-- GES-2019053869 --
ALTER TABLE TI_LAN MODIFY (LOT_CODEXT VARCHAR2(40));


/*-- SEQ 0008 --*/
-- DES-137 --
ALTER TABLE TW_VEN_FIS ADD CHAVEA VARCHAR2(44) ;


/*-- SEQ 0009 --*/
-- DES-137 --
ALTER TABLE TW_COM_FIS ADD CHAVEA VARCHAR2(44) ;


/*-- SEQ 0010 --*/
-- DES-137 --
ALTER TABLE TW_ICO_FIS ADD ICMVEN Number(6,4) ;


/*-- SEQ 0011 --*/
-- DES-137 --
ALTER TABLE TW_INV_FIS ADD DATINV Date ;


/*-- SEQ 0012 --*/
-- DES-137 --
CREATE TABLE TW_INV_FIS_PRO_SUB (
  SESSION_ID Number,
  CODFIL CHAR(3),
  FILMAT CHAR(3),
  CODMAT CHAR(5),
  CODTAM Number(5,0),
  CODCOR Number(5,0),
  QTDSAL Number(16,4)
  ) TABLESPACE TOTALL_DATA;
 
/*-- SEQ 0013 --*/ 
-- DES-137 --
ALTER TABLE TW_INV_FIS_PRO_SUB ADD CONSTRAINT PK_WINV_FIS_PRO_SUB PRIMARY KEY (SESSION_ID, CODFIL, FILMAT, CODMAT, CODCOR, CODTAM);
 
/*-- SEQ 0014 --*/
-- DES-137 --
CREATE TABLE TW_INV_FIS_ICO_SUB (
  SESSION_ID Number,
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  NUMITE Number(5),
  FILFOR CHAR(3),
  CODFOR CHAR(6),
  FILEND CHAR(3),
  NUMEND Number(4),
  MODNOT CHAR(2),
  CODSER CHAR(2),
  SUBSER CHAR(3),
  NUMNOT VARCHAR2(9),
  DATCMP Date,
  DATOPE Date,
  COM_VLRTOT Number(12,2),
  COM_BASSUB Number(12,2),
  COM_SUBSTT Number(12,2),
  COM_BASICM Number(12,2),
  COM_DESCON Number(12,2),
  FILMAT CHAR(3),
  CODMAT CHAR(5),
  CODTAM Number(5),
  CODCOR Number(5),
  EMBORI Number(5),
  EMBQTD Number(14,4),
  TIPPRO CHAR(1),
  ICMTIP CHAR(1),
  UNICOM Number(5),
  QTDCOM Number(12,4),
  QTDMOV Number(12,4),
  VLRMOV Number(12,4),
  VLRITE Number(12,2),
  VLRDES Number(12,2),
  DESRAT Number(12,2),
  OUTTAX Number(12,2),
  VLRFRE Number(12,2),
  BASICM Number(14,2),
  ICMITE Number(14,2),
  TAX001 Number(7,4),
  VLRICM Number(14,2),
  MVACOM Number(14,4),
  BASSUB Number(14,2),
  ICMVEN Number(6,4),
  VLR_ST Number(14,2),
  BASRET Number(12,2),
  VLRRET Number(12,2),
  IPIITE Number(12,2),
  VLRIPI Number(14,2),
  OUTICM Number(14,2),
  ISEICM Number(14,2),
  RETSUB VARCHAR2(1),
  NATURE VARCHAR2(6),
  CODCST VARCHAR2(3),
  CODORI Number(1),
  CHAVEA VARCHAR2(44)
  ) TABLESPACE TOTALL_DATA;
 
/*-- SEQ 0015 --*/ 
-- DES-137 --
ALTER TABLE TW_INV_FIS_ICO_SUB ADD CONSTRAINT PK_WINV_FIS_ICO_SUB PRIMARY KEY (SESSION_ID, CODFIL, SEQUEN, NUMITE);

/*-- SEQ 0016 --*/
-- DES-137 --
CREATE INDEX I_LC_WINV_FIS_ICO_SUB_GRA ON TW_INV_FIS_ICO_SUB (FILMAT, CODMAT, CODCOR, CODTAM) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0017 --*/
-- Ticket 2019055265 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0018 --*/
-- Ticket 2019055265 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'NOVO_CLIENTE_CNPJ', 'Inserir novo registro de cliente quando j cadastrado radical de CNPJ (Filial do Cliente)', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'NOVO_CLIENTE_CNPJ'));

/*-- SEQ 0019 --*/
-- Ticket 2019055265 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0020 --*/
-- Ticket 2019055265 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0021 --*/
-- Ticket 2019055265 --
INSERT INTO TT_IPC
(ID_IPC, ID_PCS, DATINC, ATU_EM, VLRBOO)
(SELECT SQIPC.NEXTVAL, PCS.ID_PCS, Agora(), Agora(), 'T'
  FROM TT_PCS PCS
 WHERE PCS.NOMPCS = 'NOVO_CLIENTE_CNPJ'
   AND NOT EXISTS (SELECT 1 AS OK 
                     FROM TT_IPC IPC
                    WHERE IPC.ID_PCS = PCS.ID_PCS));
                    
/*-- SEQ 0022 --*/
-- Ticket 2019055265 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0023 --*/
-- DES-157 --
ALTER TABLE TT_TEF ADD CODBAN VARCHAR2(5) ;





/*-- SEQ 0024 --*/
-- GES - 2019065531 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0025 --*/
-- GES - 2019065531 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'CPM_DATINI', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'CPM_DATINI'));

/*-- SEQ 0026 --*/
-- GES - 2019065531 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;

