
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- Ticket 2019101073 --
ALTER TABLE TT_ORC DISABLE ALL TRIGGERS;

/*-- SEQ 0003 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ORC ADD EXPORT CHAR(1) DEFAULT 'F';

/*-- SEQ 0004 --*/
ALTER TABLE TT_ORC ENABLE ALL TRIGGERS;

/*-- SEQ 0005 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2019101073 --
ALTER TABLE TT_ORC MODIFY (EXPORT CONSTRAINT NN_ORC_EXPORT NOT NULL);


/*-- SEQ 0006 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2019101073 --
CREATE INDEX I_LC_ORC_EXPORT ON TT_ORC (EXPORT, DATINC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0007 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2019101073 --
ALTER TABLE TT_ORC ADD DUMMY VARCHAR2(1) ;


/*-- SEQ 0008 --*/
-- Ticket 2019101073 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0009 --*/
-- Ticket 2019101073 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'EXPORT_ORC', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'EXPORT_ORC'));

/*-- SEQ 0010 --*/
-- Ticket 2019101073 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0011 --*/
-- Ticket 2019101073 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0012 --*/
-- Ticket 2019101073 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'EXP_DAV_EME4', 'Integrao de DAV/Pr-Venda na exportao EME4?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'EXP_DAV_EME4'));

/*-- SEQ 0013 --*/
-- Ticket 2019101073 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0014 --*/
-- Ticket 2020043929 --
ALTER TABLE TD_CT1 MODIFY (NOMCT1 VARCHAR2(40));


/*-- SEQ 0015 --*/
-- Tarefa 2019053290 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0016 --*/
-- Tarefa 2019053290 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'BLOQ_PREVENDAPARCIAL', 'Bloquear Resgate de Pr-Venda Parcial', 'B', 'T', 'T', 'T', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'BLOQ_PREVENDAPARCIAL'));

/*-- SEQ 0017 --*/
-- Tarefa 2019053290 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0018 --*/
-- Ticket 2020044468 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CT1 ADD CODEXT_DCT1 VARCHAR2(20) ;


/*-- SEQ 0019 --*/
-- Ticket 2020044468 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CT2 ADD CODEXT_DCT2 VARCHAR2(20) ;


/*-- SEQ 0020 --*/
-- Ticket 2020044468 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CT3 ADD CODEXT_DCT3 VARCHAR2(20) ;


/*-- SEQ 0021 --*/
-- Ticket 2020044468 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD CODEXT_DCT1 VARCHAR2(20) ;


/*-- SEQ 0022 --*/
-- Ticket 2020044468 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD CODEXT_DCT2 VARCHAR2(20) ;


/*-- SEQ 0023 --*/
-- Ticket 2020044468 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD CODEXT_DCT3 VARCHAR2(20) ;


/*-- SEQ 0024 --*/
-- Ticket 2020044468 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CLI ADD CODCT1 VARCHAR2(20) ;


/*-- SEQ 0025 --*/
-- Ticket 2020044468 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CLI ADD CODCT2 VARCHAR2(20) ;


/*-- SEQ 0026 --*/
-- Ticket 2020044468 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CLI ADD CODCT3 VARCHAR2(20) ;



/*-- SEQ 0027 --*/
-- Ticket 2020044824 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_LIM ADD CODCCC VARCHAR2(20) ;



/*-- SEQ 0028 --*/
-- Ticket 2019121857 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0029 --*/
-- Ticket 2019121857 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'PERGUNTAR_IMP_RECIBO', 'Boto Imprimir desativado no Recebimento de Dbitos do Totall POS?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PERGUNTAR_IMP_RECIBO'));

/*-- SEQ 0030 --*/
-- Ticket 2019121857 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0031 --*/
-- Ticket 2019121857 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0032 --*/
-- Ticket 2019121857 --
INSERT INTO TT_IPC (ID_IPC, ID_PCS, VLRBOO, DATINC, ATU_EM)
SELECT SQIPC.NEXTVAL, PCS.ID_PCS, 'F', AGORA(), AGORA()
  FROM TT_PCS PCS
 WHERE PCS.NOMPCS = 'PERGUNTAR_IMP_RECIBO'
   AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS);

/*-- SEQ 0033 --*/
-- Ticket 2019121857 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;

